#!/bin/csh -ef

# Create the user account's setup file
#
# Usage: create_setup_file.csh ias|lpgs dev|it|st|ops

set system = $1
set install_env = $2
set uc_system = `echo $system | tr '[a-z]' '[A-Z]'`
set uc_install_env = `echo $install_env | tr '[a-z]' '[A-Z]'`

set sys_user = $USER
if ($uc_install_env != "DEV") then
    set sys_user = ${system}${install_env}
endif

set setup_file=$IAS_SYS_DIR/setup/setup_${uc_system}.csh

echo "" > $setup_file # start with a new file
echo "setenv IAS_SERVICES $IAS_SERVICES" >> $setup_file
echo "setenv IAS_SYS_DIR $IAS_SYS_DIR" >> $setup_file
echo "setenv IAS_SYSTEM_USER_ID $sys_user" >> $setup_file
echo source \$IAS_SYS_DIR/setup/setup_db >> $setup_file
echo source \$IAS_SYS_DIR/setup/iaslib_setup --64 $IASBUILD --cots-dir $COTS >> $setup_file
echo source \$IAS_SYS_DIR/setup/iasbase_setup $IAS_OPS $IAS_INSTANCE_NAME >> $setup_file
echo source \$IAS_SYS_DIR/setup/${system}_setup  >> $setup_file

# Append IT/ST environment variables to the cshrc if doing iasit or iasst
if (($uc_install_env == "IT") || ($uc_install_env == "ST")) then
  echo setenv IAS_IT_TEST_DATA_DIR \$HOME/testdata >> $setup_file
  echo setenv IAS_IT_SCRIPTS_DIR \$HOME/integration_testing >> $setup_file

  # Append environment variables used by the tram_mass_loader.pl script
  echo setenv IAS_MASSLOADER_USERID $IAS_MASSLOADER_USERID >> $setup_file
  echo setenv IAS_MASSLOADER_ENDPOINT $IAS_MASSLOADER_ENDPOINT >> $setup_file
endif
