package datagroup;

/**
 * Exception class for indicating problems creating data groups.
 * Works like most exceptions in Java and allows us to have better
 * control over & tracing of the custom exceptions we throw.
 */
public class DatagroupException extends Exception {

    /**
     * default no-arg constructor
     */
    public DatagroupException() {
        super();
    }

    /**
     * A constructor that takes a String.
     * @param message   The message to include with the exception
     */
    public DatagroupException(String message) {
        super(message);
    }

    /**
     * For exception chaining purposes.
     * @param message   The message to include with the exception
     * @param cause     The causing exception
     */
    public DatagroupException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * For exception chaining purposes.
     * @param cause    The causing exception
     */
    public DatagroupException(Throwable cause) {
        super(cause);
    }
}
