package datagroup;

/**
 * Exception class for indicating invalid UT1 data format.
 * Works like most exceptions in Java and allows us to have better
 * control over & tracing of the custom exceptions we throw.
 */
public class Ut1DataFormatException extends Exception {

    /**
     * default no-arg constructor
     */
    public Ut1DataFormatException() {
        super();
    }

    /**
     * A constructor that takes a String.
     * @param message   The message to include with the exception
     */
    public Ut1DataFormatException(String message) {
        super(message);
    }

    /**
     * For exception chaining purposes.
     * @param message   The message to include with the exception
     * @param cause     The causing exception
     */
    public Ut1DataFormatException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * For exception chaining purposes.
     * @param cause    The causing exception
     */
    public Ut1DataFormatException(Throwable cause) {
        super(cause);
    }
}
