package gui;

import java.io.File;
import javax.swing.filechooser.FileFilter;
import java.util.regex.Pattern;

/**
 * FileFilter for OLI BPF Files.
 */
public class BpfOliFilter extends FileFilter{

    // Accept only directories and OLI BPF Files 
    public boolean accept(File f) {
        if (f.isDirectory()) {
            return true;
        }

        if (Pattern.matches("LO\\d{1,2}BPF.*_.*",
                f.getName())){
            return true;
        }
        return false;
    }

    public String getDescription() {
        return "OLI BPF Files";
    }
}
