package gui;

import java.io.File;
import javax.swing.filechooser.FileFilter;
import java.util.regex.Pattern;

/**
 * FileFilter for TIRS BPF Files.
 */
public class BpfTirsFilter extends FileFilter{

    // Accept only directories and TIRS BPF Files 
    public boolean accept(File f) {
        if (f.isDirectory()) {
            return true;
        }

        if (Pattern.matches("LT\\d{1,2}BPF.*_.*",
                f.getName())){
            return true;
        }
        return false;
    }

    public String getDescription() {
        return "TIRS BPF Files";
    }
}
