package gui;

import java.io.File;
import javax.swing.filechooser.FileFilter;
import java.util.regex.Pattern;

/**
 * FileFilter for CPF Files.
 */
public class CpfFilter extends FileFilter{

    // Accept only directories and CPF Files 
    public boolean accept(File f) {
        if (f.isDirectory()) {
            return true;
        }

        if (Pattern.matches("(eval_)?L\\D?\\d{1,2}CPF.*_.*",
                f.getName())){
            return true;
        }
        return false;
    }

    public String getDescription() {
        return "CPF Files";
    }
}
