package gui;

import javax.swing.undo.UndoManager;
import org.apache.log4j.Logger;

/**
 * Undo manager for the parameter value table.  This class implements a basic
 * undo/redo function and provides extra logging.  The base UndoManager
 * does not check canRedo() or canUndo() which leads to CannotUndoExceptions.
 */
class ParameterTableUndoManager extends UndoManager {

    private static final Logger logger =
            Logger.getLogger(ParameterTableUndoManager.class);

    ParameterTableUndoManager() {
    }

    @Override
    public void redo() {
        logger.trace("ParameterTableUndoManager redo");
        if (canRedo()) {
            super.redo();
        }
    }

    @Override
    public void undo() {
        logger.trace("ParameterTableUndoManager undo");
        if (canUndo()) {
            super.undo();
        }
    }
}
