package library;

/**
 * Categories of differences when comparing values between multiple files.
 * The difference values should be set up in order of increasing notice
 * (DIFF should have more notice than MISSING so its enum value is greater).
 */
public enum DiffStatus {

    /**
     * There is only one value, so no differences to report
     */
    NONE,

    /**
     * All values for this parameter are the same in all files
     */
    MATCH,

    /**
     * One or more file is missing this parameter
     */
    MISSING,

    /**
     * One or more files has a different value for this parameter
     */
    DIFF
}
