package library;
import library.DatabaseLibrary;
import gov.usgs.ias.constant.Constants;
import gov.usgs.ias.dao.DataConnection;
import java.sql.Connection;
import java.sql.Statement;
import java.sql.ResultSet;
import org.apache.log4j.Logger;


/**
 * Provides information about which instance and collection number the CPF GUI
 * is running in. 
 */
public class InstanceInfo {
    public static int getCollection()
    {
        int collection_num;
        try
        {
            DataConnection dc = new DataConnection("cpf.db.conn");
            Connection con =  dc.getConnection(Constants.DAO_AUTH_IAS_COMMON);
            Statement stat = con.createStatement();
            String instance = getInstance();
            ResultSet res = stat.executeQuery("SELECT collection_number FROM "
                           + "processing_instances WHERE instance_name = '"
                           +  instance + "'");
            if (!res.next())
            {
                throw new LibraryException("No rows found for " + instance);
            }
            collection_num = res.getInt(1);
        } catch (Exception ex) {
            Logger logger = Logger.getLogger(InstanceInfo.class.getName());
            logger.warn("Error getting collection number: " +
                           ex.getMessage() + " Using 99 as collection num.");
            return 99;
        }
        return collection_num;
    }

    public static String getInstance()
    {
        String instance = System.getenv("IAS_INSTANCE_NAME");
        if (instance == null)
        {
            Logger logger = Logger.getLogger(InstanceInfo.class.getName());
            logger.warn("IAS_INSTANCE_NAME ENV var is not set. Using Unknown "
                      + "for the Instance Name");
            return "Unknown";
        }
        
        return instance;
    }
}
