package library;

/**
 * Exception class for errors generated in the library package.
 * Works like most exceptions in Java and allows us to have better
 * control over & tracing of the custom exceptions we throw.
 */
public class LibraryException extends Exception {

    /**
     * default no-arg constructor
     */
    public LibraryException() {
        super();
    }

    /**
     * A constructor that takes a String.
     * @param message   The message to include with the exception
     */
    public LibraryException(String message) {
        super(message);
    }

    /**
     * For exception chaining purposes.
     * @param message   The message to include with the exception
     * @param cause     The causing exception
     */
    public LibraryException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * For exception chaining purposes.
     * @param cause    The causing exception
     */
    public LibraryException(Throwable cause) {
        super(cause);
    }
}
