package library;

/**
 * Defines the types of files known by the GUI
 */
public enum LoadedFileType {

    /**
     * File is identified as a CPF
     */
    CPF,

    /**
     * File is identified as a BPF
     */
    BPF,

    /**
     * Anything besides CPF or BPF.  Generic ODL files can be loaded,
     * but special GUI operations like baselining are not available for
     * these files.
     */
    OTHER
}
