package library;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;

/**
 *
 * @author rockvam
 */
public class LoadedFileListTest {

    public LoadedFileListTest() {
    }

    @BeforeClass
    public static void setUpClass() throws Exception {
    }

    @AfterClass
    public static void tearDownClass() throws Exception {
    }

    @Before
    public void setUp() {
    }

    @After
    public void tearDown() {
    }

    /**
     * Test multi-threaded access of the LoadedFileList.  Set logger
     * level to trace to see all messages from LoadedFileList.  The messages
     * from removeFile(String) and removeFile(int) should be grouped
     * together if things are property synchronized.  Compare that with the
     * interleaving of messages that occurs if you comment out the  the 
     * synchronized keywords & statements in the removeFile and getFile methods
     * of LoadedFileList.
     */
    @Test
    public void testMultiThreads() {
        System.out.println("multi-thread test");
        final LoadedFileList myList = new LoadedFileList();
        Thread t1 = new Thread(new Runnable() {
           public void run() {
               myList.addFile("t1a", null);
               myList.addFile("t1b", null);
               myList.addFile("t1c", null);
               myList.addFile("t1d", null);
               myList.removeFile("t1b");
               myList.removeFile(myList.getFileIndex("t2b"));
               myList.removeFile(0);
               myList.removeFile(1);
               myList.addFile("t1b", null);
               myList.removeFile("t1b");
               myList.removeFile(myList.getFileIndex("t2b"));
               myList.removeFile(0);
               myList.removeFile(1);
               myList.addFile("t1b", null);
               myList.removeFile("t1b");
               myList.removeFile(myList.getFileIndex("t2b"));
               myList.removeFile(0);
               myList.removeFile(1);
               myList.addFile("t1b", null);
               myList.removeFile("t1b");
               myList.removeFile(myList.getFileIndex("t2b"));
               myList.removeFile(0);
               myList.removeFile(1);
           }
        });
        Thread t2 = new Thread(new Runnable() {
           public void run() {
               myList.addFile("t2a", null);
               myList.addFile("t2b", null);
               myList.addFile("t2c", null);
               myList.addFile("t2d", null);
               myList.removeFile("t2b");
               myList.removeFile(myList.getFileIndex("t1b"));
               myList.removeFile(0);
               myList.removeFile(1);
               myList.addFile("t2b", null);
               myList.removeFile("t2b");
               myList.removeFile(myList.getFileIndex("t1b"));
               myList.removeFile(0);
               myList.removeFile(1);
               myList.addFile("t2b", null);
               myList.removeFile("t2b");
               myList.removeFile(myList.getFileIndex("t1b"));
               myList.removeFile(0);
               myList.removeFile(1);
               myList.addFile("t2b", null);
               myList.removeFile("t2b");
               myList.removeFile(myList.getFileIndex("t1b"));
               myList.removeFile(0);
               myList.removeFile(1);
               myList.addFile("t2b", null);
               myList.removeFile("t2b");
               myList.removeFile(myList.getFileIndex("t1b"));
               myList.removeFile(0);
               myList.removeFile(1);
           }
        });

        System.out.println("Starting threads");
        t1.start();
        t2.start();
        try {
            // Wait for threads to finish
            t1.join();
            t2.join();
            // Sleep to allow time for the PDS Tools parser factory to finish
            // before shutting down
            Thread.sleep(1000);
        } catch (InterruptedException ex) {
            System.out.println("Interrupted");
        }
        System.out.println("Done");
    }

    /*
     * Test suite, for running the tests with an old version of junit/ant
     **/
    public static junit.framework.Test suite() {
        return new junit.framework.JUnit4TestAdapter(LoadedFileListTest.class);
    }
}
