
#ifndef RESAMPLE_DATA_H
#define RESAMPLE_DATA_H

/* IAS Includes */
#include "ias_types.h"

/* Local Includes */
#include "generate_chips.h"

#define SUBPIXEL_STEPS 64 /* The number of resampling steps */

/*****************************************************************************
 The following are the routines used by the resampling
*****************************************************************************/

int resample_data
(
    const GENERATE_CHIPS_PARAMETERS *parameters,
    RESOLUTION_SAMPLING sampling_info,
    int number_of_input_lines,
    int number_of_input_samples,
    const IAS_R4_TYPE *input_data,
    int *number_of_output_lines,
    int *number_of_output_samples,
    IAS_R4_TYPE *output_data
);

int calculate_resampling_weights
(
    int number_of_weights,
    int *kernel_size,
    int *number_of_bins,
    double **weights
);

int perform_resample
(
    double o2i_scaling_factor,
    int number_of_weights,
    int number_of_input_lines,
    int number_of_input_samples,
    const IAS_R4_TYPE *input_data,
    int *number_of_output_lines,
    int *number_of_output_samples,
    IAS_R4_TYPE *output_data
);

#endif /* RESAMPLE_DATA_H */

