/******************************************************************************
NAME:           minimize_function_multimin.h

PURPOSE:
Structure and prototypes for function to minimize
******************************************************************************/
#ifndef _MINIMIZE_FUNCTION_MULTIMIN
#define _MINIMIZE_FUNCTION_MULTIMIN

/* Structure used to contain data for multimin functions */
typedef struct function_parameters_multimin 
{
    int iteration;                 /* Iteration */
    MTFMODEL *input_model;         /* Input bridge/STF model structure */
    MTFMODEL *simplex_model;       /* Input bridge/STF simplex bounds */
    MTFCONTROL *control;           /* Array of fit control switches */
    PROFILE *profile;              /* Input target profile data */
    MTFMODEL *output_model;        /* Best-fit output model structure */
} FUNCTION_PARAMETERS_MULTIMIN;


double minimize_function_multimin
(
    const gsl_vector *x,           /* I: Vector of x coordinates */
    void *parameters               /* I: Functional data structure */
);

int initialize_minimize_function_multimin
(
    int number_points              /* Factor in size of buffer to initialize */
);

void close_minimize_function_multimin
(
);

#endif
