/******************************************************************************
NAME:           profile.h

PURPOSE:
Include file for structure definition for software to operate on bridge target 
profile data
******************************************************************************/
#ifndef _PROFILE_
#define _PROFILE_

#include "mtf.h"

typedef struct profile
{
    char target_name[NAME_STRLEN]; /* Target name */
    int target_id;                 /* Target id index */
    int band_number;               /* Band number */
    int number_points;             /* Length of profile */
    int oversample;                /* Oversampling factor */
    double gsd;                    /* Band ground sampling distance (meters) */
    double angle;                  /* Target azimuth (radians) */
    double range;                  /* Target range (meters) */
    double velocity;               /* Target ground velocity (meters/second) */
    double *sample_data;           /* Array of sample data */
    double *sigma;                 /* Array of sample standard deviations */
} PROFILE;

#endif
