#ifndef SAVE_TO_DATABASE_H
#define SAVE_TO_DATABASE_H

#include "ias_const.h"  /* Constants */
#include "model.h"      /* Model structures and constants */
#include "mtf.h"        /* MTF-wide constants */

/* Define a structure for the information to be collected and inserted into
   the MTF_BRIDGE table */
struct bridge_db_info
{
    char wo_id[IAS_WORKORDER_ID_SIZE]; /* Unlike the other fields here, there
                                          isn't a DB column for wo_id in the
                                          tables */
    char geometric_wo_common_id[IAS_CHAR_ID_SIZE];  
    char target_name[NAME_STRLEN];
    int band_id;
    int year;
    int day_of_year;
    int wrs_path;
    int wrs_row;
    double angle;
    double g_optics;
    double at_detector;
    double xt_detector;
    double integ;
    double diffusion;
    double phase;
    double rms;
    double gsd;
    double range;
    double velocity;
    double rad_water;
    double rad_asym;
    int nbr_of_spans;
};

/* Define a structure for the information to be collected and inserted into
   the MTF_SPAN table */
struct span_db_info
{
    char geometric_wo_common_id[IAS_CHAR_ID_SIZE];  
    char target_name[NAME_STRLEN];
    int band_id;
    double rad_bridge[MAXSPAN];
    double width[MAXSPAN];
    double offset[MAXSPAN];
};

#endif
