#!/bin/csh -f
################################################################################
# Name: test_distribute_script.csh
#
# Description: Tests the distribute script by calling it and checking the
#   existence of the dump files which should have been created.
################################################################################

set output_dir = "output_location"
set output_file = "l8_tirs_estimated_ssm_position.txt"
set prog = ../distribute_estimated_tirs_ssm_position_file.csh

# Clean up previous run
rm -f $output_file
rm -rf $output_dir

# Create directory where the file will be copied
mkdir $output_dir
if ( $status != 0 ) then
    echo "Error creating $output_dir"
    exit 1
endif

# Run the distribute script
$prog $output_dir/$output_file
if ( $status != 0 ) then
    echo "Error running distribute script"
    exit 1
endif

# Only look for files' existence. Files' contents do not matter
if ( ! -e  $output_dir/$output_file ) then
    echo "$output_dir/$output_file not created"
    exit 1
endif

# Remove created file and exit
rm -r $output_dir

echo "Successul test of distribution script"
exit 0
