# Parent exception
class SsmException(Exception):
    pass


# Errors relating to bad user parameters
class ParameterError(SsmException):
    pass


class DateRangeError(ParameterError):
    pass


class TimestampError(ParameterError):
    pass


# Errors relating to missing records
class MissingDataError(SsmException):
    pass


class EventNotFoundError(MissingDataError):
    pass


class ModelNotFoundError(MissingDataError):
    pass


class CPFRetrievalError(MissingDataError):
    pass


# Errors relating to invalid records
class InvalidDataError(SsmException):
    pass


class ModelValidityError(InvalidDataError):
    pass


class EventTooCloseError(InvalidDataError):
    pass


class ActiveModelExistsError(InvalidDataError):
    pass
