#ifndef SSM_TELEMETRY_H
#define SSM_TELEMETRY_H

/* Observation type */
typedef enum
{
    SSM_IMAGE = 0, 
    SSM_TELEMETRY
} SSM_ENCODER_TYPE;

/* Structure holding observations */
typedef struct encoder_record
{
    char date[20];
    double year;
    double doy;
    double sod;
    int secs_diff;
    SSM_ENCODER_TYPE ssm_type;
    int encoder_count;
} ENCODER_RECORD;

int write_encoder_file
(
    const char *ssm_encoder_filename,  /* I/O: TIRS SSM data filename */ 
    const ENCODER_RECORD *results,     /* I: TIRS SSM data pointer */
    int num_tirs                       /* I: Number of TIRS SSM records */
);

int read_ssm_encoder_file
(
    const char *tirs_data_filename,  /* I: TIRS data file name */
    ENCODER_RECORD **tirs_data,      /* O: TIRS data records */
    int *num_tirs_encoder_values     /* O: Number of TIRS read */
);

#endif
