#!/bin/csh -f

echo "Cleaning database..."

# Initialize the error status to indicate no errors (since we haven't
# attempted any deletion yet).
set errorStatus = 0

# Delete the records from geometric work order common table.
sqlplus -s ${IAS_DB_L8_OLITIRS} << END
    set head off;
    delete from geometric_work_order_common where geometric_wo_common_id > 1000000;
    delete from tirs_telemetry_circuit where L0R_TIME_DAYS_FROM_J2000 >= 5107 and
        L0R_TIME_DAYS_FROM_J2000 <= 5108;
    delete from tirs_telemetry_command where L0R_TIME_DAYS_FROM_J2000 >= 5107 and
        L0R_TIME_DAYS_FROM_J2000 <= 5108;    
    exit;
END

# Display error message if the delete operation fails.
if ( ${status} ) then
    echo "ERROR: ${sql}"
    set errorStatus = 1
endif

# If error occurred then, print error message.
if ( ${errorStatus} ) then
    echo "Error occurred while cleaning the database"
    exit 1
endif

# Successful exit
exit 0
