#!/bin/csh -f

# NAME: trim_ssm_encoder_file.csh

# PURPOSE: Trim ssm encoder file which can be read by tirs_fit_ssm_model
# application.
# Changes internal file format from:
#  Date/Time,Seconds Diff,Plot Secs,Days Diff,Plot Days,Type,Abs Count
# to:
#  Date/Time,Seconds Diff,Type,Abs Count
# 
# Usage: ./trim_ssm_encoder_file.csh <input_file.csv>

if ($#argv != 1) then
    echo "Usage: $0 <input_file.csv>"
    exit 1
endif

# Print the first, second, sixth and seventh column in std output
awk -F "," '{print $1","$2","$6","$7}' $1
if ( $status != 0 ) then
    echo "Failed to trim input file."
    exit 1
endif

# Exit
exit 0

