
#ifndef DATE_CONVERSIONS_H
#define DATE_CONVERSIONS_H

/* Define for the case where the conversion could not be done due to the input
   string not matching the specified input format */
#define INVALID_DATE -2

typedef enum date_format
{
    DATE_FORMAT_DD_MON_YYYY,
    DATE_FORMAT_YYYY_MM_DD
} DATE_FORMAT;

int convert_date_string
(
    DATE_FORMAT input_format,   /* I: format of input date string */
    const char *input_string,   /* I: Input date to convert */
    DATE_FORMAT output_format,  /* I: format requested for output string */
    char *output_string,        /* O: output date buffer string */
    int output_size             /* I: size of output date buffer */
);

#endif /* DATE_CONVERSIONS_H */

