/*****************************************************************************
NAME:           gxx_createname

PURPOSE:
Create a new filename given the directory, root file name, and the desired
extension.

NOTES:
The last character of the directory path should be a '/'.  A '.' will be
added between the root name and the extension.

******************************************************************************
                Landsat 7 Image Assessment System (IAS) Software
                        Property of the U.S. Government
                                NASA/GSFC/EDC
*****************************************************************************/

#include <string.h>
#include "gxx_utility.h"


void gxx_createname
(
    const char *directory,      /* I: Directory portion of file name     */
    const char *root,           /* I: Root portion of the file name      */
    const char *extension,      /* I: Extension portion of the file name */
    char *filename              /* O: New filename                       */
)
{
    /* Initialize the filename with the directory name.
     */
    strcpy (filename, directory);

    /* Add the root name.
     */
    strcat (filename, root);

    /* Add the '.' after the root.
     */
    strcat (filename, ".");

    /* Add the extension.
     */
    strcat (filename, extension);
}
