#ifndef xxx_Sensor_etm_H
#define xxx_Sensor_etm_H

#include "ias_const.h"
#include "xxx_Band.h"

/* This file contains common sensor-specific definitions. */ 
/* This is only to be used by ETM-specific programs.      */


/* Per-band sensor-specific definitions: */

static const int band_number_etm[MAX_BANDS_ETM] = 
    {1, 2, 3, 4, 5, 6, 7, 8};

static const int band_long_number_etm[MAX_BANDS_ETM] = 
    {1, 2, 3, 4, 5, 61, 7, 8};

static const BandNumber band_id_etm[MAX_BANDS_ETM] = 
    {b1, b2, b3, b4, b5, b6l, b7, b8};

static const BAND_TYPE band_id_rps_etm[MAX_BANDS_ETM] = 
    {B1, B2, B3, B4, B5, B6L, B7, B8};

static const char band_short_name_etm[MAX_BANDS_ETM][4] = 
    {"B1", "B2", "B3", "B4", "B5", "B6", "B7", "B8"};

static const char band_name_etm[MAX_BANDS_ETM][10] = 
    {"BAND 1", "BAND 2", "BAND 3", "BAND 4", 
     "BAND 5", "BAND 6", "BAND 7", "BAND 8"};

static const char sds_band_name_etm[MAX_BANDS_ETM][5] = 
    {"B10", "B20", "B30", "B40", "B50", "B60", "B70", "B80"};

static const char band_name_ext_etm[MAX_BANDS_ETM][5] = 
    {"_B10",  "_B20", "_B30", "_B40", "_B50", "_B60", "_B70", "_B80"};

static const char band_name_ext_81_etm[MAX_BANDS_ETM][5] = 
    {"_B10",  "_B20", "_B30", "_B40", "_B50", "_B60", "_B70", "_B81"};

static const int band_resolution_etm[MAX_BANDS_ETM] = 
    {30, 30, 30, 30, 30, 60, 30, 15};

static const band_mode_type band_mode_etm[MAX_BANDS_ETM] = 
    {REFLECTIVE, REFLECTIVE, REFLECTIVE, 
     REFLECTIVE, REFLECTIVE, THERMAL, 
     REFLECTIVE, PANCHROMATIC};

static const temp_corr_type temp_corr_etm[MAX_BANDS_ETM] =
    {TEMP_SILICON_FP_ASSEMBLY, TEMP_SILICON_FP_ASSEMBLY,
     TEMP_SILICON_FP_ASSEMBLY, TEMP_SILICON_FP_ASSEMBLY,
     TEMP_CFPA_MON,            TEMP_NO_CORRECTION,
     TEMP_CFPA_MON,            TEMP_SILICON_FP_ASSEMBLY};

static const short int num_detectors_etm[MAX_BANDS_ETM] = 
    {16, 16, 16, 16, 16, 8, 16, 32};

static const long int MaxImgPixels_etm[MAX_BANDS_ETM] = 
    {6600, 6600, 6600, 6600, 6600, 3300, 6600, 13200};

static const long int MaxCalPixels_etm[MAX_BANDS_ETM] = 
    {1450, 1450, 1450, 1450, 1450, 725, 1450, 2900};

/* The following band node elements are defined in GetICLen based on */
/* CPF values, and are not initialized using header file values:     */ 
/* CalDataLen, CalDkRegLen, CalDkRegLength, CalDkRegOffset, and      */
/* IC_Usable_Length.                                                 */ 

static const char band_id_msg_etm[MAX_BANDS_ETM][4] =
    {"B1", "B2", "B3", "B4", "B5", "B6", "B7", "B8"};

static const char IMGnames_etm[MAX_BANDS_ETM][5] = 
    {"B10",  "B20", "B30", "B40", "B50", "B60", "B70", "B81"};

static const char CALnames_etm[MAX_BANDS_ETM][5] = 
    {"C10",  "C20", "C30", "C40", "C50", "C60", "C70", "C81"};

/* vdata names for scan line offsets */
static const char SLOvdata_etm[MAX_BANDS_ETM][BAND_SLO_STR_SZ] = 
    {XXX_SLO_BAND1,  XXX_SLO_BAND2,
     XXX_SLO_BAND3,  XXX_SLO_BAND4,
     XXX_SLO_BAND5,  XXX_SLO_BAND6,
     XXX_SLO_BAND7,  XXX_SLO_BAND81};

static const int joffset_etm[MAX_BANDS_ETM] =
    {11, 11, 11, 11, 11, 0, 11, 21};

/* Construct the band list only with active bands */
static const int active_etm[MAX_BANDS_ETM] = 
    {TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE};

#endif

