#ifndef XXX_SENSOR_MSS_H
#define XXX_SENSOR_MSS_H

#include "ias_const.h"
#include "xxx_Band.h"

/* This file contains common sensor-specific definitions. */ 
/* This is only to be used by MSS-specific programs.      */


/* Per-band sensor-specific definitions: */

static const int band_number_mss[MAX_BANDS_MSS] = 
    {4, 5, 6, 7};

static const int band_long_number_mss[MAX_BANDS_MSS] = 
    {4, 5, 6, 7};

static const BandNumber band_id_mss[MAX_BANDS_MSS] = 
    {b4, b5, b6, b7};

static const BAND_TYPE band_id_rps_mss[MAX_BANDS_MSS] = 
    {B4, B5, B6, B7};

static const char band_short_name_mss[MAX_BANDS_MSS][4] = 
    {"B4", "B5", "B6", "B7"};

static const char band_name_mss[MAX_BANDS_MSS][10] = 
    {"BAND 4", "BAND 5", "BAND 6", "BAND 7"};

static const char sds_band_name_mss[MAX_BANDS_MSS][5] = 
    {"B40", "B50", "B60", "B70"};

static const char band_name_ext_mss[MAX_BANDS_MSS][5] =
    {"_B40", "_B50", "_B60", "_B70"};

static const char band_name_ext_81_mss[MAX_BANDS_MSS][5] =
    {"_B40", "_B50", "_B60", "_B70"};

static const int band_resolution_mss[MAX_BANDS_MSS] = 
    {60, 60, 60, 60};

static const band_mode_type band_mode_mss[MAX_BANDS_MSS] = 
    {REFLECTIVE, REFLECTIVE, REFLECTIVE, REFLECTIVE};

static const temp_corr_type temp_corr_mss[MAX_BANDS_MSS] =
    {TEMP_NO_CORRECTION, TEMP_NO_CORRECTION, TEMP_NO_CORRECTION,
     TEMP_NO_CORRECTION};

static const short int num_detectors_mss[MAX_BANDS_MSS] = 
    {6, 6, 6, 6};

static const long int MaxImgPixels_mss[MAX_BANDS_MSS] = 
    {3650, 3650, 3650, 3650};

static const long int MaxCalPixels_mss[MAX_BANDS_MSS] = 
    {1400, 1400, 1400, 1400};

/* The following band node elements are defined in GetICLen based on */
/* CPF values, and are not initialized using header file values:     */
/* CalDataLen, CalDkRegLen, CalDkRegLength, CalDkRegOffset, and      */
/* IC_Usable_Length.                                                 */

static const char band_id_msg_mss[MAX_BANDS_MSS][4] =
    {"B4", "B5", "B6", "B7"};

static const char IMGnames_mss[MAX_BANDS_MSS][5] = 
    {"B40", "B50", "B60", "B70"};

static const char CALnames_mss[MAX_BANDS_MSS][5] = 
    {"C40", "C50", "C60", "C70"};

/* vdata names for scan line offsets */
static const char SLOvdata_mss[MAX_BANDS_MSS][BAND_SLO_STR_SZ] = 
    {XXX_SLO_BAND4, XXX_SLO_BAND5,  XXX_SLO_BAND6, XXX_SLO_BAND7};

static const int joffset_mss[MAX_BANDS_MSS] =
    {11, 11, 11, 11};

/* Construct the band list only with active bands */
static const int active_mss[MAX_BANDS_MSS] = 
    {TRUE, TRUE, TRUE, TRUE};

#endif

