#ifndef xxx_Sensor_tm_H
#define xxx_Sensor_tm_H

#include "ias_const.h"
#include "xxx_Band.h"

/* This file contains common sensor-specific definitions. */ 
/* This is only to be used by TM-specific programs.      */


/* Per-band sensor-specific definitions: */

static const int band_number_tm[MAX_BANDS_TM] = 
    {1, 2, 3, 4, 5, 6, 7};

static const int band_long_number_tm[MAX_BANDS_TM] = 
    {1, 2, 3, 4, 5, 6, 7};

static const BandNumber band_id_tm[MAX_BANDS_TM] = 
    {b1, b2, b3, b4, b5, b6, b7};

static const BAND_TYPE band_id_rps_tm[MAX_BANDS_TM] = 
    {B1, B2, B3, B4, B5, B6, B7};

static const char band_short_name_tm[MAX_BANDS_TM][4] = 
    {"B1", "B2", "B3", "B4", "B5", "B6", "B7"};

static const char band_name_tm[MAX_BANDS_TM][10] = 
    {"BAND 1",  "BAND 2", "BAND 3", "BAND 4", "BAND 5", "BAND 6", 
     "BAND 7"};

static const char sds_band_name_tm[MAX_BANDS_TM][5] = 
    {"B10", "B20", "B30", "B40", "B50", "B60", "B70"};

static const char band_name_ext_tm[MAX_BANDS_ETM][5] =
    {"_B10",  "_B20", "_B30", "_B40", "_B50", "_B60", "_B70"};

static const char band_name_ext_81_tm[MAX_BANDS_ETM][5] =
    {"_B10",  "_B20", "_B30", "_B40", "_B50", "_B60", "_B70"};

static const int band_resolution_tm[MAX_BANDS_TM] = 
    {30, 30, 30, 30, 30, 120, 30};

static const band_mode_type band_mode_tm[MAX_BANDS_TM] = 
    {REFLECTIVE, REFLECTIVE, REFLECTIVE, 
     REFLECTIVE, REFLECTIVE, THERMAL, 
     REFLECTIVE};

static const temp_corr_type temp_corr_tm[MAX_BANDS_TM] =
    {TEMP_SILICON_FP_ASSEMBLY, TEMP_SILICON_FP_ASSEMBLY,
     TEMP_SILICON_FP_ASSEMBLY, TEMP_SILICON_FP_ASSEMBLY,
     TEMP_CFPA_MON,            TEMP_NO_CORRECTION,
     TEMP_CFPA_MON};

static const short int num_detectors_tm[MAX_BANDS_TM] = 
    {16, 16, 16, 16, 16, 4, 16};

static const long int MaxImgPixels_tm[MAX_BANDS_TM] = 
    {6600, 6600, 6600, 6600, 6600, 1650, 6600};

static const long int MaxCalPixels_tm[MAX_BANDS_TM] = 
    {1450, 1450, 1450, 1450, 1450, 725, 1450};

/* The following band node elements are defined in GetICLen based on */
/* CPF values, and are not initialized using header file values:     */
/* CalDataLen, CalDkRegLen, CalDkRegLength, CalDkRegOffset, and      */
/* IC_Usable_Length.                                                 */

static const char band_id_msg_tm[MAX_BANDS_TM][4] =
    {"B1", "B2", "B3", "B4", "B5", "B6", "B7"};

static const char IMGnames_tm[MAX_BANDS_TM][5] = 
    {"B10",  "B20", "B30", "B40", "B50", "B60", "B70"};

static const char CALnames_tm[MAX_BANDS_TM][5] = 
    {"C10",  "C20", "C30", "C40", "C50", "C60", "C70"};

/* vdata names for scan line offsets */
static const char SLOvdata_tm[MAX_BANDS_TM][BAND_SLO_STR_SZ] = 
    {XXX_SLO_BAND1,  XXX_SLO_BAND2,
     XXX_SLO_BAND3,  XXX_SLO_BAND4,
     XXX_SLO_BAND5,  XXX_SLO_BAND6,
     XXX_SLO_BAND7};

static const int joffset_tm[MAX_BANDS_TM] =
    {11, 11, 11, 11, 11, 0, 11};

/* Construct the band list only with active bands */
static const int active_tm[MAX_BANDS_TM] = 
    {TRUE, TRUE, TRUE, TRUE, TRUE, TRUE, TRUE};

#endif

