/*****************************************************************************
                Landsat 7 Image Assessment System (IAS) Software
                        Property of the U.S. Government
                            NASA / GSFC / Code 510
******************************************************************************

UNIT NAME:  xxx_GetDataTypeSize.c

PURPOSE:  Return the data types size in bytes.

RETURN VALUE:
Type = long

Value       Description
--------------  --------------------------------------------------------------
positive        Data types size in bytes
0           Datatype unknown

*****************************************************************************/

#include "xxx_Imagery.h"


long xxx_GetDataTypeSize
(
    int32 DataType /* I: HDF data type */
)
{
    switch (DataType)
    {
        case DFNT_FLOAT32:         /* same DFNT_FLOAT */
            return SIZE_FLOAT32;
        case DFNT_FLOAT64:         /* same DFNT_DOUBLE */
            return SIZE_FLOAT64;
        case DFNT_INT8:
            return SIZE_INT8;
        case DFNT_UINT8:
            return SIZE_UINT8;
        case DFNT_INT16:
            return SIZE_INT16;
        case DFNT_UINT16:
            return SIZE_UINT16;
        case DFNT_INT32:
            return SIZE_INT32;
        case  DFNT_UINT32:
            return SIZE_UINT32;
        case DFNT_INT64:
            return SIZE_INT64;
        case DFNT_UINT64:
            return SIZE_UINT64;
        case DFNT_UCHAR8:          /* same DFNT_UCHAR */
            return SIZE_UCHAR8;
        case DFNT_CHAR8:       /* same  DFNT_CHAR */
            return SIZE_UCHAR;
    }
    
    return 0;
}
