#ifndef XXX_SENSOR_H
#define XXX_SENSOR_H


#include "xxx_Band.h"

typedef enum H4_IAS_SENSOR_TYPE
{
    IAS_SENSOR_UNKNOWN,
    IAS_SENSOR_MSS,
    IAS_SENSOR_TM,
    IAS_SENSOR_ETM,
    IAS_SENSOR_GENERIC
} H4_IAS_SENSOR_TYPE;

typedef enum IAS_SATELLITE_TYPE
{
    IAS_SAT_UNKNOWN,
    IAS_SAT_L1,
    IAS_SAT_L2,
    IAS_SAT_L3,
    IAS_SAT_L4,
    IAS_SAT_L5,
    IAS_SAT_L7,
    IAS_SAT_GENERIC
} IAS_SATELLITE_TYPE;


typedef struct xxx_FuncPtrs
{

    /* Band functions */
    void (*InitBands)(void);
    void (*CreateBandNode)
    (
        BAND_HDR_TYPE *band_list, /* I: band header information */
        BAND_OPTION_TYPE option,  /* I: band option (standard or custom) */
        BandNumber band_number    /* I: band number */
    );

    /* New function pointer goes here ... */

} xxx_FuncPtrs;

/* Function prototypes */

H4_IAS_SENSOR_TYPE xxx_initialize_sensor_type
(
    const char * SensorTypeStr   /* I: sensor type string */
);


H4_IAS_SENSOR_TYPE xxx_get_sensor_type(void);


int xxx_initialize_func_ptr (void);
xxx_FuncPtrs *xxx_get_funcs (void);


#endif /* XXX_SENSOR_H */
