#ifndef CONFIGUREIAS_H
#define CONFIGUREIAS_H

/******************************************************************************
               Image Assessment System (IAS) Software
 ******************************************************************************
 *
 * Name:   ConfigureIAS.h
 *
 * PURPOSE:
 * This is the declaration of the ConfigureIAS class which is used to 
 * view and set values in the system parameter table (sys_parms).
 *
 *****************************************************************************/

/* System Includes */

/* Qt Includes */
#include <QtCore>
#include <QtGui>

/* Local Includes */
#include "ui_ConfigureIASBase.h"

#define MAX_FIELDS  20     // Maximum number SYS_PARM fields to update

typedef struct sysPrmInfo
{
    QString spField;      // SYS_PARMS field name
    QSpinBox *spinObject; // Pointer to the Qspinbox object
} sysPrmInfo;

class ConfigureIAS : public QWidget, public Ui::ConfigureIASBase
{
    Q_OBJECT

    public:

        ConfigureIAS(QWidget* parent = 0,
                     Qt::WindowFlags fl = 0);

    protected slots:

        void updateDbase();     // Update the sys_parms database
    
    private:
    
        void initParmStructs(); // Initialize the parameter structures  

        int numSysPrmFields; // Number of fields to be displayed from SYS_PARMS
        sysPrmInfo spParms[MAX_FIELDS];
        QString m_systemId;
};

#endif /* CONFIGUREIAS_H */

