#ifndef OUI_MODIFYWO_H
#define OUI_MODIFYWO_H

/******************************************************************************
               Image Assessment System (IAS) Software
 ******************************************************************************
 *
 * Name: ModifyWO.h
 *
 * PURPOSE:
 * This is the declaration file of the ModifyWO class which is used to
 * Create and modify a work order.
 *
 *****************************************************************************/

#include "CreateWO.h"

class ModifyWO : public CreateWO
{
    Q_OBJECT

    public:

        ModifyWO(const QString &woId,
                 QWidget* parent = 0,
                 Qt::WindowFlags fl = 0);

    private slots:

        void closeEvent(QCloseEvent* ce);
        void cancelWorkOrder();

    private:

        bool populateInitialDb();
        void setTitle();
        QString getWoId();
        void getSatSensor();
        void setupPriority(const int& priority);
        void setupDefEphPCD(const QString& ephemType);
        void setupOutputDbSchema(const QString& schema);
        void setupRequestType(const QString& requestType);
        QString getScriptSql(const QString& id);
        void populateNewWorkOrder();

        QString m_modifyWoId;
        QString m_state;
};

#endif /* OUI_MODIFYWO_H */

