#ifndef OUIMAINWINDOW_H
#define OUIMAINWINDOW_H

/******************************************************************************
               Image Assessment System (IAS) Software
*******************************************************************************
*
* Name:   OUIMainWindow.h
*
* PURPOSE:
* This is the declaration of the OUIMainWindow class.  It provides a pull-down 
* menu structure and tool bar.  All functions of the GUI are accessed by the
* user from here.
*
******************************************************************************/

/* Qt Includes */
#include <QtCore>
#include <QtGui>

/* Local Includes */
#include "WOStatus.h"
#include "ui_OUIMainWindowBase.h"


class OUIMainWindow : public QMainWindow, public Ui::OUIMainWindowBase
{
    Q_OBJECT

    public:

        OUIMainWindow(QWidget *parent = 0,
                      Qt::WindowFlags fl = Qt::Window);

    public slots:

        void activatedNewWO();
        void activatedWOStatus();
        void activatedBrowseParms();
        void activatedConfiguration();
        void activatedInstanceConfiguration();
        void activatedEvents();
        void activatedRestart();
        void activatedStartStop();
        void activatedModifyWO();
        void activatedModifyWOState();
        void activatedFromTemplate();
        void activatedNewProcedure();
        void activatedNewScript();

    private:

        void initialize();
        void insertPlugin(QStringList pathList,
                          QString & cmd,
                          QObject * parent);

        QSignalMapper* signalMapper;

        QFont menuFont;

        WOStatus *woStatus;
    
    private slots:

        void executePlugin(const QString& cmd);
        void woStatusDestroyed();
};

#endif

