#ifndef SELECTMODIFYWO_H
#define SELECTMODIFYWO_H

/******************************************************************************
               Image Assessment System (IAS) Software
 ******************************************************************************
 *
 * Name:   SelectModifyWO.h
 *
 * PURPOSE: This is the declaration file of the SelectModifyWO class which
 *          is used to select a work order id from existing work orders whose
 *          parameters will be modified.  This class then creates a ModifyWO
 *          interface to modify the work order.
 *
 *****************************************************************************/

#include "ui_SelectModifyWOBase.h"

class SelectModifyWO: public QWidget, public Ui::SelectModifyWOBase
{
    Q_OBJECT

    public:

        SelectModifyWO(QWidget *parent = 0,
                       Qt::WindowFlags fl = 0);

    public slots:

        void callWOCreate();
        void changeToDateMin();
        void changeFromDateMax();
        void populateWorkOrders();
        void woSelected(int);
         
    private:

        void populate();
};

#endif /* SELECTMODIFYWO_H */

