#ifndef SELECTTEMPLATEWO_H
#define SELECTTEMPLATEWO_H

/******************************************************************************
               Image Assessment System (IAS) Software
 ******************************************************************************
 *
 * Name:   SelectTemplateWO.h
 *
 * PURPOSE: This is the declaration file of the SelectTemplateWO class which
 *          is used to select a work order id from existing work orders whose
 *          parameters will be used to create a new work order.  This class
 *          then creates a TemplateWO interface for creating the new work
 *          order.
 *
 *****************************************************************************/

#include "ui_SelectTemplateWOBase.h"

class SelectTemplateWO: public QWidget, public Ui::SelectTemplateWOBase
{
    Q_OBJECT

    public:

        SelectTemplateWO(QWidget *parent = 0,
                         Qt::WindowFlags fl = 0);

    public slots:

        void callWOCreate();
        void changeToDateMin(const QDate& date);
        void changeFromDateMax(const QDate& date);
        void populateWorkOrders();
        void populate();
};

#endif /* SELECTTEMPLATEWO_H */

