#ifndef STARTSTOPIAS_H
#define STARTSTOPIAS_H

/******************************************************************************
               Image Assessment System (IAS) Software
 ******************************************************************************
 *
 * Name:   StartStopIas.h
 *
 * PURPOSE:
 * This is the declaration file of the StartStopIas class which is used to
 * Start or Stop the ias processing.
 *
 *****************************************************************************/

#include "ui_StartStopIasBase.h"

class StartStopIas: public QWidget, public Ui::StartStopIasBase
{
    Q_OBJECT

    public:

        StartStopIas(QWidget *parent = 0,
                     Qt::WindowFlags fl = 0);

    public slots:

        void startupIas();
        void shutdownIas();

    private:

        bool checkDupDirective();

        QString system_id;
        QString ias_bin;
};

#endif // STARTSTOPIAS_H

