#ifndef OUI_TEMPLATEWO_H
#define OUI_TEMPLATEWO_H

/******************************************************************************
               Image Assessment System (IAS) Software
 ******************************************************************************
 *
 * Name: TemplateWO.h
 *
 * PURPOSE: To create a work order based off of a previously created work
 *          order.
 *
 *****************************************************************************/

#include "CreateWO.h"

class TemplateWO : public CreateWO
{
    Q_OBJECT

    public:

        TemplateWO(const QString &woId,
                   QWidget* parent = 0,
                   Qt::WindowFlags fl = 0);

    private:

        bool populateInitialDb();
        void setTitle();
        void getSatSensor();
        void setupDefEphPCD(const QString& ephemType);
        QString getScriptSql(const QString& id);
        void populateNewWorkOrder();
        QString getWoParmSql();

        QString m_templateWoId;
};

#endif /* OUI_TEMPLATEWO_H */

