#ifndef WOSTATUS_H
#define WOSTATUS_H

/******************************************************************************
               Image Assessment System (IAS) Software
 ******************************************************************************
 *
 * Name:   WOStatus.h
 *
 * PURPOSE:
 * This is the header file for the WOStatus class.  The purpose of this
 * class is to provide the ability to monitor and modify work orders
 * that are currently in the system.
 *
 *****************************************************************************/

// System Includes

// Qt Includes
#include <QtCore>
#include <QtGui>

// Local Includes
#include "IASUtilities.h"
#include "IASListViewItem.h"
#include "ui_WOStatusBase.h"

class WOStatus : public QWidget, public Ui::WOStatusBase
{
    Q_OBJECT

    public:

        WOStatus(QWidget *parent=0,
                 Qt::WindowFlags fl=0);

    public slots:

        void populate();
        void setAutoRefresh(bool);
        void displayInfo();
        void showModWOParms();
        void showScriptStatus();

    private:

        void setupListView();
        void setupDefaults();
        QString buildWorkOrderQuery();

        QTimer *m_timer;
        columnDataTypesList m_listColumnTypes;
        QString m_woId;
        int m_woNumCols;
};

#endif

