#!/bin/csh -f

# Define the procedure and scene to process
set procedure = "Generate L1R"
set data_path = "$IAS_IT_TEST_DATA_DIR/l0r/"
set rlut = "$IAS_IT_TEST_DATA_DIR/rlut/alt_L8RLUT19990101_20111231v03.h5"
set sceneid = "LC81950292013108LGN00"

set l0rPath = "-l0r_data_path $data_path/$sceneid"
if ($1 == "ST") then
    set l0rPath = ""
endif

PWG -interactive -procedure_id "$procedure" \
    -scene_id "$sceneid" \
    $l0rPath \
    -comment "TC002 9 - Alternate Response Linearization scene 1" \
    -parm "DSW:RLUT_FILENAME=$rlut" \
    -parm "DSW:BIAS_PARM_FILENAME_OLI=$IAS_IT_TEST_DATA_DIR/bpf/LO8BPF20130418101100_20130418103109.01" \
    -parm "DSW:BIAS_PARM_FILENAME_TIRS=$IAS_IT_TEST_DATA_DIR/bpf/LT8BPF20130418100706_20130418103201.01" \
    -parm "L8RPS:ALGORITHMS_ELEM1=inoperable_detector_identification" \
    -parm "L8RPS:ALGORITHMS_ELEM2=dropped_frame_characterization" \
    -parm "L8RPS:ALGORITHMS_ELEM3=saturated_pixel_characterization" \
    -parm "L8RPS:ALGORITHMS_ELEM4=convert_to_float_DUMP" \
    -parm "L8RPS:ALGORITHMS_ELEM5=tirs_alternate_response_linearization_DUMP" \
    -parm "L8RPS:ALGORITHMS_ELEM6=tirs_histogram_statistics_characterization_SKIP" \
    -parm "L8RPS:ALGORITHMS_ELEM7=temperature_sensitivity_correction_SKIP" \
    -parm "L8RPS:ALGORITHMS_ELEM8=tirs_bias_removal" \
    -parm "L8RPS:ALGORITHMS_ELEM9=tirs_secondary_linearization_SKIP" \
    -parm "L8RPS:ALGORITHMS_ELEM10=tirs_gain_offset_removal_SKIP" \
    -parm "L8RPS:ALGORITHMS_ELEM11=oli_bias_determination" \
    -parm "L8RPS:ALGORITHMS_ELEM12=oli_bias_removal_DUMP" \
    -parm "L8RPS:ALGORITHMS_ELEM13=oli_alternate_response_linearization_DUMP" \
    -parm "L8RPS:ALGORITHMS_ELEM14=oli_histogram_statistics_characterization_SKIP" \
    -parm "L8RPS:ALGORITHMS_ELEM15=gain_application" \
    -parm "L8RPS:ALGORITHMS_ELEM16=reflectance_conversion" \
    -parm "L8RPS:ALGORITHMS_ELEM17=" \
    -parm "L8RPS:ALGORITHMS_ELEM18=" \
    -parm "L8RPS:ALGORITHMS_ELEM19=" \
    -parm "L8RPS:ALGORITHMS_ELEM20=" \
    -parm "L8RPS:ALGORITHMS_ELEM21=" \
    -parm "L8RPS:ALGORITHMS_ELEM22=" \
    -parm "L8RPS:PERFORM_TEMP_SENS=0" \
    -parm "L8RPS:STORE_CHARACTERIZATION_IN_DB=0" 

set sceneid = "LC80140332013079LGN01"
PWG -interactive -procedure_id "$procedure" \
    -scene_id "$sceneid" \
    $l0rPath \
    -comment "TC002 10 - Alternate Response Linearization scene 2" \
    -parm "DSW:RLUT_FILENAME=$rlut" \
    -parm "L8RPS:ALGORITHMS_ELEM1=inoperable_detector_identification" \
    -parm "L8RPS:ALGORITHMS_ELEM2=dropped_frame_characterization" \
    -parm "L8RPS:ALGORITHMS_ELEM3=saturated_pixel_characterization" \
    -parm "L8RPS:ALGORITHMS_ELEM4=convert_to_float_DUMP" \
    -parm "L8RPS:ALGORITHMS_ELEM5=tirs_alternate_response_linearization_DUMP" \
    -parm "L8RPS:ALGORITHMS_ELEM6=tirs_histogram_statistics_characterization_SKIP" \
    -parm "L8RPS:ALGORITHMS_ELEM7=temperature_sensitivity_correction_SKIP" \
    -parm "L8RPS:ALGORITHMS_ELEM8=tirs_bias_removal" \
    -parm "L8RPS:ALGORITHMS_ELEM9=tirs_secondary_linearization_SKIP" \
    -parm "L8RPS:ALGORITHMS_ELEM10=tirs_gain_offset_removal" \
    -parm "L8RPS:ALGORITHMS_ELEM11=oli_bias_determination" \
    -parm "L8RPS:ALGORITHMS_ELEM12=oli_bias_removal_DUMP" \
    -parm "L8RPS:ALGORITHMS_ELEM13=oli_alternate_response_linearization_DUMP" \
    -parm "L8RPS:ALGORITHMS_ELEM14=oli_histogram_statistics_characterization_SKIP" \
    -parm "L8RPS:ALGORITHMS_ELEM15=gain_application" \
    -parm "L8RPS:ALGORITHMS_ELEM16=reflectance_conversion" \
    -parm "L8RPS:ALGORITHMS_ELEM17=" \
    -parm "L8RPS:ALGORITHMS_ELEM18=" \
    -parm "L8RPS:ALGORITHMS_ELEM19=" \
    -parm "L8RPS:ALGORITHMS_ELEM20=" \
    -parm "L8RPS:ALGORITHMS_ELEM21=" \
    -parm "L8RPS:ALGORITHMS_ELEM22=" \
    -parm "L8RPS:PERFORM_TEMP_SENS=0" \
    -parm "L8RPS:STORE_CHARACTERIZATION_IN_DB=0" 
