#!/bin/csh -f

#set scene_id = LD8M_l0r
set l0r_path = "$IAS_IT_TEST_DATA_DIR/l0r/tvac_108"
set bpf = $l0r_path/LT8BPF20140612144100_20140612152700.01
set cpf = $l0r_path/L8CPF20140401_20140630.01
set rlut = $l0r_path/L8RLUT20130211_20431231v01.h5
set scene_id = LD8M_l0r

set l0rPathVar = "-l0r_data_path $l0r_path"
if ($1 == "ST") then
    set l0rPathVar = ""
endif

PWG -i -procedure_id "Generate L1R-Non Earth" \
    -scene_id $scene_id \
    $l0rPathVar \
    -comment "TC002 11 TIRS secondary linearization" \
    -parm DSW:BIAS_PARM_FILENAME_TIRS=$bpf \
    -parm DSW:CAL_PARM_FILENAME=$cpf \
    -parm DSW:RLUT_FILENAME=$rlut \
    -parm "L8RPS:BAND_LIST=(10,11)" \
    -parm L8RPS:ALGORITHMS_ELEM1=inoperable_detector_identification \
    -parm L8RPS:ALGORITHMS_ELEM2=dropped_frame_characterization \
    -parm L8RPS:ALGORITHMS_ELEM3=saturated_pixel_characterization \
    -parm L8RPS:ALGORITHMS_ELEM4=convert_to_float \
    -parm L8RPS:ALGORITHMS_ELEM5=tirs_response_linearization \
    -parm L8RPS:ALGORITHMS_ELEM6=tirs_histogram_statistics_characterization \
    -parm L8RPS:ALGORITHMS_ELEM7=tirs_bias_removal_DUMP \
    -parm L8RPS:ALGORITHMS_ELEM8=tirs_secondary_linearization_DUMP \
    -parm L8RPS:ALGORITHMS_ELEM9=gain_application \
    -parm L8RPS:ALGORITHMS_ELEM10= \
    -parm L8RPS:ALGORITHMS_ELEM11= \
    -parm L8RPS:ALGORITHMS_ELEM12= \
    -parm L8RPS:ALGORITHMS_ELEM13= \
    -parm L8RPS:ALGORITHMS_ELEM14= \
    -parm L8RPS:ALGORITHMS_ELEM15= \
    -parm L8RPS:ALGORITHMS_ELEM16= \
    -parm L8RPS:ALGORITHMS_ELEM17= \
    -parm L8RPS:ALGORITHMS_ELEM18= \
    -parm L8RPS:ALGORITHMS_ELEM19= \
    -parm L8RPS:ALGORITHMS_ELEM20= \
    -parm L8RPS:PERFORM_TEMP_SENS=0 \
    -parm L8RPS:STORE_CHARACTERIZATION_IN_DB=0

