#!/bin/csh -f

# Define the procedure and scene to process
set procedure = "Generate L1R"
set sceneid = "LC80300232003197EDC00"

set data_path = "-l0r_data_path $IAS_IT_TEST_DATA_DIR/l0r/LC80300232003197EDC00_radsim"
if ($1 == "ST") then
    set data_path = ""
endif

# Create the order with only the impulse noise algorithm and generate reports
# turned on
PWG -interactive -procedure_id "$procedure" \
    -scene_id "$sceneid" \
    $data_path \
    -comment "TC002 12 impulse noise" \
    -parm "L8RPS:ALGORITHMS_ELEM1=impulse_noise_characterization" \
    -parm "L8RPS:ALGORITHMS_ELEM2=convert_to_float" \
    -parm "L8RPS:ALGORITHMS_ELEM3=" \
    -parm "L8RPS:ALGORITHMS_ELEM4=" \
    -parm "L8RPS:ALGORITHMS_ELEM5=" \
    -parm "L8RPS:ALGORITHMS_ELEM6=" \
    -parm "L8RPS:ALGORITHMS_ELEM7=" \
    -parm "L8RPS:ALGORITHMS_ELEM8=" \
    -parm "L8RPS:ALGORITHMS_ELEM9=" \
    -parm "L8RPS:ALGORITHMS_ELEM10=" \
    -parm "L8RPS:ALGORITHMS_ELEM11=" \
    -parm "L8RPS:ALGORITHMS_ELEM12=" \
    -parm "L8RPS:ALGORITHMS_ELEM13=" \
    -parm "L8RPS:ALGORITHMS_ELEM14=" \
    -parm "L8RPS:ALGORITHMS_ELEM15=" \
    -parm "L8RPS:ALGORITHMS_ELEM16=" \
    -parm "L8RPS:ALGORITHMS_ELEM17=" \
    -parm "L8RPS:ALGORITHMS_ELEM18=" \
    -parm "L8RPS:ALGORITHMS_ELEM19=" \
    -parm "L8RPS:ALGORITHMS_ELEM10=" \
    -parm "L8RPS:BAND_LIST=(4,7,10)" \
    -parm "L8RPS:STORE_CHARACTERIZATION_IN_DB=1" \
    -parm "L8RPS:GENERATE_REPORT=1"

