--
-- This script generates an sql script to extract data from the given table.
-- Usage: <script_name> <work_order_id>
--

--
-- Setup so certain stuff is not output to the files.
--
set pagesize 0
set heading off
set wrap off
set echo off
set trimout on
set trimspool on
set termout off
set feedback off
set linesize 2000
set space 0
set colsep |
set verify off

-- Work Order Id to extract
DEFINE WO_ID = &1

--
-- Generate an sql script to extract collection_type data.
--

spool YYYYYY.sql
SELECT '(SELECT collection_type ' FROM sys.dual;
SELECT '   FROM radiometric_work_order_common ' FROM sys.dual;
SELECT '  WHERE work_order_id = ''&WO_ID'');' FROM sys.dual;
spool off
--
-- Generate the results.
--
spool RADIOMETRIC_WORK_ORDER_COMMON.db.results 
@YYYYYY;
spool off

exit
