#!/bin/sh

# This script run the "run_and_check_tc011_results.pl" perl script and 
# redirect the stdout and stderr to LOG file
# An input of the work order IDs for creating the L1R input files is needed

PWD=`pwd`
LOG="$PWD/run_tc011.log"

# Initialize the log file.
DATE=`date`
echo "Created $DATE" 2>&1 >> $LOG

# Run the perl script
./run_and_check_tc011_results.pl $1 $2 2>&1 >> $LOG
if [ ! $? == 0 ]; then
    echo "Run perl script run_and_check_tc011_results.pl failed."
    exit 1
fi

echo "."
echo "" 2>&1 >> $LOG
DATE=`date`
echo "Completed - $0 - $DATE" 2>&1 >> $LOG
echo "Completed - $0"

