#!/bin/sh

# This script runs the "dump_db.sql" sql script through sqlplus to generate
# a loader file for the specified table.  The temporary files created during
# this process are then removed.  A log file is generated in the current 
# directory.

# This file helps set up the data used by test case 017 for Sensor Alignment.
# It is not used during the test case itself.

PWD=`pwd`
LOG="$PWD/dump_db_records.log"
DB="$IAS_DB_L8_OLITIRS"

# Initialize the log file.
DATE=`date`
echo "Created $DATE" 2>&1 > $LOG

# Process the tables.
echo -n "."
echo "" 2>&1 >> $LOG
echo "--- Dumping DB Results ------------------------------------" 2>&1 >> $LOG
sqlplus $DB @dump_db.sql 2>&1 >> $LOG
if [ ! $? == 0 ]; then
    echo "Dump failed."
    exit 1
fi

echo "."
echo "" 2>&1 >> $LOG
DATE=`date`
echo "Completed - $0 - $DATE" 2>&1 >> $LOG

unlink GEOMETRIC_WORK_ORDER_COMMON.sql
unlink PRECISION_MODEL_CORRECTION.sql

exit 0
