#!/bin/sh

# This script modifies the WORK_ORDERS table in the database to change the
# DATE_ENTERED of the first work order listed in tc025_woids.txt.

PWD=`pwd`
LOG="$PWD/tc025.log"
DB="$IAS_DB_COM"
SQL="update.sql"

# Initialize the log file
DATE=`date`
echo "Starting - $0 - $DATE" 2>&1 >> $LOG

# Process

# Restore the value
echo "" 2>&1 >> $LOG
echo "--- Updating WORK_ORDERS ----------------------------------" 2>&1 >> $LOG
echo "spool update.log" > $SQL
echo "update WORK_ORDERS set DATE_ENTERED = sysdate - 2" >> $SQL
echo -n "    where WORK_ORDER_ID = '" >> $SQL
echo -n `head -1 tc025_woids.txt | sed -e 's/\n/ /g' ` >> $SQL
echo "';" >> $SQL
echo "spool off" >> $SQL
echo "commit;" >> $SQL
echo "exit" >> $SQL
sqlplus $DB @$SQL 2>&1 >> $LOG
if [ "$?" -ne "0" ]; then
    echo "Error modifying DATE_ENTERED in the database"
    exit 1
fi
rm -f $SQL update.log

echo "" 2>&1 >> $LOG
DATE=`date`
echo "Completed - $0 - $DATE" 2>&1 >> $LOG

