#!/bin/sh

# This script modifies the SYS_PARMS table in the database to restore changes
# made by modify_sys_parms.sh.

PWD=`pwd`
LOG="$PWD/cause_order_issues.log"
DB="$IAS_DB_COM"
SQL="update.sql"

# Initialize the log file
DATE=`date`
echo "Created $DATE" 2>&1 > $LOG

# Process

# Restore the value
echo "" 2>&1 >> $LOG
echo "--- Updating SCRIPT_ID ------------------------------------" 2>&1 >> $LOG
echo "spool update.log" > $SQL
echo "update wo_scripts set SCRIPT_ID = 'trouble'" >> $SQL
echo -n "   where WORK_ORDER_ID = " >> $SQL
head -1 wo_ids_028.txt | \
    sed -e "s/^/'/g" -e 's/$/"/g' | \
    sed -e s/\"/\'/g >> $SQL
echo "   and SCRIPT_ID = 'DSW';" >> $SQL
echo "spool off" >> $SQL
echo "commit;" >> $SQL
echo "exit" >> $SQL
sqlplus $DB @$SQL 2>&1 >> $LOG
if [ "$?" -ne "0" ]; then
    echo "Error updating the SCRIPT_ID in the database"
    exit 1
fi
rm -f $SQL update.log

echo "" 2>&1 >> $LOG
DATE=`date`
echo "Completed - $0 - $DATE" 2>&1 >> $LOG

