#!/usr/bin/perl -w
use strict;

# This is a test script for Test Case 048 - Bias Removal

# Get input Work Order IDs from command line argument
my $numArgs = $#ARGV + 1;
if ( $numArgs < 17 )
{
   print "\nPlease provide seventeen input Work Order IDs.\n\n";
   die;
}
my @workorderID = @ARGV[0..16];
my $woID;

# test data directory and names of output files
my $data_dir = "$ENV{IAS_IT_TEST_DATA_DIR}";
my $tc_dir = "/test_case_048";
my $tc_data_dir = $data_dir . $tc_dir;


# Work Order ID directory
my $workorderdir = "$ENV{IAS_WO}/";
my $workorderpath;

my $ext = ".h5";

my @datasets = qw(dataset01 dataset02 dataset03 dataset04 dataset05
                  dataset06 dataset07 dataset08 dataset09 dataset10
                  dataset11 dataset12 dataset13 dataset14 dataset15
                  dataset16 dataset17);

my $error_counter = 0;

foreach my $dataset (@datasets)
{
    # Get the correct work order path
    $woID = shift @workorderID;
    $workorderpath = $workorderdir . $woID;

    # comparing the generated files with expected files
    my $command = "../tools/verify_test_results.pl $woID " .
                  "$tc_data_dir/$dataset";
    my $rc = system("$command");
    if ($rc != 0)
    {
        print "Diff failed: $command\n";
        $error_counter++;
    }
}
    
if ($error_counter)
{
    print "Test failed\n";
    exit 1;
}
else
{
    print "Test passed\n";
    exit 0;
}

