#!/bin/csh -f

#***************************************************************************
# NAME:     sort_binary_results.csh
#
#  PURPOSE:  Sorts the binary results of the SCA overlap characterization
#  RETURNS:
#        Type:  Integer
#        Value: 0 / 1
#
#  USAGE:    ./create_wos.csh
#****************************************************************************
set tc = 064
set log = tc${tc}.log
set woid_file = tc${tc}_woids.txt

set woids = `cat $woid_file`

# Loop over each work order
foreach woid ($woids)

    echo "Sorting SCA overlap data for work order $woid" |& tee -a $log
    # Sort the results
    $IAS_BIN/dump_sca_overlap_char.py $IAS_WO/$woid/sca_overlap.dat \
        $IAS_WO/$woid/sorted_sca_overlap.dat --binary |& tee -a $log
end
