#!/bin/csh -fe
#***************************************************************************
# NAME:     check_tram.csh
#
#  PURPOSE: Checks tram for the presense of the new orders
#  RETURNS: Integer
#
#  USAGE:    ./check_tram.csh
#****************************************************************************
set all_orders_not_found = 1
set orders = ""

# Set the orders so the file is only read once
foreach order (`cat product_ids.txt | awk '{print $1}'`)
    set orders = ($orders $order)
end

# Loop until all orders are found
while ($all_orders_not_found)
    set found_orders = ""
    set i = 0

    # Loop over each order and search for it in the TRAM view
    foreach order ($orders)

        # Format the order and unit numbers
        set order_nbr = `echo $order | awk -F '_' '{print $1}'`
        set unit_nbr = `echo $order |awk -F '_' '{print $2}'`
        @ unit_nbr = $unit_nbr + 0

        # Query for the orders
        set found_order = `sqlplus -s ${IAS_DB_COM}` << END
            set head off;
            SELECT order_nbr from TRAM_ORDER_INTERFACE
                WHERE order_nbr='$order_nbr' and unit_nbr=$unit_nbr;
            exit;
END

        # Check the results of the query
        if (! $?found_order || "$found_order" =~ '*no rows*' \
            || "$found_order" == "") then
            echo "Unable to find $order"
        else
            echo "Found order $order"
            set found_orders = ($found_orders $order)
        endif
    end

    # Check if all of the orders have been found
    if ($#orders == $#found_orders) then
        echo "All orders have been found"
        break
    endif

    # Continue to look for the orders
    echo "Not all order found waiting 30 seconds to check again"
    sleep 30
end
