#!/bin/csh -f
#***************************************************************************
# NAME:     verify_work_orders.csh
#
#  PURPOSE:  Validates the work orders for TC073.
#  RETURNS:
#        Type:  Integer
#        Value: 0 / 1
#
#  USAGE:    ./create_wos.csh
#****************************************************************************
set tc = 073
set woids = `cat tc${tc}_woids.txt`
set exit_status = 0

# Pull out the precollection work order ids
set precollection_wos = ($woids[2] $woids[5])

# Run normal validation for Pre-Collection
run_in_instance.csh -a Pre-Collection ../tools/validate_wo_output.csh \
    $precollection_wos
if ( $status ) then
    set exit_status = 1
endif

# Validate the scene for Collection1
../tools/validate_wo_output.csh $woids[1]
if ( $status ) then
    set exit_status = 1
endif


if ( $exit_status ) then
    echo "Validation FAILED"
else
    echo "Validation PASSED"
endif

exit $exit_status
