/**
 * CpsException
 * 
 * Base exception class for custom exceptions in the CPS libraries.
 * Works like most exceptions in Java and allows us to have better
 * control over & tracing of the custom exceptions we throw.
 * This class should be used for exceptions that originate in any of this
 * project's source packages.
 */
package gov.usgs.ias.cps;

public class CpsException extends Exception {

    /**
     * default no-arg constructor
     */
    public CpsException() {
        super();
    }

    /**
     * A constructor that takes a String.
     * @param message   The message to include with the exception
     */
    public CpsException(String message) {
        super(message);
    }

    /**
     * For exception chaining purposes.
     * @param message   The message to include with the exception
     * @param cause     The causing exception
     */
    public CpsException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * For exception chaining purposes.
     * @param cause    The causing exception
     */
    public CpsException(Throwable cause) {
        super(cause);
    }
}
