/**
 * Name: CpsGroup
 *
 * Purpose: Content of a single parameter group, including attributes and
 *          values.  Applies to any ODL calibration parameter set, including
 *          CPF and BPF.
 */
package gov.usgs.ias.cps;

import gov.usgs.ias.dao.AttributeMap;

public class CpsGroup {

    private long groupId;            // ID of the group
    private String name;             // name of the group
    private String checksum;         // checksum of the group's contents
    private int groupOrder;          // order of this group within its parent
    private AttributeMap parameters; // the parameters (names & values)
                                     // contained in the group

    public CpsGroup() {
    }

    /* Basic getters & setters for the attributes of this class */
    public long getGroupId() {
        return groupId;
    }

    public void setGroupId(long groupId) {
        this.groupId = groupId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getChecksum() {
        return checksum;
    }

    public void setChecksum(String checksum) {
        this.checksum = checksum;
    }

    public int getGroupOrder() {
        return groupOrder;
    }

    public void setGroupOrder(int groupOrder) {
        this.groupOrder = groupOrder;
    }

    public AttributeMap getParameters() {
        return parameters;
    }

    public void setParameters(AttributeMap parameters) {
        this.parameters = parameters;
    }
}
