/*
 * CpsSummary
 *
 * Summary information about a calibration parameter set.  Applies to any
 * type of file, including CPF and BPF and RLUT.
 */
package gov.usgs.ias.cps;

import java.util.Collection;
import java.util.Date;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlTransient;

@XmlAccessorType(XmlAccessType.FIELD)
public class CpsSummary {
    // Attributes annotated with @XmlTransient will not be serialized into a
    // response from the web service.
    // So if a web method returns a CpsSummary object, the XML response will
    // only include the non-transient attributes.
    private String filename;
    private String version;
    @XmlTransient
    private String fileSource;
    @XmlTransient
    private Date effectiveBeginDate;
    @XmlTransient
    private Date effectiveEndDate;
    @XmlTransient
    private Date dateEntered;
    @XmlTransient
    private Date dateCreated;
    @XmlTransient
    private String description;
    @XmlTransient
    private Long beginOrbit;
    private CpsStatusEnum status;
    @XmlTransient
    private Collection<CpsGroup> groups;

    /* Basic getters & setters for the attributes of this class */
    public String getFilename() {
        return filename;
    }

    public void setFilename(String filename) {
        this.filename = filename;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    public String getFileSource() {
        return fileSource;
    }

    public void setFileSource(String fileSource) {
        this.fileSource = fileSource;
    }

    public Date getEffectiveBeginDate() {
        return effectiveBeginDate;
    }

    public void setEffectiveBeginDate(Date effectiveBeginDate) {
        this.effectiveBeginDate = effectiveBeginDate;
    }

    public Date getEffectiveEndDate() {
        return effectiveEndDate;
    }

    public void setEffectiveEndDate(Date effectiveEndDate) {
        this.effectiveEndDate = effectiveEndDate;
    }

    public Date getDateEntered() {
        return dateEntered;
    }

    public void setDateEntered(Date dateEntered) {
        this.dateEntered = dateEntered;
    }

    public Date getDateCreated() {
        return dateCreated;
    }

    public void setDateCreated(Date dateCreated) {
        this.dateCreated = dateCreated;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Long getBeginOrbit() {
        return beginOrbit;
    }

    public void setBeginOrbit(long beginOrbit) {
        this.beginOrbit = beginOrbit;
    }

    public Collection<CpsGroup> getGroups() {
        return groups;
    }

    public void setGroups(Collection<CpsGroup> groups) {
        this.groups = groups;
    }

    public CpsStatusEnum getStatus() {
        return status;
    }

    public void setStatus(CpsStatusEnum status) {
        this.status = status;
    }
}
