/**
 * ParseODL
 *
 * Supporting class for parsing ODL files. 
 */

package gov.usgs.ias.dao;

import gov.nasa.pds.tools.label.parser.LabelParserFactory;
import gov.nasa.pds.tools.label.parser.LabelParser;
import gov.nasa.pds.tools.label.Label;
import gov.usgs.ias.constant.Constants;
import org.apache.log4j.Logger;
import java.net.URL;
import java.net.MalformedURLException;

public class ParseODL {
    private static final Logger logger = Logger.getLogger(Constants.LOGGER_CPF);

    public static Label parseOdlFile(String odlFileName) {

        Label lab = null;

        logger.debug("Parsing " + odlFileName);
        LabelParserFactory lpf = LabelParserFactory.getInstance();
        LabelParser lp = lpf.newLabelParser();
        URL fileUrl = null;

        try {
            fileUrl = new URL("file", "localhost", odlFileName);
        } catch (MalformedURLException ex) {
            logger.debug("Unable to locate " + odlFileName);
            return null;
        }
        try {
            lab = lp.parse(fileUrl);
        } catch (Exception ex) {
            logger.debug("Unable to parse " + odlFileName);
            return null;
        }
        logger.debug("Parsed " + odlFileName + ", status = " + lab.getStatus());

        return lab;
    }

}
