/**
 * Exception class for indicating cancellation of an operation in the GUI.
 * Works like most exceptions in Java and allows us to have better
 * control over & tracing of the custom exceptions we throw.
 */
package gov.usgs.ias.gui.common_library;

public class CancelException extends Exception {

    /**
     * default no-arg constructor
     */
    public CancelException() {
        super();
    }

    /**
     * A constructor that takes a String.
     * @param message   The message to include with the exception
     */
    public CancelException(String message) {
        super(message);
    }

    /**
     * For exception chaining purposes.
     * @param message   The message to include with the exception
     * @param cause     The causing exception
     */
    public CancelException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * For exception chaining purposes.
     * @param cause    The causing exception
     */
    public CancelException(Throwable cause) {
        super(cause);
    }
}
