package gov.usgs.ias.gui.common_library;

import java.util.Calendar;

/**
 * An interface that allows you to define an object that will do
 * the processing for a DateDialog or DateRangeDialog. Provide an
 * object that implements this interface to a DateRangeDialog
 * object (via the setProcessor method) so that it can call the
 * processWithDateRange method when OK is selected.
 */
public interface DateRangeProcessor {

    /**
     * Actions to be performed when the user clicks OK in a date dialog
     * @param startDate  The start date of the range
     * @param endDate    The end date of the range
     */
    void processWithDateRange(Calendar startDate, Calendar endDate);
}
