
package gov.usgs.ias.services.clients;

import java.util.List;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;


/**
 * <![CDATA[ @description The BPF service facilitates the querying of bpf related data in  the database.]]>
 * 
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.1.6 in JDK 6
 * Generated source version: 2.1
 * 
 */
@WebService(name = "BpfService", targetNamespace = "uri:BpfQueryService")
@XmlSeeAlso({
    ObjectFactory.class
})
public interface BpfService {


    /**
     * <![CDATA[ @description Retrieves a list of all BPFs for the specified source. @parameter source Where to retrieve the list of BPFs from (PROD,EVAL). Default is <em>PROD</em>. @parameter sensor Which sensors BPFs from (OLI,TIRS). @return A list of BPF filenames, version, and status. The list is ordered by version descending @exception SOAPException(BaseException) Thrown if there is an error getting the data from the database.]]>
     * 
     * @param getAllBpfRequest
     * @return
     *     returns java.util.List<gov.usgs.ias.services.clients.CpsSummary>
     * @throws IASBaseException_Exception
     */
    @WebMethod
    @WebResult(name = "bpf", targetNamespace = "")
    @RequestWrapper(localName = "getAllBpfNames", targetNamespace = "uri:BpfQueryService", className = "gov.usgs.ias.services.clients.GetAllBpfNames")
    @ResponseWrapper(localName = "getAllBpfNamesResponse", targetNamespace = "uri:BpfQueryService", className = "gov.usgs.ias.services.clients.GetAllBpfNamesResponse")
    public List<CpsSummary> getAllBpfNames(
        @WebParam(name = "getAllBpfRequest", targetNamespace = "")
        GetAllBpfNamesRequest getAllBpfRequest)
        throws IASBaseException_Exception
    ;

    /**
     * <![CDATA[ @description Retrieves the name of the active BPF for the specified acquisition date/time. @parameter getAllCpsByDateRequest The date request object allows for searching by a date and optionaly a version and status. <br/><br/> <strong>acquisitionDate</strong> The date for the BPF search. The date used to find the BPF.  This is a required parameter and should use the following format: yyyy-MM-ddTHH:mm:ss. <br/> <strong>sensor</strong> The sensor for the BPF search. Return BPFs applicable to this sensor. (optional) <br/> <strong>version</strong> Will filter the results to a specific version number. (optional) <br/> <strong>status</strong> Will filter the results to a specific BPF status. (optional) <br/> <strong>nearMatch</strong> Will get BPF names that are close, but before, the date you submitted (1 day before).   This cannot be true if a a version has been submitted. The default is false.  <br/> @return The BPF filename and the BPF status. @exception SOAPException(BaseException) Thrown if there is an error getting the data from the database. @exception SOAPException(IllegalArguement) Thrown if the acquisitionDate is null.]]>
     * 
     * @param getAllBpfByDateRequest
     * @return
     *     returns java.util.List<gov.usgs.ias.services.clients.CpsSummary>
     * @throws IASBaseException_Exception
     */
    @WebMethod
    @WebResult(name = "bpf", targetNamespace = "")
    @RequestWrapper(localName = "getAllBpfNamesByDate", targetNamespace = "uri:BpfQueryService", className = "gov.usgs.ias.services.clients.GetAllBpfNamesByDate")
    @ResponseWrapper(localName = "getAllBpfNamesByDateResponse", targetNamespace = "uri:BpfQueryService", className = "gov.usgs.ias.services.clients.GetAllBpfNamesByDateResponse")
    public List<CpsSummary> getAllBpfNamesByDate(
        @WebParam(name = "getAllBpfByDateRequest", targetNamespace = "")
        GetAllBpfNamesByDateRequest getAllBpfByDateRequest)
        throws IASBaseException_Exception
    ;

    /**
     * <![CDATA[ @description  Retrieves a list of BPFs for the specified date range, version, and status. @parameter getAllCpsByDateRangeRequest The date range request object allows for searching by a date range and optionaly a version and status. <br/><br/> <strong>startDate</strong> The beginning date for the bpf search. This is a required parameter and should use the following format: yyyy-MM-ddTHH:mm:ss. <br/> <strong>endDate</strong> The end date for the bpf search. This is a required parameter and should use the following format: yyyy-MM-ddTHH:mm:ss. <br/> <strong>version</strong> Will filter the results to a specific version number. (optional) <br/> <strong>status</strong> Will filter the results to a specific BPF status. (optional) <br/> <strong>nearMatch</strong> Will get BPF names that are close, but before, the date you submitted (1 day before).   This cannot be true if a a version has been submitted. The default is false.  <br/> @return A list of BPF filenames, version, and status. The list is ordered by version descending @exception SOAPException(BaseException) Thrown if there is an error getting the data from the database. @exception SOAPException(IllegalArguement) Thrown if the startDate or endDate is null. Also thrown if the endDate is prior to the startDate.]]>
     * 
     * @param getAllBpfByDateRangeRequest
     * @return
     *     returns java.util.List<gov.usgs.ias.services.clients.CpsSummary>
     * @throws IASBaseException_Exception
     */
    @WebMethod
    @WebResult(name = "bpf", targetNamespace = "")
    @RequestWrapper(localName = "getAllBpfNamesByDateRange", targetNamespace = "uri:BpfQueryService", className = "gov.usgs.ias.services.clients.GetAllBpfNamesByDateRange")
    @ResponseWrapper(localName = "getAllBpfNamesByDateRangeResponse", targetNamespace = "uri:BpfQueryService", className = "gov.usgs.ias.services.clients.GetAllBpfNamesByDateRangeResponse")
    public List<CpsSummary> getAllBpfNamesByDateRange(
        @WebParam(name = "getAllBpfByDateRangeRequest", targetNamespace = "")
        GetAllBpfNamesByDateRangeRequest getAllBpfByDateRangeRequest)
        throws IASBaseException_Exception
    ;

    /**
     * <![CDATA[ @description Retrieves a list of all BPFs for the specified orbit, version, and status. @parameter getAllBpfNamesByOrbitRequest The orbit request object allows for searching by an orbit and optionaly a version and status. <br/><br/> <strong>orbit</strong> The orbit for the bpf search. The orbit used to find the BPF.  This is a required parameter and should be an integer. <br/> <strong>version</strong> Will filter the results to a specific version number. (optional) <br/> <strong>status</strong> Will filter the results to a specific BPF status. (optional) <br/> <strong>nearMatch</strong> Will get BPF names that are close, but before, the date you submitted (1 day before).   This cannot be true if a a version has been submitted. The default is false.  <br/> @return A list of BPF filenames, version, and status. The list is ordered by version descending @exception SOAPException(BaseException) Thrown if there is an error getting the data from the database.]]>
     * 
     * @param getAllBpfNamesByOrbitRequest
     * @return
     *     returns java.util.List<gov.usgs.ias.services.clients.CpsSummary>
     * @throws IASBaseException_Exception
     */
    @WebMethod
    @WebResult(name = "bpf", targetNamespace = "")
    @RequestWrapper(localName = "getAllBpfNamesByOrbit", targetNamespace = "uri:BpfQueryService", className = "gov.usgs.ias.services.clients.GetAllBpfNamesByOrbit")
    @ResponseWrapper(localName = "getAllBpfNamesByOrbitResponse", targetNamespace = "uri:BpfQueryService", className = "gov.usgs.ias.services.clients.GetAllBpfNamesByOrbitResponse")
    public List<CpsSummary> getAllBpfNamesByOrbit(
        @WebParam(name = "getAllBpfNamesByOrbitRequest", targetNamespace = "")
        GetAllBpfNamesByOrbitRequest getAllBpfNamesByOrbitRequest)
        throws IASBaseException_Exception
    ;

    /**
     * <![CDATA[ @description  Retrieves a list of BPFs for the specified orbit range, version, and status. @parameter getAllBpfNamesByOrbitRangeRequest The orbit range request object allows for searching by an orbit range and optionaly a version and status. <br/><br/> <strong>startOrbit</strong> The beginning orbit for the bpf search. This is a required parameter and should be an integer. <br/> <strong>endOrbit</strong> The end orbit for the bpf search. This is a required parameter and should be an integer. <br/> <strong>version</strong> Will filter the results to a specific version number. (optional) <br/> <strong>status</strong> Will filter the results to a specific BPF status. (optional) <br/> <strong>nearMatch</strong> Will get BPF names that are close, but before, the date you submitted (1 day before).   This cannot be true if a a version has been submitted. The default is false.  <br/> @return A list of BPF filenames, version, and status. The list is ordered by version descending @exception SOAPException(BaseException) Thrown if there is an error getting the data from the database. @exception SOAPException(IllegalArguement) Thrown if the startDate or endDate is null. Also thrown if the endDate is prior to the startDate.]]>
     * 
     * @param getAllBpfNamesByOrbitRangeRequest
     * @return
     *     returns java.util.List<gov.usgs.ias.services.clients.CpsSummary>
     * @throws IASBaseException_Exception
     */
    @WebMethod
    @WebResult(name = "bpf", targetNamespace = "")
    @RequestWrapper(localName = "getAllBpfNamesByOrbitRange", targetNamespace = "uri:BpfQueryService", className = "gov.usgs.ias.services.clients.GetAllBpfNamesByOrbitRange")
    @ResponseWrapper(localName = "getAllBpfNamesByOrbitRangeResponse", targetNamespace = "uri:BpfQueryService", className = "gov.usgs.ias.services.clients.GetAllBpfNamesByOrbitRangeResponse")
    public List<CpsSummary> getAllBpfNamesByOrbitRange(
        @WebParam(name = "getAllBpfNamesByOrbitRangeRequest", targetNamespace = "")
        GetAllBpfNamesByOrbitRangeRequest getAllBpfNamesByOrbitRangeRequest)
        throws IASBaseException_Exception
    ;

}
