
package gov.usgs.ias.services.clients;

import java.util.List;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;


/**
 * <![CDATA[@description The CPF service facilitates the querying of cpf related data in the database.]]>
 * 
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.1.6 in JDK 6
 * Generated source version: 2.1
 * 
 */
@WebService(name = "CpfService", targetNamespace = "uri:CpfQueryService")
@XmlSeeAlso({
    ObjectFactory.class
})
public interface CpfService {


    /**
     * <![CDATA[ @description Retrieves a list of all CPFs for the specified source. @parameter source Where to retrieve the list of CPFs from (PROD,EVAL). Default is <em>PROD</em>. @return A list of CPF filenames, version, and status. The list is ordered by version descending @exception SOAPException(BaseException) Thrown if there is an error getting the data from the database.]]>
     * 
     * @param getAllCpfRequest
     * @return
     *     returns java.util.List<gov.usgs.ias.services.clients.CpsSummary>
     * @throws IASBaseException_Exception
     */
    @WebMethod
    @WebResult(targetNamespace = "")
    @RequestWrapper(localName = "getAllCpfNames", targetNamespace = "uri:CpfQueryService", className = "gov.usgs.ias.services.clients.GetAllCpfNames")
    @ResponseWrapper(localName = "getAllCpfNamesResponse", targetNamespace = "uri:CpfQueryService", className = "gov.usgs.ias.services.clients.GetAllCpfNamesResponse")
    public List<CpsSummary> getAllCpfNames(
        @WebParam(name = "getAllCpfRequest", targetNamespace = "")
        GetAllCpfRequest getAllCpfRequest)
        throws IASBaseException_Exception
    ;

    /**
     * <![CDATA[ @description Retrieves the name of the active CPF for the specified acquisition  date/time.  Only PROD CPF's are returned, not EVAL CPF's. @parameter getAllCpfByDateRequest <strong>acquisitionDate</strong>The date used to find the CPFs.   This is a required parameter and should be in the following format: yyyy-MM-ddTHH:mm:ss. <br/> <strong>version</strong> Will filter the results to a specific version number. (optional) <br/> <strong>status</strong> Will filter the results to a specific CPF status. (optional) <br/> <strong>nearMatch</strong> Will get CPF names that are close, but before, the date you submitted (45 days before).   This cannot be true if a a version has been submitted. The default is false.  <br/> @return The CPF filename, CPF version, and the CPF status. @exception SOAPException(IASBaseException) Thrown if there is an error getting the data from the database. @exception SOAPException(IllegalArguement) Thrown if the acquisitionDate is null.]]>
     * 
     * @param getAllCpfByDateRequest
     * @return
     *     returns java.util.List<gov.usgs.ias.services.clients.CpsSummary>
     * @throws IASBaseException_Exception
     */
    @WebMethod
    @WebResult(name = "cpf", targetNamespace = "")
    @RequestWrapper(localName = "getAllCpfNamesByDate", targetNamespace = "uri:CpfQueryService", className = "gov.usgs.ias.services.clients.GetAllCpfNamesByDate")
    @ResponseWrapper(localName = "getAllCpfNamesByDateResponse", targetNamespace = "uri:CpfQueryService", className = "gov.usgs.ias.services.clients.GetAllCpfNamesByDateResponse")
    public List<CpsSummary> getAllCpfNamesByDate(
        @WebParam(name = "getAllCpfByDateRequest", targetNamespace = "")
        GetAllCpfNamesByDateRequest getAllCpfByDateRequest)
        throws IASBaseException_Exception
    ;

    /**
     * <![CDATA[ @description  Retrieves a list of CPFs for the specified date range, version, and status.  Only PROD CPF's are returned, not EVAL CPF's.   @parameter getAllCpfByDateRangeRequest The date range request object allows for searching by a date range and optionaly a version and status. <br/><br/> <strong>startDate</strong> The beginning date for the cpf search. This is a required parameter and should use the following format: yyyy-MM-ddTHH:mm:ss. <br/> <strong>endDate</strong> The end date for the cpf search. This is a required parameter and should use the following format: yyyy-MM-ddTHH:mm:ss. <br/> <strong>version</strong> Will filter the results to a specific version number. (optional) <br/> <strong>status</strong> Will filter the results to a specific CPF status. (optional) <br/> <strong>nearMatch</strong> Will get CPF names that are close, but before, the date you submitted (45 days before).   This cannot be true if a a version has been submitted. The default is false.  <br/> @return A list of CPF filenames, version, and status. The list is ordered by version descending @exception SOAPException(BaseException) Thrown if there is an error getting the data from the database. @exception SOAPException(IllegalArguement) Thrown if the startDate or endDate is null. Also thrown if the endDate is prior to the startDate.]]>
     * 
     * @param getAllCpfByDateRangeRequest
     * @return
     *     returns java.util.List<gov.usgs.ias.services.clients.CpsSummary>
     * @throws IASBaseException_Exception
     */
    @WebMethod
    @WebResult(name = "cpf", targetNamespace = "")
    @RequestWrapper(localName = "getAllCpfNamesByDateRange", targetNamespace = "uri:CpfQueryService", className = "gov.usgs.ias.services.clients.GetAllCpfNamesByDateRange")
    @ResponseWrapper(localName = "getAllCpfNamesByDateRangeResponse", targetNamespace = "uri:CpfQueryService", className = "gov.usgs.ias.services.clients.GetAllCpfNamesByDateRangeResponse")
    public List<CpsSummary> getAllCpfNamesByDateRange(
        @WebParam(name = "getAllCpfByDateRangeRequest", targetNamespace = "")
        GetAllCpfNamesByDateRangeRequest getAllCpfByDateRangeRequest)
        throws IASBaseException_Exception
    ;

}
