/**
 * TestSupport
 *
 * Supporting class for junit tests.  Contains a  a no-op junit test, used when
 * DB tests are disabled.
 */

package gov.usgs.ias.dao;

import gov.usgs.ias.constant.Constants;

import org.apache.log4j.Logger;
import org.junit.Test;

public class TestSupport {

    private static final Logger logger = Logger.getLogger(Constants.LOGGER_CPF);

    /**
     * Junit requires at least one test method.  Set up a no-op test to use
     * when ENABLE_DB_TESTS is not set.
     */
    @Test
    public void testNothing() throws Exception {
        return;
    }
}
