#!/bin/sh

# This script uses SQL Loader to insert a RLUT file into the database
#   The data and table are described on the control file. 
#   The table row data are also in the control file, and refer to the
#     sample RLUT files whose contents are loaded into the BLOB columns.

FILE="$1"
USERID="$2"
LOG=/tmp/`basename ${0} sh`"$$.log"

# Since the loader file uses a LOBFILE clause to load the 
# named RLUT file into the BLOB column, we must be sitting
# in the directory where the file resides so sqlldr can
# access it
NAME=`basename $FILE .ldr`
DATA_FILE_DIR=`dirname $FILE`
cd $DATA_FILE_DIR

$ORACLE_HOME/bin/sqlldr userid=$USERID control=$NAME.ldr \
  log=/tmp/$NAME.log bad=/tmp/$NAME.bad 2>&1 >> $LOG
if [ ! $? == 0 ]; then
    echo "Load of RLUT data failed."
    exit 1
fi

/bin/rm -f $LOG /tmp/$NAME.log /tmp/$NAME.bad

exit 0
