#ifndef REPORT_H
#define REPORT_H

#include "ias_radiometry.h"

/*------------------------------------------------------------------------------
 * Define the reports that can be generated by this application.  Each report
 * equates to a statistic produced by
 * ias_rps_histogram_statistics_characterization().  These enumerations are used
 * as an index into an array of boolean values, indicating if that report should
 * be generated or not.
 *----------------------------------------------------------------------------*/
enum ReportType
{
    REPORT_MIN = 0,
    REPORT_MAX,
    REPORT_MEAN,
    REPORT_STDEV,
    REPORT_SKEWNESS,
    REPORT_KURTOSIS,
    REPORT_MEAN_SQ_RSP,
    REPORT_ADJ_CORRELATION,
    REPORT_NUM_VALID_FRAMES,
    NUM_REPORTS
};

int report_save
(
    int reportsRequested[NUM_REPORTS], /* I: Array of TRUE/FALSE values */
    int bandNum,          /* I: Band number to create report for */
    int isPanBand,        /* I: Is this the PAN band? */
    int scaNum,           /* I: SCA number */
    int nScas,            /* I: Number of SCAs in this band */
    int nDetectors,       /* I: Number of detectors per SCA in the band */
    int segmentNum,       /* I: Segment number being written (1-based) */
    int framesPerSegment, /* I: Number of frames per segment */
    int totalSegments,    /* I: Total number of segment to process */
    IAS_RPS_DB_HISTOGRAM_CHARACTERIZATION_RESULTS * stats
                          /* I: histogram results */
);
#endif
