#!/bin/csh -f

# Get the next radiometric work order common ID
set rcwoid = `sqlplus -s ${IAS_DB_L8_OLITIRS}` << END
    set head off;
    SELECT dbseq_radiometric_wo_common_pk.nextval from dual;
    exit;
END

sed "s/__RWOCID__/$rcwoid/" templates/common.tpl > common.ldr
sed "s/__RWOCID__/$rcwoid/" templates/histogram.tpl > histogram.ldr

sqlldr $IAS_DB_L8_OLITIRS common.ldr >& /dev/null
if ($status != 0) then
    echo "Error loading radiometric_work_order_common table"
    ./clean_tables.csh
    exit 1
endif

sqlldr $IAS_DB_L8_OLITIRS histogram.ldr >& /dev/null
if ($status != 0) then
    echo "Error loading histogram_statistics table"
    ./clean_tables.csh
    exit 1
endif

rm common.ldr histogram.ldr
rm common.log histogram.log

exit 0
