#!/bin/csh -f

set db_loaded = 0
if ( ${?ENABLE_DB_TESTS} ) then
    ./load_tables.csh
    if ( $status ) then
        echo "Error loading data to the database"
        exit 1
    endif
    set db_loaded = 1
else
    echo "Db tests not enabled. Skipping ./load_tables.csh"
endif

set return_status = 0
./lunar_irradiance_test
if ( $status ) then
    set return_status = 1
endif

if ( $db_loaded ) then
    ./clean_tables.csh
    if ( $status ) then
        echo "Error cleaning database"
        exit 1
    endif
else
    echo "Db tests not enabled. Skipping clean_tables.csh"
endif

exit $return_status
