/***************************************************************************
 NAME:  all_pics_tests

 PURPOSE:  "Driver" for CGreen unit testing of the PICS application

 RETURNS:  CGreen status

***************************************************************************/
#include <stdio.h>
#include <stdlib.h>

#include "cgreen.h"

#include "ias_logging.h"

#include "pics_tests.h"

int main(int argc, char *argv[])
{
    /* Suppress any IAS_LOG_DEBUG messages */
    ias_log_initialize("pics_test_suite");

    /* Check how the driver routine is called.  If there aren't any other
       command line arguments, the whole test suite is run.  If there's one
       command line argument (the name of a single test), that test is run */
    if (argc > 2)
    {
        printf("USAGE:  all_pics_tests [name of single test]\n");
        return EXIT_FAILURE;
    }

    /* Set up the master test suite */
    TestSuite *suite = create_test_suite();

    shapefile_read_test(suite);

    /* Run the tests */
    if (argc > 1)
        return run_single_test(suite, argv[1], create_text_reporter());
    else
        return run_test_suite(suite, create_text_reporter());
}

