#!/bin/csh -f
#
# Usage: ./check_or_insert_woid.csh [Work Order]
#

# Ensure there is a database environment variable defined
if ( ! $?IAS_DB_L8_OLITIRS ) then
    echo "IAS_DB_L8_OLITIRS isn't set"
    exit 1
endif

if ( ${#argv} != 1 ) then
    echo "Usage: $0 [work order ID]"
    exit 1
endif

# First delete this work order from the db 
#   This will delete the histogram stats also
set command = "delete from radiometric_work_order_common"
set where = "where work_order_id = '$1'"
echo "$command $where;" | sqlplus $IAS_DB_L8_OLITIRS >& /dev/null

# Load the test data for this interval's work order
# The LDR file generates the rad wo char ID.
set interval_ldr = "$1.ldr"
echo "Loading test data for work order ID $1..."

# Run SQL Loader for this work order
$ORACLE_HOME/bin/sqlldr userid=$IAS_DB_L8_OLITIRS errors=0 silent=all \
    control=$interval_ldr
if ( $status != 0 ) then
    echo "Error loading test data for $1"
    exit 1
endif
/bin/rm $1.log # clean up the sqlldr log file

exit 0
