;******** modified 23-Sep-15 JAB
;adding the ability to process individual periods by reading from a list the SNR files without having to read the entire dataset in
;requires changes in the output files too, I think
;


pro process_period_snr, period=period

	if NOT keyword_set(period) then period = 0



set_plot, 'z'
;set_plot, 'x'
      	if !d.name EQ 'X' then window, 0, xsize=1200, ysize=700 else device,set_resolution=[900,500]

        loadct, 33
        loadct, 39
        tvlct, /get, red, green, blue
	red(255) = 255 & green(255) = 255 & blue(255) = 255
	red(0) = 0 & green(0) = 0 & blue(0) = 0
	tvlct, red, green, blue

        plot_dirs = [ 'results/OLI/', 'results/TIRS/' ]

	trending_option = [ 'snr/', 'lamp_snr/trends/', 'solar_snr/trends/' ]
	trending_option = [ 'snr/' ] 
	trending_collect_type = [ '', 'OLI_LAMP', 'OLI_SOLAR' ] 
	kpr_out_of_spec_factor = 0.80

        ;TIRS spec is at 5 temperatures
        spec_temperatures = [ 240, 260, 300, 320, 360 ]
	s_spec_temperatures = string(spec_temperatures, format='(I3)')
	set_temperature = findgen(150) + 230
        n_temps = n_elements(spec_temperatures)
        nedl_requirement = [ 0.059, 0.049 ]



        bands = [ 'CA', 'Blue', 'Green', 'Red', 'NIR', 'SWIR1', 'SWIR2', 'Cirrus', 'Pan' ] ;,  'TIRS1', 'TIRS2' ]
        s_band_number = [ '01', '02', '03', '04', '05', '06', '07', '09', '08', '10', '11' ]
	n_det_per_sca = 494
        n_scas = 14
        n_ms_bands = n_elements(bands)
        image_width = n_scas * n_det_per_sca

        define_band_specs, band_specs
        index = where( band_specs.band_color EQ 'Aerosol' )
        band_specs(index).band_color = 'CA'
	define_structures, ''


	test_start = julday( 01, 01, 2011 )
	launch_date = 4790.29444
	launch_julday = julday( 02, 11, 2013 )


        snr_model_struct = { band:                      '', $
                                collect_type:           '', $
                                fpm:                    0, $
                                detector:               '', $
                                a:                      0.0, $
                                b:                      0.0 }
        ;read SNR model coeffs
        model_filename = '/home/jbarsi/work/LDCM/snr_code/plots/SPHERE/datfiles/SPHERE_model_coeffs.dat'
        model_filename = '/home/jbarsi/work/LDCM/sphere_snr/plots/FLIGHT/collected/datfiles/SNR_ModelCoefficients.dat'
        model_filename = '/data/tools/ias_trending/L8_plotting/results/OLI/prelaunch/sphere_snr/datfiles/SNR_ModelCoefficients.dat'
        n = file_lines( model_filename )
        sphere_noise_model = replicate( snr_model_struct, n-1 )
        a = ''
        openr, 109, model_filename
        readf, 109, a
        readf, 109, sphere_noise_model, format='(A10,A10,A7,A7,2F16.6)'

        close, 109
        sphere_signal = findgen(125) * ( 10000 / 100.0 )




	leg_position = [0.80,0.01,0.85,0.99]


       	openw, 115, plot_dirs(0)+'/snr/period/datfiles/SNR_OOSdets.p'+string(period,format='(I3.3)')+ '.dat'
       	openw, 111, plot_dirs(0)+'/snr/period/datfiles/SNR_OutofSpec_Warnings.p'+string(period,format='(I3.3)')+'.dat'

	;******** added 23-Sep-15 JAB
	;generate per-period lists of SNR files so we can process an individual period
	parse_snr_dates

	;need to know how many periods are possible and get the corresponding month, year for proper output
	make_month_index, julday(03,01,2013), systime(/julian), julday_period_index
	month_period_index = julday_period_index - julday( 02, 11, 2013, 16, 02, 00 )


	for i = 0, n_elements(bands)-1 do begin
;for i = 4, n_elements(bands)-1 do begin

		if i LT 9 then plot_dir = plot_dirs(0) else plot_dir = plot_dirs(1)

		band_spec_index = where( strcompress(band_specs.band_color, /remove_all) EQ bands(i) )

		;open sphere model data from CATS to plot on top
		if i LT 9 then begin
			sphere_datafile = findfile( '/data/tools/ias_trending/L8_plotting/results/OLI/prelaunch/sphere_snr/datfiles/'+bands(i)+'_SphereSNR.FPMaverage.dat' )
			n_lines = file_lines( sphere_datafile ) - 1
			sphere_data = fltarr(3,n_lines)
			openr, 116, sphere_datafile
			a = ''
			readf, 116, a
			readf, 116, sphere_data, format='(I4,2F16.6)'
			close, 116
		endif

		if bands(i) EQ 'Pan' then n_det_per_sca = 988 else n_det_per_sca = 494
		if bands(i) EQ 'TIRS1' OR bands(i) EQ 'TIRS2' then begin
			n_det_per_sca = 640
			n_scas = 3
			rsp_filename = '/home/jbarsi/work/LDCM/RSP/' + bands(i) + '_Relative_Spectral_Responses.BA.v0.prn'
                       	planck_function, set_temperature, rsp_filename, radiance
                       	free_lun, 100                                                   ;something is different about the TIRS1 file that doesn't allow it to give up its LUN
			trending_option = 'snr/'

		endif
		sca_color_index = fix( indgen(n_scas) * ( 255.0 / n_scas ) )
		sca_color_index(0) = 255
		fpm_index = indgen(n_scas+1) * n_det_per_sca


		;need to override the CPF gains in order to use the latest estimate of gain.  
		;WILL NEED TO MODIFY THIS ONCE WE UPDATE THE CA GAIN
		new_gains = read_odl( '/data/tools/ias_trending/L8_plotting/CPF/OLI_ABSOLUTE_GAINS.Jan2014.dat', 'Gain_B'+s_band_number(i) )
                ng = fltarr(n_scas*n_det_per_sca)
                for j = 0, n_scas-1 do ng(fpm_index(j):fpm_index(j+1)-1) = new_gains(j)

		;for p = start_period, end_period do begin
			p = period
			jd2ymd, month_period_index(p)+julday( 02, 11, 2013, 16, 02, 00 ), period_year, period_month, period_day
			s_p = string( p, format='(I3.3)' )

			file_list = findfile( 'results/OLI/snr/period/datfiles/FileLists/' + bands(i) + '_Filelist.p'+s_p+'.dat' ) 
			if file_list(0) NE '' then spawn, 'more '+file_list(0), ff else stop

			ms = []
			for q = 0, n_elements(ff)-1 do begin
				restore, ff(q)
				ms = [ ms, snr ]
			endfor
			full_data = ms

			period_snr = clear_struct( full_data(0) )
			period_snr.julday = julday_period_index(p)
			period_snr.collect_type = 'MODEL'
			period_snr.band = bands(i)


			if i LT 9 then begin
				trunc_index = where( full_data.truncation EQ 0, complement=non_trunc_index )
				full_data = full_data(trunc_index)
				ff = ff(trunc_index)

				;correct the dark noise to be equivalent to 14-bit data
				;quantization effect is accepted to be 1/sqrt(12).  multiply by 4 to scale the effect to the 2-bit shift (my words)
				;"quantization noise for a quantized signal is LSB/sqrt(12), since the normal Earth imagery contains the upper 12 bits of a 14 bit number, the LSB is 4 DN" (Ron's words)
				;1.15 = 1/sqrt(12)*4.
				full_data.dark_noise = sqrt( full_data.dark_noise^2 + (1.15)^2 )
			endif


			sort_index = sort( full_data.julday )
			full_data = full_data(sort_index)
			ff = ff(sort_index)

			full_test_dates = full_data.julday / ( 24*60*60.0 ) 
			full_test_time = ( full_test_dates - launch_date )
			julday_full_test_time = full_test_time + julday( 02, 11, 2013, 16, 02, 00 )

			;generate trend_snr struct, populate it and save it to a save file, per band
			trend_snr = replicate( {trend_snr_struct}, 1 )


			!p.multi = 0
			for q = 0, n_elements(trending_option)-1 do begin
				file_mkdir, plot_dir+'/'+trending_option(q)+'/period/'
				file_mkdir, plot_dir+'/'+trending_option(q)+'/period/datfiles/'

				if q NE 0 then good_index = where( full_data.collect_type EQ trending_collect_type(q) ) $
				else good_index = where( full_data.collect_type )
				data = full_data(good_index)
				test_dates = full_test_dates(good_index)
				test_time = full_test_time(good_index)


				band_index = where( strcompress(data.band,/remove_all) EQ bands(i) )
				n_collects = n_elements(band_index)
				color_index = fix( indgen(n_collects) ) * ( 255.0 / n_collects )
				color_index(0) = 255


				if band_index(0) NE -1 then begin
	
					n_dets = n_elements( data(band_index(0)).ds_col_average )
					image_width_index = findgen(n_dets) + 1

					;initialize prediction interval function 
					pi_function = fltarr(2,n_dets)

					;add dark to the signal and calculate medians for all
					signal = [ [data(band_index).ds_col_average], [data(band_index).dark] ]
					noise = [ [data(band_index).noise], [data(band_index).dark_noise] ]
;if bands(i) EQ 'SWIR2' then stop


        				;openw, 113, plot_dir+'/' + trending_option(q) + '/datfiles/'+bands(i)+'_SNR_Spec_Verification.dat'
        				;openw, 114, plot_dir+'/' + trending_option(q) + '/datfiles/'+bands(i)+'_SNR_LtypModelFit.dat'
        				;if bands(i) EQ 'CA' then printf, 113, 'B#','Band','Pd','PdRange','N_Collects','LtypSpec','SNRmedian','stdev(SNR)','unc(SNR)','%ofLtypSpec','|', $
						;'LhighSpec','SNRmedian','stdev(SNR)','unc(SNR)','%ofLhighSpec', $
						;format='(A2,X,A8,A5,A9,      A12,A10,  A11,X,A10,  A10,  X,A10,  X,A,X,A10,  A10,  A11,  A10,X,  A10)'
        				;if bands(i) EQ 'CA' then printf, 114, 'B#','Band','Pd','PdRange','N_Collects','OLI Ltyp','FPMGain','A','B', 'Det', 'DNtyp', $
						;format='(A2,X,A8,A5,A9,        A12,A12,  A12,X,A12,  A12,  X,A10,  X,A,X,A10,  A10,  A12,  A12,X,  A12,X,A5,X,A10)'
					;if bands(i) EQ 'TIRS1' then printf, 113, 'B#','Band','Pd','DSLRange','N_Collects','NEDT@'+s_spec_temperatures,'stdev@'+s_spec_temperatures, $
						;format='(A2,X,A8,A5,A9,      A12,A10,  A10,  A10,  A10  ,A10,  5A10)'


					if q EQ 0 then good_index = where( test_time(band_index) GE 0 ) $
					else good_index = where( data(band_index).collect_type EQ trending_collect_type(q) )
					if good_index(0) NE -1 then begin

						;use latest estimate of CPF gain, which is not necessarily what is in the query file
						;dn_typ = data(n_elements(band_index)-1).gain * data(n_elements(band_index)-1).relgain * band_specs(band_spec_index).ltypical
						;dn_high = data(n_elements(band_index)-1).gain * data(n_elements(band_index)-1).relgain * band_specs(band_spec_index).lhigh
						dn_typ = ng * data(n_elements(band_index)-1).relgain * band_specs(band_spec_index).ltypical
						dn_high = ng * data(n_elements(band_index)-1).relgain * band_specs(band_spec_index).lhigh

						for j = 0, n_dets-1 do begin
	
							n = n_elements([good_index,good_index+n_elements(band_index)])	
							;2a
							rel_unc_signal = mean( noise(j,[good_index,good_index+n_elements(band_index)]) ) / $
									sqrt( n ) / mean( signal(j,[good_index,good_index+n_elements(band_index)]) )
							;2b
							unc_noise = 2 * mean( noise(j,[good_index,good_index+n_elements(band_index)]) ) / sqrt( 2 * (n-1) )
							;3
							;******** removed 3-Sep-15 JAB
							;no need to send this to an external function since I'm implementing the matrix equations that should be faster
	                				;snrfit, signal(j,[good_index,good_index+n_elements(band_index)]), noise(j,[good_index,good_index+n_elements(band_index)]), $
								;a, b, snr_model, noise_model, unc
							ss = reform(signal(j,[good_index,good_index+n_elements(band_index)]))
							nn = reform(noise(j,[good_index,good_index+n_elements(band_index)]))


							;******** modified 3-Sep-15 JAB
							;change unc calculation and convert to matrix form for conciseness
							;reform signal and noise arrays
							matrix_x = fltarr(2,n_elements(ss))+1.0
							matrix_x(1,*) = ss
							matrix_y = reform( nn^2, 1, n_elements(nn) )

							;calculate fit coefficients
							beta = invert( transpose(matrix_x) ## matrix_x ) ## transpose(matrix_x) ## matrix_y
							a = beta(0)
							b = beta(1)

							;calculate the uncertainty in noise for the two spec points
							;using prediction interval of noise at spec points as uncertainty
							tval = t_cvf( 0.025, n_elements(ss)-2 )
							e = matrix_y - matrix_x ## beta
							s2 = transpose(e) ## e / (n_elements(ss)-2)
							x_new = fltarr(2,2)+1.0
							x_new(1,*) = [ dn_typ(j), dn_high(j) ]
							explanatory_hat = x_new ## invert( transpose(matrix_x) ## matrix_x ) ## transpose(x_new)
							new_pred_interval = tval * sqrt( s2(0) * ( 1 + diag_matrix(explanatory_hat) ) )
							pi_function(*,j) = new_pred_interval


							;4a
							period_snr.unc_a(j) = 2 * a / sqrt( 2 * (n-1) )
							;4b
							t = sqrt( period_snr.unc_a(j)^2 + unc_noise^2 ) / $
								( mean( noise(j,[good_index,good_index+n_elements(band_index)]) )^2 - a )
							rel_unc_b = sqrt( rel_unc_signal^2 + t^2 )
							period_snr.unc_b(j) = rel_unc_b * b

							;6a, 6b
							period_snr.snr_at_Ltyp(j) = dn_typ(j) / sqrt( dn_typ(j) * b + a )
							period_snr.snr_at_Lhigh(j) = dn_high(j) / sqrt( dn_high(j) * b + a )

							period_snr.a(j) = a
							period_snr.b(j) = b
							period_snr.n_frames = n
							;period_snr.gain = data(band_index(0)).gain
							period_snr.gain = ng

;if bands(i) EQ 'NIR' and j EQ 5596 then stop
;to find outlier intervals
;set_plot, 'x'
;plot, ss, nn
;tt = where( nn GT 20 )
;help, tt
;help, data(good_index(tt))

						endfor


						;******** modified 3-Sep-15 JAB
						;change what we're reporting for uncertainty
						;convert pi_function [counts^2] to an SNR uncertainty
						unc_snr_at_ltyp = sqrt(pi_function(0,*)) / dn_typ * period_snr.snr_at_ltyp
						unc_snr_at_lhigh = sqrt(pi_function(1,*)) / dn_high * period_snr.snr_at_lhigh

						ymin = min( [ min(period_snr.snr_at_Ltyp), min(period_snr.snr_at_Lhigh) ] )
						ymax = max( [ max(period_snr.snr_at_Ltyp), max(period_snr.snr_at_Lhigh) ] )
						plot, indgen(n_dets), period_snr.snr_at_Ltyp, $
							title=bands(i)+' Per-Detector SNR Model: Period '+s_p, xtitle='detector index', ytitle='SNR []', psym=1, charsize=1.5, $
							yrange=[ymin,ymax], /xstyle
						oplot, indgen(n_dets), period_snr.snr_at_Lhigh, color=160, psym=1
						oplot, [0,n_dets],[band_specs(band_spec_index).snr_at_ltyp,band_specs(band_spec_index).snr_at_ltyp], linestyle=2
						oplot, [0,n_dets],[band_specs(band_spec_index).snr_at_lhigh,band_specs(band_spec_index).snr_at_lhigh], linestyle=2, color=160
						xyouts, /data, 100, band_specs(band_spec_index).snr_at_lhigh, 'Reqt: SNR @ Lhigh', color=160
						xyouts, /data, 100, band_specs(band_spec_index).snr_at_ltyp, 'Reqt: SNR @ Ltyp'

						;check for out of spec.  to fail SNR+2*unc_snr < spec_value )
						typ_below_spec = where( period_snr.snr_at_Ltyp LT band_specs(band_spec_index).snr_at_ltyp, typ_count )
						high_below_spec = where( period_snr.snr_at_Lhigh LT band_specs(band_spec_index).snr_at_lhigh, high_count )
						if typ_below_spec(0) NE -1 then oplot, typ_below_spec, period_snr.snr_at_Ltyp(typ_below_spec), psym=2
						if high_below_spec(0) NE -1 then oplot, high_below_spec, period_snr.snr_at_Lhigh(high_below_spec), psym=4, color=160

						;flag individual detectors as out-of-spec (KPR req't is 80% less than spec)
						typ_out_of_spec = where( period_snr.snr_at_Ltyp+2*unc_snr_at_ltyp LT kpr_out_of_spec_factor*band_specs(band_spec_index).snr_at_ltyp, oos_typ_count )
						high_out_of_spec = where( period_snr.snr_at_Lhigh+2*unc_snr_at_lhigh LT kpr_out_of_spec_factor*band_specs(band_spec_index).snr_at_lhigh, oos_high_count )
						if typ_out_of_spec(0) NE -1 then begin
							oploterror, typ_out_of_spec, period_snr.snr_at_Ltyp(typ_out_of_spec), $
								intarr(oos_typ_count), 2*unc_snr_at_ltyp(typ_out_of_spec), color=96, psym=2, errcolor=96
							printf, 115, bands(i), s_p, 'Ltyp OOS Dets: ', typ_out_of_spec+1, format='(A10,A7,X,A15,20I5)'
							for k = 0, n_elements(typ_out_of_spec)-1 do printf, 111, bands(i), 'Ltyp', s_p, typ_out_of_spec(k), period_snr.snr_at_Ltyp(typ_out_of_spec(k)), $
									unc_snr_at_ltyp(typ_out_of_spec(k)), band_specs(band_spec_index).snr_at_ltyp, 'Y', format='(A10,X,A6,X,A6,X,I5,X,F10.3,X,F10.3,X,I10,X,A5)'
						endif 
						if high_out_of_spec(0) NE -1 then begin
							oploterror, high_out_of_spec, period_snr.snr_at_Lhigh(high_out_of_spec), $
								intarr(oos_high_count), 2*unc_snr_at_lhigh(high_out_of_spec), color=230, psym=2, errcolor=230
							printf, 115, bands(i), s_p, 'Lhigh OOS Dets: ', high_out_of_spec+1, format='(A10,A7,X,A15,20I5)'
							for k = 0, n_elements(high_out_of_spec)-1 do printf, 111, bands(i), 'Lhigh', s_p, high_out_of_spec(k), period_snr.snr_at_Lhigh(high_out_of_spec(k)), $
									unc_snr_at_lhigh(high_out_of_spec(k)), band_specs(band_spec_index).snr_at_lhigh, 'Y', format='(A10,X,A6,X,A6,X,I5,X,F10.3,X,F10.3,X,I10,X,A5)'
						endif
	
						leg, label=['SNR at Ltyp','SNR at Lhigh','Out-Of-Spec Ltyp','Out-of-Spec Lhigh'], position=[0.70,0.2,0.75,0.33], psym=[1,1,2,2], color=[255,160,96,230]
						graph = tvread( Filename=plot_dir + trending_option(q) + '/period/' + bands(i) + '_SNR.perDet.Pd'+s_p, /PNG, /nodialog )


						median_index_Ltyp = where( period_snr.snr_at_Ltyp EQ median(period_snr.snr_at_Ltyp) )
						median_index_Lhigh = where( period_snr.snr_at_Lhigh EQ median(period_snr.snr_at_Lhigh) )

						ltyp_f_index = where( finite( period_snr.snr_at_ltyp ) EQ 1 )
						lhigh_f_index = where( finite( period_snr.snr_at_lhigh ) EQ 1 )
						;printf, 107, bands(i), trending_option(q), s_p, n_elements(good_index), period_snr.snr_at_ltyp(median_index_Ltyp(0)), $
								;stdev(period_snr.snr_at_ltyp(ltyp_f_index)), unc_snr_at_ltyp(median_index_Ltyp(0)), $
								;period_snr.snr_at_lhigh(median_index_Lhigh(0)), stdev(period_snr.snr_at_lhigh(lhigh_f_index)), $
								;unc_snr_at_lhigh(median_index_Lhigh(0)), format='(A10,A10,A10,I10,6F10.4)'
	
						lamp_index = where( strcompress(data(band_index(good_index)).collect_type,/remove_all) EQ 'OLI_LAMP' )
						bb_index = where( strcompress(data(band_index(good_index)).collect_type,/remove_all) EQ 'TIRS_BLACKBODY' )
						panel_index = where( strcompress(data(band_index(good_index)).collect_type,/remove_all) EQ 'OLI_SOLAR' )



						!p.multi = [ 0, 1, 1 ]
						xmax = max( [ max(signal(*,[good_index,good_index+n_elements(band_index)])), dn_high ] )

						if typ_out_of_spec(0) NE -1 then begin
							plot, signal(typ_out_of_spec(0),[good_index,good_index+n_elements(band_index)]), noise(typ_out_of_spec(0),[good_index,good_index+n_elements(band_index)]), $
								title=bands(i)+' Median SNR Model @ Ltyp: Period '+s_p, xtitle='signal [DN]', ytitle='noise [DN]', psym=2, xrange=[0,xmax], charsize=1.5
								;yrange=[0,max(sqrt( sphere_signal * period_snr.b(typ_out_of_spec(0)) + period_snr.a(typ_out_of_spec(0)) ))]
							oplot, sphere_signal, sqrt( sphere_signal * period_snr.b(typ_out_of_spec(0)) + period_snr.a(typ_out_of_spec(0)) ), color=160
							for j = 1, n_elements(typ_out_of_spec)-1 do oplot, signal(typ_out_of_spec(j),[good_index,good_index+n_elements(band_index)]), $
								noise(typ_out_of_spec(j),[good_index,good_index+n_elements(band_index)]), psym=2, color=sca_color_index(j)
							graph = tvread( Filename=plot_dir + '/' + trending_option(q) + '/period/' + bands(i) + '_ProbDets.SNRModel.Ltyp.Pd'+s_p, /PNG, /nodialog )
						endif


						plot, signal(median_index_Ltyp(0),[good_index,good_index+n_elements(band_index)]), noise(median_index_Ltyp(0),[good_index,good_index+n_elements(band_index)]), $
							title=bands(i)+' Median SNR Model @ Ltyp: Period '+s_p, xtitle='signal [DN]', ytitle='noise [DN]', psym=2, xrange=[0,xmax], charsize=1.5, $
							yrange=[0,max(sqrt( sphere_signal * period_snr.b(median_index_Ltyp(0)) + period_snr.a(median_index_Ltyp(0)) ))]
						oplot, sphere_signal, sqrt( sphere_signal * period_snr.b(median_index_Ltyp(0)) + period_snr.a(median_index_Ltyp(0)) ), color=160
						if i LT 9 then begin
							sphere_index = where( sphere_data(0,*) EQ 8 )
							oplot, sphere_data(1,sphere_index), sphere_data(2,sphere_index), psym=4, color=130
						endif

						if lamp_index(0) NE -1 then oplot, signal(median_index_Ltyp(0),band_index(good_index(lamp_index))), $
							noise(median_index_Ltyp(0),band_index(good_index(lamp_index))), psym=2, color=250
						if bb_index(0) NE -1 then oplot, signal(median_index_Ltyp(0),band_index(good_index(bb_index))), $
							noise(median_index_Ltyp(0),band_index(good_index(bb_index))), psym=2, color=250
						if panel_index(0) NE -1 then oplot, [signal(median_index_Ltyp(0),band_index(good_index(panel_index)))], $
							[noise(median_index_Ltyp(0),band_index(good_index(panel_index)))], psym=2, color=100
						oplot, [dn_typ(median_index_Ltyp(0)),dn_typ(median_index_Ltyp(0))],!y.crange, linestyle=2, color=130
						;oplot, [dn_high,dn_high],!y.crange, linestyle=2, color=100

						model_index = where( strcompress( sphere_noise_model.band, /remove_all ) EQ bands(i) AND $
							strcompress( sphere_noise_model.collect_type, /remove_all ) EQ '' AND sphere_noise_model.fpm EQ 8 )

						if model_index(0) NE -1 AND i LT 9 then oplot, sphere_signal, sqrt( sphere_signal * sphere_noise_model(model_index).b + $
							sphere_noise_model(model_index).a ), color=75
						if q EQ 0 then fit_label = 'fit to Ltyp LAMP and SOLAR' else fit_label = 'fit to Ltyp '+trending_collect_type(q) 
						if i LT 9 then leg, color=[75,160,250,100,255,130], label=['SPHERE model (FPM8)',fit_label,'LAMP collects','SOLAR collects','SHUTTER collects','SPHERE data'], $
							position=[0.70,0.2,0.75,0.33], psym=[-3,-3,2,2,2,4] $
						else leg, color=[250,255,160], label=['BB collects','DeepSpace collects','Noise model'], psym=[2,2,-3], position=[0.70,0.2,0.75,0.33]
						xyouts, /data, dn_typ(median_index_Ltyp(0))+10, 2.0, 'DNtyp', color=130, charsize=1.5
						graph = tvread( Filename=plot_dir + '/' + trending_option(q) + '/period/' + bands(i) + '_MedianSNRModel.Ltyp.Pd'+s_p, /PNG, /nodialog )

						trend_snr.processing_date = systime()
						trend_snr.band = bands(i)
						trend_snr.detector = median_index_Ltyp(0) + 1
						trend_snr.snr_at_Ltyp = period_snr.snr_at_Ltyp(median_index_Ltyp(0))
						trend_snr.stdev_snr_at_Ltyp = stdev(period_snr.snr_at_Ltyp)
						trend_snr.snr_at_Lhigh = period_snr.snr_at_Lhigh(median_index_Lhigh(0))
						trend_snr.stdev_snr_at_Lhigh = stdev(period_snr.snr_at_Lhigh)
						trend_snr.start_time = min( test_time(band_index(good_index)) )
						trend_snr.end_time = max( test_time(band_index(good_index)) )
						trend_snr.detector_gain = period_snr.gain(median_index_Ltyp(0))
						trend_snr.dn_typ = dn_typ(median_index_Ltyp(0))
						trend_snr.a = period_snr.a(median_index_Ltyp(0))
						trend_snr.b = period_snr.b(median_index_Ltyp(0))
						trend_snr.n = period_snr.n_frames
						trend_snr.n_below_spec_Ltyp = typ_count
						trend_snr.n_below_spec_Lhigh = high_count
						trend_snr.n_out_of_spec_Ltyp = oos_typ_count
						trend_snr.n_out_of_spec_Lhigh = oos_high_count
						trend_snr.unc_snr_at_Ltyp = unc_snr_at_ltyp(median_index_Ltyp(0))
						trend_snr.unc_snr_at_Lhigh = unc_snr_at_lhigh(median_index_Lhigh(0))
						trend_snr.year = period_year
						trend_snr.month = period_month
						trend_snr.period = period

						save, trend_snr, filename=plot_dir + '/' + trending_option(q) + '/period/datfiles/' + bands(i) + '_SNR_Period.'+s_p+'.sav'


						if i LT 9 then begin

						endif $
						else begin				;TIRS data
							!p.multi = [ 0, 1, 3 ]
							median_nedt = fltarr(n_scas,n_temps,n_elements(test_time))
							ba_nedt = fltarr(n_temps,n_dets)
							for nedt_index = 0, n_temps-1 do begin
								s_temp = string( spec_temperatures(nedt_index), format='(I3)' )+'K'
								tempydat = data(band_index).nedt(nedt_index,*)
								f_index = where( finite( tempydat ) EQ 1 )
								s = stddev( tempydat(f_index) )
								t_index = where( abs(spec_temperatures(nedt_index)-set_temperature) EQ min( abs(spec_temperatures(nedt_index)-set_temperature) ) )
								planck_slope = regress( set_temperature(t_index-1:t_index+1), radiance(t_index-1:t_index+1), const=const )
								g_index = where( tempydat GT mean(tempydat(f_index))-5*s AND tempydat LE mean(tempydat(f_index))+5*s )
								ymax = max( [ max(tempydat(g_index)), nedl_requirement(i-9)/planck_slope ] )
								ymin = min( [ min(tempydat(g_index)), nedl_requirement(i-9)/planck_slope ] )

if nedt_index EQ 0 OR nedt_index EQ 2 OR nedt_index EQ 4 then begin

								plot, image_width_index, data(band_index(0)).nedt(0,*), psym=1, title=bands(i)+' Per-Collect NEDT at Spec Level: T='+s_temp, $
									xtitle='detector', symsize=0.5, $
									ytitle='NEDT [K]', yrange=[ymin,ymax], xrange=[1,n_dets], /xstyle, charsize=2.0
								for j = 0, n_elements(band_index)-1 do oplot, image_width_index, data(band_index(j)).nedt(0,*), psym=1, $
									color=color_index(j), symsize=0.5
								oplot, [0,n_dets], [nedl_requirement(i-9)/planck_slope,nedl_requirement(i-9)/planck_slope], linestyle=2, thick=2
								xyouts, 100, nedl_requirement(i-9)/planck_slope, 'SPEC LEVEL', charsize=1.5
								;leg, color=color_index, label=data(band_index).collection_date, position=[0.70,0.05,0.75,0.95]
endif

								;use the Ltyp det to build the median NEDT for the period
								c = ( spec_temperatures(nedt_index) * planck_slope(0) + const ) * period_snr.gain
								nedl = sqrt( period_snr.a + period_snr.b * c ) / period_snr.gain(median_index_Ltyp(0))
								;trend_snr(p).nedt(nedt_index) = nedl(median_index_Ltyp(0)) / planck_slope(0)
								;trend_snr(p).nedt_stdev(nedt_index) = stdev(nedl) / planck_slope(0)

;9-SEP-15 JAB
;The TIRS uncertainty calculation has not been corrected!
                                                		correlation_r = 1
                                                		dnoise_da =  1 / ( 2 * sqrt(period_snr.a+period_snr.b*c) )
                                                		dnoise_db =  c / ( 2 * sqrt(period_snr.a+period_snr.b*c) )
                                                		trend_snr.unc_nedt(nedt_index) = sqrt( (period_snr.unc_a(median_index_Ltyp(0)) * dnoise_da(median_index_Ltyp(0)))^2 + $
											(period_snr.unc_b(median_index_Ltyp(0)) * dnoise_db(median_index_Ltyp(0)))^2 + $
											2*correlation_r*dnoise_da(median_index_Ltyp(0))*dnoise_db(median_index_Ltyp(0))* $
											period_snr.unc_a(median_index_Ltyp(0))*period_snr.unc_b(median_index_Ltyp(0)) ) / $
                                                                                	period_snr.gain(median_index_Ltyp(0)) / planck_slope(0)
                                                		unc_nedl = sqrt( (snr.unc_a * dnoise_da)^2 + (snr.unc_b * dnoise_db)^2 + 2*correlation_r*dnoise_da*dnoise_db*snr.unc_a*snr.unc_b ) / snr.gain

							endfor
							graph = tvread( Filename=plot_dir + '/' + trending_option(q) + '/period/' + bands(i) + '_NEDT.perDet', /PNG, /nodialog )
							;printf, 113, s_band_number(i), bands(i), p, month_period_index(p), ':', month_period_index(p+1), period_snr.n_frames, $
								;;trend_snr(p).nedt, trend_snr(p).nedt_stdev, $
								;format='(A2,X,A8,I5,I4,A1,I4,I12,5F10.4,5F10.5,F10.3,F10.3,X,F10.2,X,A,X,F10.2,F10.2,F11.3,F10.3,X,F10.2)'

	
							!p.multi = [ 0, 1, 5 ]
							for nedt_index = 0, n_temps-1 do begin
								s_temp = string( spec_temperatures(nedt_index), format='(I3)' )+'K'
								for sca_index = 0, n_scas-1 do for j = 0, n_elements(band_index)-1 do median_nedt(sca_index,nedt_index,j) = $
									median( data(band_index(j)).nedt(nedt_index,fpm_index(sca_index):fpm_index(sca_index+1)-1) )

								ymin = min( median_nedt(*,nedt_index,*) )
								ymax = max( median_nedt(*,nedt_index,*) )
								plot, test_time/365.25, median_nedt(0,nedt_index,*), psym=1, title=bands(i)+' SCA-Median NEDT at Spec Level: T='+s_temp, $
									xtitle='time since launch [years]', $
									ytitle='SCA-median NEDT [K]', yrange=[ymin,ymax], /xstyle, charsize=1.5
								for j = 1, n_scas-1 do oplot, test_time/365.25, median_nedt(j,nedt_index,*), psym=1, color=sca_color_index(j)
								oplot, [0,!x.crange(1)], [nedl_requirement(i-9)/planck_slope,nedl_requirement(i-9)/planck_slope], linestyle=2
								xyouts, 10, nedl_requirement(i-9)/planck_slope, 'SPEC LEVEL', charsize=1.5

								if spec_temperatures(nedt_index) EQ 300 then begin
									openw, 119, plot_dir + '/' + trending_option(q) + '/period/datfiles/' + bands(i) + '_NEDTOverTime.'+s_temp+'.dat'
									printf, 119, 'YSL','SCA1','SCA2','SCA3', format='(4A15)'
									printf, 119, [transpose(test_time/365.25), reform(median_nedt(*,nedt_index,*))], format='(4F15.5)'
									close, 119
								endif
							endfor
							graph = tvread( Filename=plot_dir + '/' + trending_option(q) + '/period/' + bands(i) + '_NEDTOverTime', /PNG, /nodialog )
	
							!p.multi = [ 0, 1, 1 ]
						endelse
	
					endif ; valid good_index
				;endfor ; p

				;transfer only per-period plots, there are no datfiles to transfer
				spawn, 'scp ' + plot_dir + '/' + trending_option(q) + '/period/' + bands(i) + '*Pd'+s_p+'.png jbarsi@calliope:/data/web/ldcm-cal/ias_web/' + plot_dir + '/' + trending_option(q)
				;spawn, 'scp ' + plot_dir + '/' + trending_option(q) + '/datfiles/' + bands(i) + '*.dat jbarsi@calliope:/data/web/ldcm-cal/ias_web/' + $
					;plot_dir + '/' + trending_option(q) + '/datfiles/'
				
			endif
		endfor ; q trending_option -- All, LAMP, PANEL
		;close, 107
;endfor ; p
	endfor	; band
	close, 115
	close, 111


end
