#ifndef UTILITIES_H
#define UTILITIES_H

int initialize_batc_read(void);
void cleanup_batc_read(void);

int read_frame_header
(
    char *filename,                /* I: Name of the data file */
    unsigned int *number_of_frames,/* O: Number of frames listed in the
                                         header */
    int *truncation_setting        /* O: The value of the truncation setting */
);

int read_batc_sca
(
    char *dat_name,            /* I: EDU data file */
    int rband,                 /* I: Band to retrieve */
    int tsca,                  /* I: SCA with profile */
    int start_line,            /* I: start_line for one segment to read */
    int num_lines,             /* I: num_lines for one segment to read */
    short *outbuf,             /* O: Buffer containing image data */
    double *acquisition_time   /* O: Acquisition time for the first line of
                                     the data buffer */
);

int get_line_header_acquisition_time
(
    char *dat_name,                     /* I: EDU data file */
    double *acquisition_time            /* O: Acquisition time from the first
                                            line header */
);

#endif
