#!/bin/csh -f
# Add the TIRS 2nd linearization group to the input file using HDF import
# command

if ( ${#argv} != 1 ) then
    echo ""
    echo "    Usage: $0 <RLUT file name>"
    echo ""
    exit 1
endif

set files = ( "b10_sca1_INPUT_sort" "b10_sca2_INPUT_sort" \
    "b10_sca3_INPUT_sort" \
    "b11_sca1_INPUT_sort" "b11_sca2_INPUT_sort" "b11_sca3_INPUT_sort" )
set names = ( "Band10_SCA01" "Band10_SCA02" "Band10_SCA03" \
    "Band11_SCA01" "Band11_SCA02" "Band11_SCA03" )

set rlut = $1
set dir = tirs_2nd_lin
set config_file = "config_file"
set i = 0
foreach file ( $files )
    @ i++
    echo "PATH /TIRS_SECONDARY_LINEARIZATION/$names[$i]/DN_LUT" > \
        $config_file
    echo "INPUT-CLASS TEXTFP" >> $config_file
    echo "INPUT-SIZE 64" >> $config_file
    echo "RANK 2" >> $config_file
    echo "DIMENSION-SIZES 640 15" >> $config_file
    echo "OUTPUT-CLASS FP" >> $config_file
    echo "OUTPUT-SIZE 64" >> $config_file

    h5import $dir/$file -c $config_file -o $rlut
end

set files = ( "b10_sca1_VAL_sort" "b10_sca2_VAL_sort" "b10_sca3_VAL_sort" \
    "b11_sca1_VAL_sort" "b11_sca2_VAL_sort" "b11_sca3_VAL_sort" )
set i = 0
foreach file ( $files )
    @ i++
    echo "PATH /TIRS_SECONDARY_LINEARIZATION/$names[$i]/Correction" > \
        $config_file
    echo "INPUT-CLASS TEXTFP" >> $config_file
    echo "INPUT-SIZE 64" >> $config_file
    echo "RANK 2" >> $config_file
    echo "DIMENSION-SIZES 640 15" >> $config_file
    echo "OUTPUT-CLASS FP" >> $config_file
    echo "OUTPUT-SIZE 64" >> $config_file

    h5import $dir/$file -c $config_file -o $rlut
end
