% Export to a file for h5import to the RLUT

% Get rid of any existing session variables
clear;

% Load the Cal/Val RLUT parameters
load 'CalParams_02282013.mat';

% Setup variables to the sub-groups we want
LinearityDNField = ErosCorr.NonLinear1.lutSig;
LinearityLINField = ErosCorr.NonLinear1.lutCorr;

NonuniformityDNField = ErosCorr.NonLinear2.lutSig;
NonuniformityNUCField = ErosCorr.NonLinear2.lutCorr;

% The Linearity DN sub-tables
count = 0;
for band=1:9
    for sca=1:14
        count = count + 1;
        fileName = ['matlab_linearity_DN_group_',int2str(count),'.bin'];
        fileID = fopen(fileName, 'w');
        fwrite(fileID, LinearityDNField{band,sca}, 'double');
        fclose(fileID);
    end
end

% The Linearity LIN sub-tables
count = 0;
for band=1:9
    for sca=1:14
        count = count + 1;
        fileName = ['matlab_linearity_LIN_group_',int2str(count),'.bin'];
        fileID = fopen(fileName, 'w');
        fwrite(fileID, LinearityLINField{band,sca}, 'double');
        fclose(fileID);
    end
end

% The Nonuniformity DN sub-tables
count = 0;
for band=1:9;
    for sca=1:14;
        count = count + 1;
        fileName = ['matlab_nonuniformity_DN_group_',int2str(count),'.bin'];
        fileID = fopen(fileName, 'w');
        fwrite(fileID, NonuniformityDNField{band,sca}, 'double');
        fclose(fileID);
    end
end

% The Nonuniformity NUC sub-tables
count = 0;
for band=1:9
    for sca=1:14
        count = count + 1;
        fileName = ['matlab_nonuniformity_NUC_group_',int2str(count),'.bin'];
        fileID = fopen(fileName, 'w');
        fwrite(fileID, NonuniformityNUCField{band,sca}, 'double');
        fclose(fileID);
    end
end

successMsg = ['Matlab RLUT groups export SUCCESSFUL']