#!/bin/csh -f

set rlut = "new_RLUT.h5"
set config_file = "config_file"
set group_ext = ".bin"
set band = 0
set sca = 0
set group_cnt = 0

# Linearity DN group
set linearity_DN_group_basename = "matlab_linearity_DN_group_"
while ( $band < 9 )
    @ band++

    while ( $sca < 14 )
        @ sca++
        @ group_cnt++

        if ( $sca < 10 ) then
            echo "PATH /Linearity/BAND0$band/SCA0$sca/DN" > $config_file
        else
            echo "PATH /Linearity/BAND0$band/SCA$sca/DN" > $config_file
        endif
        echo "INPUT-CLASS FP" >> $config_file
        echo "INPUT-SIZE 64" >> $config_file
        echo "RANK 2" >> $config_file
        if ( $band == 8 ) then
            echo "DIMENSION-SIZES 988 2" >> $config_file
        else
            echo "DIMENSION-SIZES 494 2" >> $config_file
        endif
        echo "OUTPUT-CLASS FP" >> $config_file
        echo "OUTPUT-SIZE 64" >> $config_file

        h5import $linearity_DN_group_basename$group_cnt$group_ext \
                 -c $config_file -o $rlut
    end

    # Reset the SCA count for the next band
    set sca = 0
end

# Reset the counts for the next group
set band = 0
set sca = 0
set group_cnt = 0

# Linearity LIN group
set linearity_LIN_group_basename = "matlab_linearity_LIN_group_"
while ( $band < 9 )
    @ band++

    while ( $sca < 14 )
        @ sca++
        @ group_cnt++

        if ( $sca < 10 ) then
            echo "PATH /Linearity/BAND0$band/SCA0$sca/LIN" > $config_file
        else
            echo "PATH /Linearity/BAND0$band/SCA$sca/LIN" > $config_file
        endif
        endif
        echo "INPUT-CLASS FP" >> $config_file
        echo "INPUT-SIZE 64" >> $config_file
        echo "RANK 2" >> $config_file
        if ( $band == 8 ) then
            echo "DIMENSION-SIZES 988 2" >> $config_file
        else
            echo "DIMENSION-SIZES 494 2" >> $config_file
        endif
        echo "OUTPUT-CLASS FP" >> $config_file
        echo "OUTPUT-SIZE 64" >> $config_file

        h5import $linearity_LIN_group_basename$group_cnt$group_ext \
                 -c $config_file -o $rlut
    end

    # Reset the SCA count for the next band
    set sca = 0
end

# Reset the counts for the next group
set band = 0
set sca = 0
set group_cnt = 0

# Nonuniformity DN group
set nonuniformity_DN_group_basename = "matlab_nonuniformity_DN_group_"
set sca_dims = ( "34" "35" "35" "35" "34" "35" "34" "33" "35" "35" "34" "34" \
                 "35" "34" )
while ( $band < 9 )
    @ band++

    while ( $sca < 14 )
        @ sca++
        @ group_cnt++

        if ( $sca < 10 ) then
            echo "PATH /Nonuniformity/BAND0$band/SCA0$sca/DN" > $config_file
        else
            echo "PATH /Nonuniformity/BAND0$band/SCA$sca/DN" > $config_file
        endif
        echo "INPUT-CLASS FP" >> $config_file
        echo "INPUT-SIZE 64" >> $config_file
        echo "RANK 2" >> $config_file
        if ( $band == 8 ) then
            echo "DIMENSION-SIZES 988 $sca_dims[$sca]" >> $config_file
        else
            echo "DIMENSION-SIZES 494 $sca_dims[$sca]" >> $config_file
        endif
        echo "OUTPUT-CLASS FP" >> $config_file
        echo "OUTPUT-SIZE 64" >> $config_file

        h5import $nonuniformity_DN_group_basename$group_cnt$group_ext \
                 -c $config_file -o $rlut
    end

    # Reset the SCA count for the next band
    set sca = 0
end

# Reset the counts for the next group
set band = 0
set sca = 0
set group_cnt = 0

# Nonuniformity NUC group
set nonuniformity_NUC_group_basename = "matlab_nonuniformity_NUC_group_"
while ( $band < 9 )
    @ band++

    while ( $sca < 14 )
        @ sca++
        @ group_cnt++

        if ( $sca < 10 ) then
            echo "PATH /Nonuniformity/BAND0$band/SCA0$sca/NUC" > $config_file
        else
            echo "PATH /Nonuniformity/BAND0$band/SCA$sca/NUC" > $config_file
        endif
        echo "INPUT-CLASS FP" >> $config_file
        echo "INPUT-SIZE 64" >> $config_file
        echo "RANK 2" >> $config_file
        if ( $band == 8 ) then
            echo "DIMENSION-SIZES 988 $sca_dims[$sca]" >> $config_file
        else
            echo "DIMENSION-SIZES 494 $sca_dims[$sca]" >> $config_file
        endif
        echo "OUTPUT-CLASS FP" >> $config_file
        echo "OUTPUT-SIZE 64" >> $config_file

        h5import $nonuniformity_NUC_group_basename$group_cnt$group_ext \
                 -c $config_file -o $rlut
    end

    # Reset the SCA count for the next band
    set sca = 0
end

echo "Matlab data successfully imported to the RLUT file $rlut"
