#!/bin/csh -f
#
# String together the scripts to convert the HDF file from the CSV file
#
# One input parameter - the CSV file name

if ( ${#argv} < 1) then
    echo "Usage: $0 <CSV filename>"
    exit 1
endif

if (! -e $1) then
    echo "Input file $1 does not exist"
    exit 1
endif

# Run the scripts to accomplish the conversion
split -l 645 $1
./extract_sca.csh
./runsub.csh
./reverse_sca_2.csh
./rearrange.csh

echo "The following files are ready for import to replace values in LUT file:"
echo "b10_sca1_sort_arr.txt  b10_sca2_sort_arr.txt  b10_sca3_sort_arr.txt"
echo "b11_sca1_sort_arr.txt  b11_sca2_sort_arr.txt  b11_sca3_sort_arr.txt"
