#!/bin/csh -f
#
# This script takes the output of the detector substitution script.
# It removes the detector numbers and arranges the order of the
# parameters to RLUT order.

# Create copies of input files to new names since these next modifications
# are executed in-place on the input files (so outputs from previous script
# can be retained unmodified)
cp sca1_b10_sort b10_sca1_sort
cp sca1_b11_sort b11_sca1_sort
cp sca2_b10_sort_r b10_sca2_sort
cp sca2_b11_sort_r b11_sca2_sort
cp sca3_b10_sort b10_sca3_sort
cp sca3_b11_sort b11_sca3_sort

# Remove detector number
sed -i 's/^[0-9]*,//' b10_sca1_sort
sed -i 's/^[0-9]*,//' b11_sca1_sort
sed -i 's/^[0-9]*,//' b10_sca2_sort
sed -i 's/^[0-9]*,//' b11_sca2_sort
sed -i 's/^[0-9]*,//' b10_sca3_sort
sed -i 's/^[0-9]*,//' b11_sca3_sort

# Column sort the parameters for desired RLUT order and replace spaces with tabs
set files = ( b10_sca1_sort b10_sca2_sort b10_sca3_sort b11_sca1_sort \
    b11_sca2_sort b11_sca3_sort )
foreach file ( $files )
    awk -F',' '{print $1,$2,$5,$4,$3,$8,$7,$6,$11,$10,$9}' $file | \
    sed 's/ /\t/g' > ${file}_arr.txt
end
