#!/bin/csh -f
#
# This script will execute the substitution script for each of the SCAs with
# the proper replacement detectors
#
# There is also a mapping from NASA ABC nomenclature to IAS 123.
#   This file maps B -> 1
#                  C -> 2
#                  A -> 3
#
# No input parameters

# Do the substitution
./substitute.csh band10_scaB_row1 band10_scaB_row2   sca1_10 \
    176 358
./substitute.csh band12_scaB_row1 band12_scaB_row2   sca1_12 \
    5 285 325 356 535 596
./substitute.csh band10_scaC_row1 band10_scaC_row2 sca2_10 \
    27 74 113 128 168 231 241 280 284 334 385
./substitute.csh band12_scaC_row1 band12_scaC_row2 sca2_12 \
    129 193 199 230 241 301 358 450 570 619
./substitute.csh band10_scaA_row1 band10_scaA_row2   sca3_10 \
    594
./substitute.csh band12_scaA_row1 band12_scaA_row2   sca3_12 \
    85 386

# Detector sort and change 10/12 micron files to band 10/11
sort -n sca1_10 > sca1_b10_sort
sort -n sca1_12 > sca1_b11_sort
sort -n sca2_10 > sca2_b10_sort
sort -n sca2_12 > sca2_b11_sort
sort -n sca3_10 > sca3_b10_sort
sort -n sca3_12 > sca3_b11_sort
