#!/bin/csh -f
#
# Substitute the primary detectors in infile_p with detectors in infile_s and
# output to oufile.  Uses the 4th parameter on as the detector substitution
# list.
#
# Usage: substitute.csh infile_p infile_s oufile det1 det2 ...
#

set infile_p = $argv[1]
shift
set infile_s = $argv[1]
shift
set oufile = $argv[1]
shift

# remove the headers and copy data to output file
sed '/^#/d' $infile_p > $oufile

while ($#argv)
    set row = $argv[1]
    shift

    # Delete the primary row
    sed -i "/^$row,/d" $oufile
    # Add the secondary row
    sed -n "/^$row,/p" $infile_s >> $oufile

    #sort -n temp > $oufile
end
