#!/bin/csh -f
#
# String together the scripts to convert the HDF file from the CSV file
#
# One input parameter - the CSV file name

if ( ${#argv} < 1) then
    echo "Usage: $0 <CSV filename>"
    exit 1
endif

if (! -e $1) then
    echo "Input file $1 does not exist"
    exit 1
endif

# Run the scripts to accomplish the conversion
split -l 644 $1
./extract_sca.csh
./runsub.csh
./reverse_sca_2.csh
./remove_det.sh
./transpose.csh
./import.sh

echo "tirs_spectral_radiance_lut.h5 created"
