#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "ias_logging.h"
#include "retrieve_elevation.h"
#include "make_gls_tile_name.h"

#define TEMP_NAME_SIZE 5


void make_gls_tile_name
(
    int lat,    /* I: tile lower-left corner latitude */
    int lon,    /* I: tile lower-left corner longitude */
    char *name  /* O: buffer for output tile name, must be 8 characters
                      in size or larger */
)
{
    char temp_lat[TEMP_NAME_SIZE];
    char temp_lon[TEMP_NAME_SIZE];

    if (lat >= 0)
    {
        sprintf(temp_lat, "n%02d", lat);
    }
    else
    {
        sprintf(temp_lat, "s%02d", -lat);
    }

    if (lon >= 0)
    {
        sprintf(temp_lon, "e%03d", lon);
    }
    else
    {
        sprintf(temp_lon, "w%03d", -lon);
    }

    sprintf(name, "%s%s", temp_lat, temp_lon);

    IAS_LOG_DEBUG("Gls tile name: %s", name);
}
