/* Routines to aid in computing mod n.  See discussion in modulus.c for more
 * detail. */

#ifndef MODULUS_H
#define MODULUS_H


int modulus
(
    int i,                           /* I: The number for which we're
                                        interested in determining the
                                        equivalence class */
    int n                            /* I: The specified modulus */
);


double fmodulus
(
    double x,                         /* I: The number for which we're
                                         interested in determining the
                                         equivalent value between 0 and n */
    int n                             /* I: The specified modulus */
);


double longitude_norm
(
    double longitude                       /* I: Distance east of
                                              the "Prime Meridian" (0 deg.
                                              longitude) to the place in
                                              question */
);

#endif

