#ifndef RETRIEVE_ELEVATION_H
#define RETRIEVE_ELEVATION_H

#include "ias_math.h"   /* MAX/MIN */

/* value to use as an illegal elevation */
#define ILLEGAL_ELEV -20000

/* the maximum width from West edge to East edge, in degrees */
#define MAX_SCENE_WIDTH 135

/* Lat/lon coordinate limits */
#define NORTH_LATITUDE_LIMIT    90.0
#define SOUTH_LATITUDE_LIMIT   -90.0
#define EAST_LONGITUDE_LIMIT   180.0
#define WEST_LONGITUDE_LIMIT  -180.0

/* RAMP and GLSDEM threshold lat/lon coordinates */
#define GLSDEM_NORTH_LATITUDE      83.0
#define GLSDEM_SOUTH_LATITUDE     -53.0
#define RAMP_SOUTH_LATITUDE       -60.0

/* Conversion factor between degrees and arc-seconds */
#define DEG2ARCSEC                     3600.0

/* DEM subdirectory names.  These can change if necessary */
#define RAMP_DIR     "ramp"
#define GLSDEM_DIR   "gls"
#define GTOPO_DIR    "gtopo30"

/* Misc. constant definitions */
#define GLSDEM_TILE_NAME_SIZE    12
#define DMS_DRE_DEM_NBANDS        1
#define DMS_DRE_DEM_NBITS        16
#define HELP_SUCCESS              2

#endif       /* END -- IFNDEF RETRIEVE_ELEVATION_H */
