--
-- This script performs two operations.  First it generates an sql script to
-- extract data from the given table.  Second it generates an sql loader
-- script which is then saved in the code repository at a later time.  The
-- calling script is used to perform clean up of any temporary files.
--
-- Setup so certain stuff is not output to the files.
--
set pagesize 0
set heading off
set wrap off
set echo off
set trimout on
set trimspool on
set termout off
set feedback off
set linesize 2000
set space 0
set colsep |
--
-- Generate an sql script to extract GEOMETRIC_WORK_ORDER_COMMON data.
--
spool YYYYYY.sql
select 'select ' from sys.dual;
select decode(column_id, 1, column_name,
              '||''|''||'||column_name)
from user_tab_columns
where table_name = upper('GEOMETRIC_WORK_ORDER_COMMON')
and data_type not in ('CLOB')
order by column_id;
select 'from GEOMETRIC_WORK_ORDER_COMMON ' from sys.dual;
select 'where work_order_id = '||''''||'WO1234'||''''||' ' from sys.dual;
select 'order by geometric_wo_common_id;' from sys.dual;
spool off
--
-- Generate the results.
--
spool GEOMETRIC_WORK_ORDER_COMMON.db.results
@YYYYYY;
spool off
--
-- Generate another sql script to extract GEOMETRIC_WORK_ORDER_COMMON data.
--
spool YYYYYY.sql
select 'select ' from sys.dual;
select decode(column_id, 1, column_name,
              '||''|''||'||column_name)
from user_tab_columns
where table_name = upper('GEOMETRIC_WORK_ORDER_COMMON')
and data_type not in ('CLOB')
order by column_id;
select 'from GEOMETRIC_WORK_ORDER_COMMON ' from sys.dual;
select 'where work_order_id = '||''''||'WO5678'||''''||' ' from sys.dual;
select 'order by geometric_wo_common_id;' from sys.dual;
spool off
--
-- Generate the results.
--
spool GEOMETRIC_WORK_ORDER_COMMON.db.results2
@YYYYYY;
spool off
--
-- Generate another sql script to extract GEOMETRIC_WORK_ORDER_COMMON data.
--
spool YYYYYY.sql
select 'select ' from sys.dual;
select decode(column_id, 1, column_name,
              '||''|''||'||column_name)
from user_tab_columns
where table_name = upper('GEOMETRIC_WORK_ORDER_COMMON')
and data_type not in ('CLOB')
order by column_id;
select 'from GEOMETRIC_WORK_ORDER_COMMON ' from sys.dual;
select 'where work_order_id = '||''''||'WO6789'||''''||' ' from sys.dual;
select 'order by geometric_wo_common_id;' from sys.dual;
spool off
--
-- Generate the results.
--
spool GEOMETRIC_WORK_ORDER_COMMON.db.results3
@YYYYYY;
spool off
--
-- Generate another sql script to extract GEOMETRIC_WORK_ORDER_COMMON data.
--
spool YYYYYY.sql
select 'select ' from sys.dual;
select decode(column_id, 1, column_name,
              '||''|''||'||column_name)
from user_tab_columns
where table_name = upper('GEOMETRIC_WORK_ORDER_COMMON')
and data_type not in ('CLOB')
order by column_id;
select 'from GEOMETRIC_WORK_ORDER_COMMON ' from sys.dual;
select 'where work_order_id = '||''''||'WO1011'||''''||' ' from sys.dual;
select 'order by geometric_wo_common_id;' from sys.dual;
spool off
--
-- Generate the results.
--
spool GEOMETRIC_WORK_ORDER_COMMON.db.results4
@YYYYYY;
spool off
--
-- Generate an sql script to extract RADIOMETRIC_WORK_ORDER_COMMON data.
--
spool YYYYYY.sql
select 'select ' from sys.dual;
select decode(column_id, 1, column_name,
              '||''|''||'||column_name)
from user_tab_columns
where table_name = upper('RADIOMETRIC_WORK_ORDER_COMMON')
and data_type not in ('CLOB')
order by column_id;
select 'from RADIOMETRIC_WORK_ORDER_COMMON ' from sys.dual;
select 'where work_order_id = '||''''||'WO1234'||''''||' ' from sys.dual;
select 'order by radiometric_wo_common_id;' from sys.dual;
spool off
--
-- Generate the results.
--
spool RADIOMETRIC_WORK_ORDER_COMMON.db.results
@YYYYYY;
spool off
--
-- Generate another sql script to extract RADIOMETRIC_WORK_ORDER_COMMON data.
--
spool YYYYYY.sql
select 'select ' from sys.dual;
select decode(column_id, 1, column_name,
              '||''|''||'||column_name)
from user_tab_columns
where table_name = upper('RADIOMETRIC_WORK_ORDER_COMMON')
and data_type not in ('CLOB')
order by column_id;
select 'from RADIOMETRIC_WORK_ORDER_COMMON ' from sys.dual;
select 'where work_order_id = '||''''||'WO5678'||''''||' ' from sys.dual;
select 'order by radiometric_wo_common_id;' from sys.dual;
spool off
--
-- Generate the results.
--
spool RADIOMETRIC_WORK_ORDER_COMMON.db.results2
@YYYYYY;
spool off
--
-- Generate another sql script to extract RADIOMETRIC_WORK_ORDER_COMMON data.
--
spool YYYYYY.sql
select 'select ' from sys.dual;
select decode(column_id, 1, column_name,
              '||''|''||'||column_name)
from user_tab_columns
where table_name = upper('RADIOMETRIC_WORK_ORDER_COMMON')
and data_type not in ('CLOB')
order by column_id;
select 'from RADIOMETRIC_WORK_ORDER_COMMON ' from sys.dual;
select 'where work_order_id = '||''''||'WO6789'||''''||' ' from sys.dual;
select 'order by radiometric_wo_common_id;' from sys.dual;
spool off
--
-- Generate the results.
--
spool RADIOMETRIC_WORK_ORDER_COMMON.db.results3
@YYYYYY;
spool off
--
-- Generate another sql script to extract RADIOMETRIC_WORK_ORDER_COMMON data.
--
spool YYYYYY.sql
select 'select ' from sys.dual;
select decode(column_id, 1, column_name,
              '||''|''||'||column_name)
from user_tab_columns
where table_name = upper('RADIOMETRIC_WORK_ORDER_COMMON')
and data_type not in ('CLOB')
order by column_id;
select 'from RADIOMETRIC_WORK_ORDER_COMMON ' from sys.dual;
select 'where work_order_id = '||''''||'WO1011'||''''||' ' from sys.dual;
select 'order by radiometric_wo_common_id;' from sys.dual;
spool off
--
-- Generate the results.
--
spool RADIOMETRIC_WORK_ORDER_COMMON.db.results4
@YYYYYY;
spool off
--

spool SCENES.db.results
Select WORK_ORDER_ID, TO_CHAR(DATE_ACQUIRED, 'DD-MON-YYYY HH24:MI:SS')
as DATE_AQUIRED, TARGET_WRS_PATH, TARGET_WRS_ROW from SCENES where WORK_ORDER_ID
in ('WO1234', 'WO5678', 'WO6789', 'WO1011', 'WO1012') order by WORK_ORDER_ID;
spool off;
exit
