#!/bin/sh

# This script deletes/inserts the specified work orders from the schema
# If there is an argument passed it will perform the insert otherwise
# it will perform the delete

PWD=`pwd`
LOG="$PWD/update_schema.log"
DB="$IAS_DB_COM"
INSTANCE="$IAS_INSTANCE_NAME"
INS=1
if [ $# -ne 1 ]; then
    INS=0
fi
# Initialize the log file.
DATE=`date`
echo "Created $DATE" 2>&1 > $LOG

# Delete records from the schema
echo "" 2>&1 >> $LOG
echo "--- Deleting records ----------------------------" 2>&1 >> $LOG
sqlplus $DB @delete_schema.sql 2>&1 >> $LOG
if [ "$?" -ne "0" ]; then
    echo "Error executing sqlplus"
    exit 1
fi

# Insert records into the schema
if [ $INS == 1 ]; then
    echo "" 2>&1 >> $LOG
    echo "--- Inserting records-------------------------" 2>&1 >> $LOG
    sqlplus $DB @insert_schema.sql $INSTANCE 2>&1 >> $LOG
    if [ "$?" -ne "0" ]; then
        echo "Error executing sqlplus"
        exit 1
    fi
fi 

echo "" 2>&1 >> $LOG
DATE=`date`
echo "Completed - $0 - $DATE" 2>&1 >> $LOG

