#!/bin/sh

# This script deletes the specified work orders from the schema

PWD=`pwd`
LOG="$PWD/delete_schema.log"
DB="$IAS_DB_COM"

# Initialize the log file.
DATE=`date`
echo "Created $DATE" 2>&1 > $LOG

# Process

SQL="delete.sql"
SPOOL="delete_work_orders.log"
echo "" 2>&1 >> $LOG
echo "--- Deleting WORK_ORDERS ----------------------------------" 2>&1 >> $LOG
echo "spool $SPOOL" > $SQL
echo "delete from work_orders" >> $SQL
echo "    where work_order_id like 'D205__';" >> $SQL
echo "commit;" >> $SQL
echo "exit" >> $SQL
sqlplus $DB @$SQL 2>&1 >> $LOG
if [ "$?" -ne "0" ]; then
    echo "Error deleting orders from WORK_ORDERS in the database"
    exit 1
fi
rm -f $SQL $SPOOL

SQL="delete.sql"
SPOOL="delete_subsetter_log.log"
echo "" 2>&1 >> $LOG
echo "--- Deleting SUBSETTER_LOG --------------------------------" 2>&1 >> $LOG
echo "spool $SPOOL" > $SQL
echo "delete from subsetter_log" >> $SQL
echo -n "    where subsetter_request_id in (" >> $SQL
echo -n "select subsetter_request_id from subsetter_request_view " >> $SQL
echo "where work_order_id like 'D205__');" >> $SQL
echo "commit;" >> $SQL
echo "exit" >> $SQL
sqlplus $DB @$SQL 2>&1 >> $LOG
if [ "$?" -ne "0" ]; then
    echo "Error deleting orders from SUBSETTER_REQUEST in the database"
    exit 1
fi
rm -f $SQL $SPOOL

SQL="delete.sql"
SPOOL="delete_subsetter_request.log"
echo "" 2>&1 >> $LOG
echo "--- Deleting SUBSETTER_REQUEST ----------------------------" 2>&1 >> $LOG
echo "spool $SPOOL" > $SQL
echo "delete from subsetter_request_view" >> $SQL
echo "    where work_order_id like 'D205__';" >> $SQL
echo "commit;" >> $SQL
echo "exit" >> $SQL
sqlplus $DB @$SQL 2>&1 >> $LOG
if [ "$?" -ne "0" ]; then
    echo "Error deleting orders from SUBSETTER_REQUEST in the database"
    exit 1
fi
rm -f $SQL $SPOOL

SQL="delete.sql"
SPOOL="delete_anomalies.log"
echo "" 2>&1 >> $LOG
echo "--- Deleting ANOMALIES ----------------------------" 2>&1 >> $LOG
echo "spool $SPOOL" > $SQL
echo "delete from anomalies" >> $SQL
echo "    where current_wo_id like 'D205__';" >> $SQL
echo "commit;" >> $SQL
echo "exit" >> $SQL
sqlplus $DB @$SQL 2>&1 >> $LOG
if [ "$?" -ne "0" ]; then
    echo "Error deleting orders from ANOMALIES in the database"
    exit 1
fi
rm -f $SQL $SPOOL

# Change to the sensor specific schema
DB="$IAS_DB_L8_OLITIRS"

SQL="delete.sql"
SPOOL="delete_scenes.log"
echo "" 2>&1 >> $LOG
echo "--- Deleting SCENES ---------------------------------------" 2>&1 >> $LOG
echo "spool $SPOOL" > $SQL
echo "delete from scenes" >> $SQL
echo "    where work_order_id like 'D205__';" >> $SQL
echo "commit;" >> $SQL
echo "exit" >> $SQL
sqlplus $DB @$SQL 2>&1 >> $LOG
if [ "$?" -ne "0" ]; then
    echo "Error deleting orders from SCENES in the database"
    exit 1
fi
rm -f $SQL $SPOOL

SQL="delete.sql"
SPOOL="delete_events.log"
echo "" 2>&1 >> $LOG
echo "--- Deleting EVENTS ---------------------------------------" 2>&1 >> $LOG
echo "spool $SPOOL" > $SQL
echo "delete from events" >> $SQL
echo "    where work_order_id like 'D205__';" >> $SQL
echo "commit;" >> $SQL
echo "exit" >> $SQL
sqlplus $DB @$SQL 2>&1 >> $LOG
if [ "$?" -ne "0" ]; then
    echo "Error deleting orders from EVENTS in the database"
    exit 1
fi
rm -f $SQL $SPOOL

echo "" 2>&1 >> $LOG
DATE=`date`
echo "Completed - $0 - $DATE" 2>&1 >> $LOG

