#!/usr/bin/perl
use strict;
use warnings;


# create a local copy of the OMF test file with the path names fixed
convert("I130_template.omf", "I130.omf");

# create a copy without the LUNAR_SCA_NUMBER parameter
`sed '/LUNAR_SCA_NUMBER/d' I130.omf > I131.omf`;


exit 0;

sub convert
{
    my $input_OMF_file_name = shift;
    my $temp_OMF_file_name = shift;

    my $data_dir = "$ENV{IAS_UNIT_TEST_DATA_DIR}";
    $data_dir =~ s/\/+$//; # trim trailing slashes, if any

    # open the WO OMF files
    open (INPUT_FILE, "< $input_OMF_file_name") ||
      die ("Could not open $input_OMF_file_name for reading\n");
    open (OUTPUT_FILE, "> $temp_OMF_file_name") ||
      die ("Could not open $temp_OMF_file_name for writing\n");

    # read a line at a time, parse for IAS_UNIT_TEST_DATA_DIR env variable
    # string
    my $current_line;
    while ($current_line = <INPUT_FILE>)
    {
      $current_line =~ s/IAS_UNIT_TEST_DATA_DIR\//$data_dir\//;
      print OUTPUT_FILE $current_line;
    }

    close INPUT_FILE;
    close OUTPUT_FILE;
}
