#!/bin/csh -f
#
# Usage: ./check_or_insert_woid.csh [Work Order ID]
#

# Ensure there is a database environment variable defined
if ( ! $?IAS_DB_L8_OLITIRS ) then
    echo "IAS_DB_L8_OLITIRS isn't set"
    exit 1
endif

if ( ${#argv} != 1 ) then
    echo "Usage: $0 [Work Order ID]"
    exit 1
endif

# First check to see if the Work order ID is already in the database
# Get the geometric common ID
set sql_script = "retrieve_woid.sql"
echo "set term off" > $sql_script
echo "set echo on" >> $sql_script
echo "set trimout on" >> $sql_script
echo "set trimspool on" >> $sql_script
echo "set heading off" >> $sql_script
echo "set feedback off" >> $sql_script
echo "set pause off" >> $sql_script
echo "set pagesize 0" >> $sql_script
echo "set linesize 500" >> $sql_script
echo "set space 0" >> $sql_script
echo "set colsep |" >> $sql_script
echo "set tab off" >> $sql_script
echo "set verify off" >> $sql_script
echo "spool ./woid.txt" >> $sql_script
echo "select work_order_id, geometric_wo_common_id " >> $sql_script
echo "from geometric_work_order_common " >> $sql_script
echo "where work_order_id='"$1"';" >> $sql_script
echo "spool off" >> $sql_script
echo "exit" >> $sql_script
 
# Query the database
sqlplus $IAS_DB_L8_OLITIRS @$sql_script > & /dev/null
rm $sql_script

# Squeeze out the white space and select the lines beginning with the 
# work order ID 
set common_id = `sed 's/  *//g' ./woid.txt | grep ^$1 | \
    awk -F'|' '{print $2}'`

# If the common_id has a value in it the WO ID exists
if ( $common_id != "" ) then
    exit 0
endif

# Otherwise insert it
echo "insert into geometric_work_order_common (work_order_id) values ('$1');" > insert_woid.sql
sqlplus $IAS_DB_L8_OLITIRS < insert_woid.sql >& /dev/null
if ( $status ) then
    echo "Error executing sqlplus"
    exit 1
endif
rm insert_woid.sql

exit 0
