#!/usr/bin/perl
use strict;
use warnings;

# create a local copy of the OLI omf test file with the path names fixed
convert_omf("WO1234.omf", "WO1234_new.omf");

# create a local copy of the TIRS omf test file with the path names fixed
convert_omf("WO_TIRS.omf", "WO_TIRS_new.omf");

# create a local copy of the mode switch omf test file with the path names fixed
convert_omf("WOSWTCH.omf", "WOSWTCH_new.omf");

# create a local copy of the encoder off omf test file with the path names fixed
convert_omf("WOENOFF.omf", "WOENOFF_new.omf");

# create a local copy of the quality omf test file with the path names fixed
convert_omf("WOQUAL.omf", "WOQUAL_new.omf");

# create a local copy of the encoder off omf test file with the path names fixed
convert_omf("WONOSSM.omf", "WONOSSM_new.omf");

# create a local copy of the multiple scene test omf file
convert_omf("MULSCNE.omf", "MULSCNE_new.omf");

exit;

sub convert_omf
{
    my $input_WO_OMF_file_name = shift;
    my $temp_WO_OMF_file_name = shift;

    my $data_dir = "$ENV{IAS_UNIT_TEST_DATA_DIR}";
    $data_dir =~ s/\/+$//; # trim trailing slashes, if any

    # open the WO OMF files
    open (INPUT_FILE, "<$input_WO_OMF_file_name") ||
      die ("Could not open $input_WO_OMF_file_name for reading\n");
    open (OUTPUT_FILE, ">$temp_WO_OMF_file_name") ||
      die ("Could not open $temp_WO_OMF_file_name for writing\n");

    # read a line at a time, parse for IAS_UNIT_TEST_DATA_DIR env variable
    # string
    my $current_line;
    while ($current_line = <INPUT_FILE>)
    {
      $current_line =~ s/\$IAS_UNIT_TEST_DATA_DIR\//$data_dir\//;
      print OUTPUT_FILE $current_line;
    }

    close INPUT_FILE;
    close OUTPUT_FILE;
}
