
#ifndef _CREATE_FOCAL_PLANE_REPORT_H_
#define _CREATE_FOCAL_PLANE_REPORT_H_

#include "focal_plane.h"    /* CORR_PT_INFO definition */
#include "calculate_post_fit_residuals.h" /* POST_FIT_RESIDUAL_STATS_TYPE 
                               definition */

int create_focal_plane_report
(
    const char *report_file_name,/* I: Report file name */
    const char *terr_image_name, /* I: Name of input 1T image */
    const char *ref_image_name,  /* I: Name of reference image */
    const char *l0r_image_name,  /* I: Name of L0R image */
    int nscas,                   /* I: Number of SCAs */
    double sca_coef_x[IAS_MAX_NSCAS][IAS_LOS_LEGENDRE_TERMS], /* I: Existing X 
                                       Legendre coefficients */
    double sca_coef_y[IAS_MAX_NSCAS][IAS_LOS_LEGENDRE_TERMS], /* I: Existing Y 
                                       Legendre coefficients */
    double error_legendre_x[IAS_MAX_NSCAS][IAS_LOS_LEGENDRE_TERMS], 
                                 /* I: Error X Legendre coefficients */
    double error_legendre_y[IAS_MAX_NSCAS][IAS_LOS_LEGENDRE_TERMS], 
                                 /* I: Error Y Legendre coefficients */
    double updated_legendre_x[IAS_MAX_NSCAS][IAS_LOS_LEGENDRE_TERMS], 
                                 /* I: Updated X coefficients */
    double updated_legendre_y[IAS_MAX_NSCAS][IAS_LOS_LEGENDRE_TERMS], 
                                 /* I: Updated Y coefficients */
    CORR_PT_INFO *fp_corr_pts_ptr, /* I: Focal plane correlation points */
    int points,                  /* I: Number focal plane correlation points */
    const POST_FIT_RESIDUAL_STATS_TYPE *residuals_ptr, /* I: Calculated 
                                       residual information */
    float confidence_level,      /* I: Confidence level used for outlier 
                                       rejection */
    int fit_order,               /* I: Flag that indicates the polynomial order
                                       that was used in the solution */
    const char *work_order_id   /* I: Work Order ID for report header */
);

#endif
