#ifndef _CREATE_REPORT_TIRS_SSM_ANGLE_H_
#define _CREATE_REPORT_TIRS_SSM_ANGLE_H_

#include "focal_plane.h"      /* CORR_PT_INFO definition */
#include "calculate_post_fit_residuals.h" /* POST_FIT_RESIDUAL_STATS_TYPE 
                               definition */

int create_report_tirs_ssm_angle
(
    const char *report_file_name, /* I: Report file name */
    const char *search_image_name,  /* I: Name of input 1T image */
    const char *ref_image_name,   /* I: Name of reference image */
    const char *l0r_image_name,   /* I: Name of L0R image */
    int nscas,                    /* I: Number of SCAs */
    const double *ssm_epoch,      /* I: Time epoch for estimated angles */
    double ssm_angle_correction,  /* I: Estimated SSM angle correction */
    double net_ssm_angle,         /* I: Net new estimated angle */
    double pitch_angle_correction,  /* I: Estimated pitch alignment
                                          angle correction */
    const CORR_PT_INFO *corr_pts_ptr, /* I: Correlation points */
    int  points,                  /* I: Number of correlation points */
    const POST_FIT_RESIDUAL_STATS_TYPE *residuals_ptr, /* I: Calculated
                                        residual information */
    double confidence_level,      /* I: Confidence level used for outlier
                                        rejection */
    const char *work_order_id     /* I: Work Order ID for report header */
);

#endif
