#ifndef _FIT_POLYNOMIALS_H_
#define _FIT_POLYNOMIALS_H_

#include "focal_plane.h"       /* CORR_PT_INFO definition */

int fit_polynomials
(
    int corr_points,         /* I: Number of correlation points */
    int number_scas,         /* I: Number of SCAs to solve */
    int fit_order,           /* I: Order of polynomial to fit (0-3) */
    int sca_num_det,         /* I: Number of detectors in the SCA */
    const CORR_PT_INFO *corr_pts_ptr,/* I: Correlation points */
    int constraint,          /* I: Constraint option: 0 = nominal; 1 = no
                                   alignment */
    int constraint_weight,   /* I: Constraint weight from the CPF */
    double current_coeffs_x[NUM_TIRS_SCAS][IAS_LOS_LEGENDRE_TERMS], /* I: 
                                   Current along-track Legendre coefficients */
    double current_coeffs_y[NUM_TIRS_SCAS][IAS_LOS_LEGENDRE_TERMS], /* I: 
                                   Current across-track Legendre coefficients */
    double error_coeffs_x[NUM_TIRS_SCAS][IAS_LOS_LEGENDRE_TERMS], /* O: 
                                   Along-track Legendre error coefficients */
    double error_coeffs_y[NUM_TIRS_SCAS][IAS_LOS_LEGENDRE_TERMS], /* O: 
                                   Across-track Legendre error coefficients */
    double *alignment_corrections /* O: TIRS-to-OLI alignment roll-pitch-yaw */
);

#endif 
