#ifndef _FIT_SSM_ANGLE_H_
#define _FIT_SSM_ANGLE_H_

#include "focal_plane.h"       /* CORR_PT_INFO definition */

int fit_ssm_angle
(
    int corr_points,         /* I: Number of correlation points */
    int number_scas,         /* I: Number of SCAs to solve */
    int sca_num_det,         /* I: Number of detectors in the SCA */
    const CORR_PT_INFO *corr_pts_ptr,/* I: Correlation points */
    double current_coeffs_x[NUM_TIRS_SCAS][IAS_LOS_LEGENDRE_TERMS], /* I: 
                                   Current along-track Legendre coefficients */
    double current_coeffs_y[NUM_TIRS_SCAS][IAS_LOS_LEGENDRE_TERMS], /* I: 
                                   Current across-track Legendre coefficients */
    double *ssm_angle_correction,  /* O: TIRS SSM rotation correction angle */
    double *pitch_angle_correction /* O: Pitch alignment correction angle */
);

#endif 
