#ifndef _READ_PARAMETERS_H_
#define _READ_PARAMETERS_H_

#include "ias_model_io.h"
#include "focal_plane.h"     /* CORR_PT_INFO definition */

int read_parameters(
    int argc,          /* I: Command line arguments count */
    char *argv[],      /* I: Command line arguments */
    ALIGNMENT_PARMS *parms,  /* O: Parameters read from parameter file */
    CORR_PT_INFO **corr_pts, /* O: Information about each correlation point */
    IAS_CPF **cpf,           /* O: CPF parameters */
    IAS_LOS_MODEL **model,   /* O: Model structure */
    int *thermal1_band_number, /* O: Number of reference 
                                      band (TIRS_THERMAL1) */
    int *thermal1_band_index,  /* O: Index of reference band (TIRS_THERMAL1) */
    int *sca_num_det,        /* O: Number of detectors per SCA */
    int *npts,               /* O: Number of correlation points to work with */
    int *nscas,              /* O: Number of SCAs in this band (input space) */
    int *ncells,             /* O: Number of cells across a SCA */
    double *db_save_threshold_x, /* O: Threshold to limit database saving */
    double *db_save_threshold_y, /* O: Threshold to limit database saving */
    double sca_coef_x[NUM_TIRS_SCAS][IAS_LOS_LEGENDRE_TERMS],/* I: Along-track 
                                   SCA LOS Legendre coefficients */
    double sca_coef_y[NUM_TIRS_SCAS][IAS_LOS_LEGENDRE_TERMS] /* I: Across-track 
                                   SCA LOS Legendre coefficients */
);

#endif
