#ifndef _KERNEL_H_
#define _KERNEL_H_

#include "get_resample_parameters.h"    /* RESAMPLE_TYPE definition */

int Kernel_Setup
(
    int band_index,                      /* I: current band */
    RESAMPLE_TYPE resampling_type, /* I: resampling type */
    double cc_alpha                /* I: cubic convolution alpha parameter */
);

void Cleanup_Kernel(void);

const double *Get_Resample_Weight_Table_Ptr(void);

int get_lines_in_kernel(void);

int get_samples_in_kernel(void);

int num_left_kernel_samples(void);

int num_right_kernel_samples(void);

int num_top_kernel_lines(void);

int num_bottom_kernel_lines(void);

double get_kernel_step_size(void);

void get_kernel_table_info
(
    int *subpixel_steps, /* O: number of subpixel steps in table */
    int *table_entries,  /* O: number of table entries for a whole pixel
                                step (one more than subpixel_steps */
    int *kernel_width,   /* O: width of kernel (samples across kernel) */
    int *kernel_height   /* O: height of kernel (lines across kernel) */
);

#endif 

