#ifndef _BUILD_GEOM_GRID_H_
#define _BUILD_GEOM_GRID_H_ 

#include "ias_geom_grid.h"     /* IAS_GEOM_GRID_TYPE */
#include "make_geom_grid.h"    /* PROJECT_INFO structure definition */


int build_geom_grid
(
    const PROJECTION_INFO *proj_info,/* I: input image projection information */
    const IAS_GEO_PROJ_TRANSFORMATION *target2source, /* I: target to source
                                       projection transformation */
    int band,                    /* I: grid band number to build */
    IAS_GEOM_GRID_TYPE *grid_ptr,/* I/O: grid to build, already containing the 
                                         target image information */
    int source_crosses_180,      /* I: should be set if the source scene is 
                                       one that crosses the 180 degree line */
    int target_crosses_180       /* I: should be set if the target scene is one
                                       that crosses the 180 degree line */
);

#endif
