#ifndef _GET_PROJ_INFO_H_
#define _GET_PROJ_INFO_H_

#include "ias_l1g.h"        /* DDR definition */
#include "ias_geom_grid.h"  /* FRAME_TYPE definition */
#include "make_geom_grid.h"  
#include "get_input_projection_information.h"  

int get_proj_info_grid
(
    char *filename,   /* I: file to get projection info from */
    int *band_ptr,    /* I/O: band number to use from file - if -1, search for 
                              the desired band */
    PROJECTION_INFO *proj_info,     /* O: pointer to the projection info */    
    IAS_FRAME_TYPE *frame_type_ptr, /* O: pointer to the frame type */
    IAS_DBL_LAT_LONG *center_pt_ptr,/* O: pointer to the center point */
    IAS_DBL_XY *proj_center_pt_ptr, /* O: pointer to the projection center 
                                          point */
    double *rotate_angle_ptr,   /* O: pointer to the rotation angle */
    double *orient_angle_ptr    /* O: pointer to the orientation angle */
);

int get_proj_info_geom
(
    char *filename,   /* I: file to get projection info from */
    int *band_ptr,    /* I/O: band number to use from file - if -1, search for 
                              the desired band */
    PROJECTION_INFO *proj_info,     /* O: pointer to the projection info */    
    IAS_FRAME_TYPE *frame_type_ptr, /* O: pointer to the frame type */
    IAS_DBL_LAT_LONG *center_pt_ptr,/* O: pointer to the center point */
    IAS_DBL_XY *proj_center_pt_ptr, /* O: pointer to the projection center 
                                          point */
    double *rotate_angle_ptr,   /* O: pointer to the rotation angle */
    double *orient_angle_ptr    /* O: pointer to the orientation angle */
);

int get_proj_info_l1g
(
    char *filename,   /* I: file to get projection info from */
    int *band_ptr,    /* I/O: band number to use from file - if -1, search for 
                              the desired band */
    PROJECTION_INFO *proj_info,     /* O: pointer to the projection info */    
    IAS_FRAME_TYPE *frame_type_ptr, /* O: pointer to the frame type */
    IAS_DBL_LAT_LONG *center_pt_ptr,/* O: pointer to the center point */
    IAS_DBL_XY *proj_center_pt_ptr, /* O: pointer to the projection center 
                                          point */
    double *rotate_angle_ptr,   /* O: pointer to the rotation angle */
    double *orient_angle_ptr    /* O: pointer to the orientation angle */
);

#endif
