#ifndef _MAKE_GEOM_GRID_H_
#define _MAKE_GEOM_GRID_H_

#include "ias_geo.h"
#include "ias_const.h"

typedef struct projection_info
{
    int projection_code;        /* GCTP projection code for the image */
    int zone_code;              /* zone code for the UTM projection */
    char datum[IAS_DATUM_SIZE]; /* datum (usually WGS84) */
    int spheroid_code;          /* GCTP spheroid code (usually 12 for WGS84) */
    char projection_units[IAS_UNITS_SIZE];
                        /* projection units (usually "METERS" or "DEGREES")  */
    double projection_parameters[IAS_PROJ_PARAM_SIZE];
    int band_index;
    double upper_left_y;         /* corner coordinates */
    double upper_left_x;
    double upper_right_y;
    double upper_right_x;
    double lower_left_y;
    double lower_left_x;
    double lower_right_y;
    double lower_right_x;
    double projection_distance_y;/* pixel size in projection coordinates */
    double projection_distance_x;
    int lines;
    int samples;
} PROJECTION_INFO;

#endif
