#!/usr/bin/perl
use strict;
use warnings;

# create a local copy of the omf test file with the path names fixed
convert_omf("I2322.omf.orig", "I2322.omf");

# create a local copy of the parameter file with the path names fixed
convert_omf("RESAMPLE_DTM.odl.orig", "RESAMPLE_DTM.odl");

# create a local copy of the 180 degree crossing scenario OMF test file with 
# the path names fixed
convert_omf("180_crossing/I2854.omf.orig", "180_crossing/I2854.omf");

exit;

sub convert_omf
{
    my $input_WO_OMF_file_name = shift;
    my $temp_WO_OMF_file_name = shift;

    my $data_dir = "$ENV{IAS_UNIT_TEST_DATA_DIR}";
    $data_dir =~ s/\/+$//; # trim trailing slashes, if any

    # open the WO OMF files
    open (INPUT_FILE, "<$input_WO_OMF_file_name") ||
      die ("Could not open $input_WO_OMF_file_name for reading\n");
    open (OUTPUT_FILE, ">$temp_WO_OMF_file_name") ||
      die ("Could not open $temp_WO_OMF_file_name for writing\n");

    # read a line at a time, parse for IAS_UNIT_TEST_DATA_DIR env variable
    # string
    my $current_line;
    while ($current_line = <INPUT_FILE>)
    {
      $current_line =~ s/\$IAS_UNIT_TEST_DATA_DIR\//$data_dir\//;
      print OUTPUT_FILE $current_line;
    }

    close INPUT_FILE;
    close OUTPUT_FILE;
}
