#ifndef CALCULATE_COEFF_H
#define CALCULATE_COEFF_H

#include "ias_los_model.h"
#include "ias_threadpool.h"
#include "ias_grid_io.h"
#include "ias_angle_gen.h"

/* Defines the type for calculating the per band angle coefficients */
typedef struct
{
    int thread_error;         
    const IAS_GRID_TYPE *grid_ptr;
    const IAS_LOS_MODEL *model_ptr;
    IAS_ANGLE_GEN_METADATA *metadata;
    int band_index;
} COEFF_THREAD_PARAMS;

int calculate_angle_coeffs 
(
    void *params,   /* I: pointer to input parameter structure */
    int thread_num  /* I: thread number for the thread running this routine */
);

#endif
