#ifndef _KERNEL_H_
#define _KERNEL_H_

/*
**
** FUNCTION PROTOTYPES
**
*/

int kernel_setup
(
    double cc_alpha                /* I: cubic convolution alpha parameter */
);

void cleanup_kernel(void);

const double *get_resample_weight_table_ptr(void);

int get_lines_in_kernel(void);

int get_samples_in_kernel(void);

int num_left_kernel_samples(void);

int num_right_kernel_samples(void);

int num_top_kernel_lines(void);

int num_bottom_kernel_lines(void);

double get_kernel_step_size(void);

void get_kernel_table_info
(
    int *subpixel_steps, /* O: number of subpixel steps in table */
    int *table_entries,  /* O: number of table entries for a whole pixel
                                step (one more than subpixel_steps */
    int *kernel_width,   /* O: width of kernel (samples across kernel) */
    int *kernel_height   /* O: height of kernel (lines across kernel) */
);

#endif
