#ifndef PROCESS_BAND_H
#define PROCESS_BAND_H

#include "get_input_image.h"
#include "sca_overlap_io.h"

int process_band
(
    struct ias_threadpool *threadpool, /* I: resampling thread pool */
    int band_index,                    /* I: band index being processed */
    IAS_GRID_TYPE *grid,               /* I: image grid */
    INPUT_IMAGE *input_image,          /* I: input image I/O structure */
    OUTPUT_BUFFER *output_image_ptr,   /* I: output file I/O structure */
    const IAS_LOS_MODEL *model_ptr,    /* I: input model */
    IAS_IMAGE *dem_image,              /* I: DEM data */
    SCA_OVERLAP_IO *sca_overlap_file   /* I: SCA overlap char file (can be NULL
                                             if not writing the file) */
);

#endif
