#ifndef TRACK_TILE_H
#define TRACK_TILE_H

typedef struct
{
    int start_line;
    int start_sample;
    int end_line;
    int end_sample;
    int num_lines;
    int num_samples;
} TILE_TYPE;
/* The TILE_TYPE structure holds the parameters that define an image tile.
   Both the end line/sample and the number of lines/samples are included to
   allow the user to determine which method of defining the tile is more
   convenient. */

int initialize_tile_tracking
(
    int image_line_count,       /* I: number of lines in the image */
    int image_sample_count      /* I: number of samples across the image */
);

int cleanup_tile_tracking();

int get_output_tile_size(void);

int get_assigned_output_tile
(
    TILE_TYPE *out_tile,    /* O: output tile location */
    int *tile_index         /* O: tile index assigned */
);

#endif
