#ifndef UPDATE_L1G_METADATA_H
#define UPDATE_L1G_METADATA_H

#include "ias_grid.h"     /* IAS_GRID_TYPE definition */
#include "get_input_image.h"
#include "buffer_output_image.h"

int update_l1g_metadata
(
    OUTPUT_BUFFER *output_image_ptr,/* I: pointer to the output image */
    INPUT_IMAGE *input_image_ptr,   /* I: pointer to the input image */
    const IAS_GRID_TYPE *grid_ptr,  /* I: pointer to grid */
    int bands_to_output,            /* I: number of bands to write */
    const int *band_indexes,        /* I: pointer to list of bands to output */
    size_t scene_id_size,           /* I: size of landsat scene id buffer */
    size_t spacecraft_size,         /* I: size of spacecraft id buffer */
    char *landsat_scene_id,         /* O: pointer to scene id output */
    char *spacecraft_id             /* O: pointer to spacecraft id output */
);

#endif
