#!/usr/bin/perl -w
use strict;
use warnings;

use ias_const;

my $status;
my $system_call;
my $diff_count = 0;


# Get the unit test directory
my $data_dir = "$ENV{IAS_UNIT_TEST_DATA_DIR}";
$data_dir =~ s/\/+$//; # trim trailing slashes, if any

$data_dir = $data_dir . "/ias_base/gps/tools/dump_l1g_meta";

# Run the dump l1g metadata routine
$system_call = "../dump_l1g_meta " . $data_dir . 
        "/sys_l1g.h5 test_l1g_meta_out";

$status = system($system_call);

# Diff the metadata with the unit test directory
$status = system("diff test_l1g_meta_out.meta.txt " . $data_dir . 
        "/l1g_meta_out.meta.txt");
if ($status == 0)
{
    print "There are no differences in the metadata\n";
}
else
{
    print "There are differences in the metadata\n";
    exit FAILURE;
}

print "Test completed successfully\n";

# Delete the files to clean up
system("rm test_l1g_meta_out.meta.txt");

exit SUCCESS;
