#!/bin/sh

# This script deletes the specified work orders from the schema

PWD=`pwd`
LOG="$PWD/delete_schema.log"
DB="$IAS_DB_L8_OLITIRS"

# Initialize the log file.
DATE=`date`
echo "Created $DATE" 2>&1 > $LOG

# Process the tables.
echo "" 2>&1 >> $LOG
echo "--- Deleting data ------------------------------------" 2>&1 >> $LOG
sqlplus $DB @delete_schema.sql 2>&1 >> $LOG
if [ "$?" -ne "0" ]; then
    echo "Error executing sqlplus when running delete_schema.sh."
    exit 1
fi

echo "" 2>&1 >> $LOG
DATE=`date`
echo "Completed - $0 - $DATE" 2>&1 >> $LOG

