#!/bin/sh

# This script takes the "dump_XXXXXX.sql" sql script and creates a copy of it
# which has been updated for a particular table.  The script is then run
# through sqlplus to generate a loader file for the specified table.  The
# temporary files created during this process are then removed.  A log file
# is generated in the current directory.

PWD=`pwd`
LOG="$PWD/dump_schema.log"
DB="$IAS_DB_L8_OLITIRS"

# Initialize the log file.
DATE=`date`
echo "Created $DATE" 2>&1 > $LOG

# Process the tables.
echo -n "."
echo "" 2>&1 >> $LOG
echo "--- Dumping DB Results ------------------------------------" 2>&1 >> $LOG
sqlplus $DB @dump_db.sql 2>&1 >> $LOG
if [ ! $? == 0 ]; then
    echo "Dump failed."
    exit 1
fi

echo "."
echo "" 2>&1 >> $LOG
DATE=`date`
echo "Completed - $0 - $DATE" 2>&1 >> $LOG

exit 0
