#!/bin/sh

# This script loads the specified schema with default values for the tables
# which require them.  It also generates a log file in the current directory.

PWD=`pwd`
LOG="$PWD/load_test_schema.log"
DB="$IAS_DB_L8_OLITIRS"

# Initialize the log file.
DATE=`date`
echo "Created $DATE" 2>&1 > $LOG

# Process the tables.
echo -n "."
echo "" 2>&1 >> $LOG
echo "--- Loading GEOMETRIC_WORK_ORDER_COMMON ---" 2>&1 >> $LOG
NAME="GEOMETRIC_WORK_ORDER_COMMON"
sqlldr $DB control=$NAME.ldr log=$NAME.log bad=$NAME.bad 2>&1 >> $LOG
echo "sqlldr " $DB " control="$NAME.ldr log="$NAME".log bad="$NAME".bad 2>&1 >> $LOG
if [ ! $? == 0 ]; then
    echo "Load GEOMETRIC_WORK_ORDER_COMMON table failed."
    exit 1
fi

echo -n "."
echo "" 2>&1 >> $LOG
echo "--- Loading BAND_CHARACTERIZATION ---" 2>&1 >> $LOG
NAME="BAND_CHARACTERIZATION"
sqlldr $DB control=$NAME.ldr log=$NAME.log bad=$NAME.bad 2>&1 >> $LOG
echo "sqlldr " $DB " control="$NAME.ldr log="$NAME".log bad="$NAME".bad 2>&1 >> $LOG
if [ ! $? == 0 ]; then
    echo "Load BAND_CHARACTERIZATION table failed."
    exit 1
fi

echo -n "."
echo "" 2>&1 >> $LOG
echo "--- Loading BAND_CHARACTERIZATION_BAND_SCA ---" 2>&1 >> $LOG
NAME="BAND_CHARACTERIZATION_BAND_SCA"
sqlldr $DB control=$NAME.ldr log=$NAME.log bad=$NAME.bad 2>&1 >> $LOG
echo "sqlldr " $DB " control="$NAME.ldr log="$NAME".log bad="$NAME".bad 2>&1 >> $LOG
if [ ! $? == 0 ]; then
    echo "Load BAND_CHARACTERIZATION_BAND_SCA table failed."
    exit 1
fi

echo -n "."
echo "" 2>&1 >> $LOG
echo "--- Loading IMAGE_CHARACTERIZATION ---" 2>&1 >> $LOG
NAME="IMAGE_CHARACTERIZATION"
sqlldr $DB control=$NAME.ldr log=$NAME.log bad=$NAME.bad 2>&1 >> $LOG
echo "sqlldr " $DB " control="$NAME.ldr log="$NAME".log bad="$NAME".bad 2>&1 >> $LOG
if [ ! $? == 0 ]; then
    echo "Load IMAGE_CHARACTERIZATION table failed."
    exit 1
fi

echo -n "."
echo "" 2>&1 >> $LOG
echo "--- Loading IMAGE_CHAR_BAND_SCA ---" 2>&1 >> $LOG
NAME="IMAGE_CHAR_BAND_SCA"
sqlldr $DB control=$NAME.ldr log=$NAME.log bad=$NAME.bad 2>&1 >> $LOG
echo "sqlldr " $DB " control="$NAME.ldr log="$NAME".log bad="$NAME".bad 2>&1 >> $LOG
if [ ! $? == 0 ]; then
    echo "Load IMAGE_CHAR_BAND_SCA table failed."
    exit 1
fi

echo "."
echo "" 2>&1 >> $LOG
DATE=`date`
echo "Completed - $0 - $DATE" 2>&1 >> $LOG

exit 0
