#ifndef GET_PARAMETERS_H
#define GET_PARAMETERS_H

#include <limits.h>

int get_parameters
(
    const char *arg,              /* I: Command line argument */
    int *satNum,                  /* O: Satellite number */
    char pathCpf[PATH_MAX],       /* O: Path of CPF */
    char pathIn[PATH_MAX],        /* O: Path of input L1G or L1T image */
    char pathOmf[PATH_MAX],       /* O: Path of OMF */
    char pathDem[PATH_MAX],       /* O: Path of DEM */
    char pathOut[PATH_MAX],       /* O: Path of quality band image */
    char pathWaterMaskPolygon[PATH_MAX],/* O: Path of water mask polygon 
                                              file */ 
    char pathOutLandWaterMaskImage[PATH_MAX],/* O: Path of mask file */
    char pathTerrain[PATH_MAX],   /* O: Path of terrain occlusion mask */
    char pathOutCfmask[PATH_MAX], /* O: Path of cfmask band mask */
    char angle_coeff_filename[PATH_MAX], /* O: Name of angle coefficient file */
    double *cfmask_cloud_prob_threshold, /* O: Cloud Probability Threshold
                                               for Cfmask */
    int *cfmask_dilate_flag,      /* O: Flag to turn on/off cloud dilation */
    int *max_threads,             /* O: Maximum number of threads to use */
    CC_ALGORITHM *requested_algorithm, /* O: Algorithm selected by the user */
    int *min_elev,                /* O: Minimum elevation */
    int *max_elev,                /* O: Maximum elevation */
    int *use_thermal_for_cfmask,  /* O: Thermal band control for CFmask */
    int *use_cirrus_for_cfmask    /* O: Cirrus band control for CFmask */
);

float get_saturated_pixel_threshold();
int get_output_saturation_mask_flag();
int get_enable_saturated_pixels_flag();
char * get_model_filename();
char * get_pixel_mask_filename();

#endif
