BEGIN
    BEGIN
        EXECUTE IMMEDIATE 'DROP TABLE DEV_SCA_OVERLAP';
    EXCEPTION WHEN OTHERS THEN
        NULL;
    END;
    BEGIN
        EXECUTE IMMEDIATE 'DROP TABLE DEV_RAD_WORK_ORDER_COMMON_SCA';
    EXCEPTION WHEN OTHERS THEN
        NULL;
    END;
    COMMIT;
END;
/
CREATE TABLE "DEV_SCA_OVERLAP" 
   (    "RADIOMETRIC_WO_COMMON_ID" NUMBER(20,0), 
    "BAND_ID" NUMBER(2,0), 
    "SCA_OVERLAP" NUMBER(2,0), 
    "OVERLAP_POINTS" NUMBER(20,0), 
    "RATIO_MEAN" NUMBER, 
    "RATIO_STDEV" NUMBER, 
    "RATIO_COEFF_1" NUMBER, 
    "RATIO_COEFF_2" NUMBER, 
    "RATIO_COEFF_3" NUMBER, 
    "RATIO_COEFF_4" NUMBER, 
    "RATIO_MAX_ERROR" NUMBER, 
    "RATIO_CHI_SQUARE" NUMBER, 
    "RATIO_CORRELATION" NUMBER, 
    "RATIO_RMSE_ERROR" NUMBER, 
    "RATIO_THREE_SIGMA_POINTS" NUMBER(20,0), 
    "DELTA_MEAN" NUMBER, 
    "DELTA_STDEV" NUMBER, 
    "DELTA_COEFF_1" NUMBER, 
    "DELTA_COEFF_2" NUMBER, 
    "DELTA_COEFF_3" NUMBER, 
    "DELTA_COEFF_4" NUMBER, 
    "DELTA_MAX_ERROR" NUMBER, 
    "DELTA_CHI_SQUARE" NUMBER, 
    "DELTA_CORRELATION" NUMBER, 
    "DELTA_RMSE_ERROR" NUMBER, 
    "DELTA_THREE_SIGMA_POINTS" NUMBER(20,0) 
    );
CREATE TABLE "DEV_RAD_WORK_ORDER_COMMON_SCA" 
   (	"RADIOMETRIC_WO_COMMON_ID" NUMBER(20,0), 
	"COLLECTION_TYPE" VARCHAR2(35 BYTE), 
	"CPF_NAME" VARCHAR2(256 BYTE), 
	"DATE_ACQUIRED" DATE, 
	"DATE_PROCESSED" DATE, 
	"OLI_DETECTOR_SELECT_TABLE" NUMBER(3,0), 
	"INTEGRATION_TIME_OLI_MS" NUMBER, 
	"INTEGRATION_TIME_OLI_PAN" NUMBER, 
	"INTEGRATION_TIME_TIRS" NUMBER, 
	"LANDSAT_INTERVAL_ID" VARCHAR2(24 BYTE), 
	"LANDSAT_SCENE_ID" VARCHAR2(21 BYTE), 
	"L0RP_IMAGE_FILE" VARCHAR2(100 BYTE), 
	"PROCESSING_CENTER" VARCHAR2(20 BYTE) DEFAULT 'EROS', 
	"SENSOR_ID" VARCHAR2(8 BYTE), 
	"SOFTWARE_VERSION_IAS" VARCHAR2(15 BYTE), 
	"SOFTWARE_VERSION_IS" VARCHAR2(15 BYTE), 
	"SOFTWARE_VERSION_LPGS" VARCHAR2(15 BYTE), 
	"VALID" VARCHAR2(1 BYTE) DEFAULT 'N', 
	"WORK_ORDER_ID" VARCHAR2(12 BYTE), 
	"IMAGE_START_TIME" NUMBER, 
	"IMAGE_STOP_TIME" NUMBER, 
	"IMAGE_DATA_TRUNCATION_SETTING" NUMBER(1,0), 
	"TIRS_DETECTOR_MAP_ID" NUMBER(10,0), 
	"OLI_DETECTOR_SELECT_TABLE_ID" NUMBER(10,0), 
	"TARGET_WRS_PATH" NUMBER(3,0), 
	"TARGET_WRS_ROW" NUMBER(3,0), 
	"STATION_ID" VARCHAR2(3 BYTE)
   );
exit;
