#!/bin/csh -f
################################################################################
#
# Name: load_data.csh
#
# Description: Loads all of the data files in the unit test directory
#
################################################################################

set exit_status = 0

# Load all of the data files from the unit test directory
set test_dir = \
    "$IAS_UNIT_TEST_DATA_DIR/ias_base/rps/characterize_sca_overlap/loader_files"
foreach file ($test_dir/*.ldr)
    echo "Loading file $file"
    sqlldr $IAS_DB_L8_OLITIRS $file > /dev/null
    if ( $status ) then
        echo "ERROR: Loading file $file"
        set exit_status = 1
    endif
end

exit $exit_status
