#ifndef CALCULATE_AVERAGE_LAND_WATER_RADIANCE_H
#define CALCULATE_AVERAGE_LAND_WATER_RADIANCE_H

#include "ias_types.h"

#define LAND_PIXEL 0x1

void calculate_average_land_water_radiance
(
    int lines,                      /* I: Number of lines in radiance buffer */
    int samples,                    /* I: Number of samps in radiance buffer */
    int mask_samples,               /* I: Number of samps in water mask */
    int mask_line_offset,           /* I: Mask to l1g line offset */
    int mask_samp_offset,           /* I: Mask to l1g sample offset */
    const float *radiance_buffer,   /* I: Image radiance buffer */
    const IAS_BYTE_TYPE *water_mask,/* I: Land/Water mask buffer */
    float *average_water_radiance,  /* O: Average calculated water radiance */
    float *average_land_radiance    /* O: Average calculated land radiance */ 
);

#endif
