#ifndef CREATE_LAND_WATER_MASK_H
#define CREATE_LAND_WATER_MASK_H

#include "ias_geo.h"
#include "get_l1g.h"

IAS_BYTE_TYPE *create_land_water_mask
(
    int band_number,            /* I: Band number to process */
    int output_mask_to_envi,    /* I: Flag indicating output mask to envi */
    const char *mask_filename,  /* I: Water mask filename */
    double minimum_latitude,    /* I: Bounding box minimum latitude */
    double maximum_latitude,    /* I: Bounding box maximum latitude */
    double minimum_longitude,   /* I: Bounding box minimum longitude */
    double maximum_longitude,   /* I: Bounding box maximum longitude */
    const IAS_GEO_PROJ_TRANSFORMATION *geo2proj,/* I: Geographic to projection*/
    const L1G_INFO *l1g_info,   /* I: Source L1G image information */
    int *mask_samples,          /* O: Number of samples in mask */
    int *mask_line_offset,      /* O: Mask line offset */
    int *mask_samp_offset       /* O: Mask sample offset */
);

#endif
