#ifndef GET_L1G_H
#define GET_L1G_H

#include "ias_structures.h"
#include "ias_geo.h"

typedef struct l1g_info
{
    IAS_PROJECTION proj;
    int lines;
    int samples;
    double x_pixel_size;    /* Pixel size in image projection */
    double y_pixel_size;    /* Pixel size in image projection */
    IAS_CORNERS corners;    /* Image corners in projection coordinates */
    float *radiance;        /* Imagery for band in radiance units */
    float average_land_radiance; /* Average radiance of land pixels */
    float average_water_radiance;/* Average radiance of water pixels */
} L1G_INFO;

int get_l1g
(
    const char *filename,   /* I: Name of the L1G image to read */
    int band_number,        /* I: Band number to read */
    L1G_INFO *l1g_info      /* O: Structure to return info in */
);

#endif
