#ifndef READ_RADIANCE_COEFFICIENTS_H
#define READ_RADIANCE_COEFFICIENTS_H

#include "local_defines.h"

typedef struct rad_coeff
{
    double a;
    double b;
} RAD_COEFF;

typedef struct radiance_coefficients
{
    RAD_COEFF coeffs[NUMBER_OF_TIRS_BANDS][NUMBER_OF_TIRS_SCAS]
        [NUMBER_OF_TIRS_DETECTORS];
} RADIANCE_COEFFICIENTS;


int read_radiance_coefficients
(
    const char *filename,               /* I: Name of coefficients file */
    RADIANCE_COEFFICIENTS *rad_coeffs   /* O: Coefficients structure */
);

#endif
