/*------------------------------------------------------------------------
NAME:    get_memory_buffer_string

PURPOSE: Return the string representation of the enumerated type passed

RETURNS: Pointer to string
------------------------------------------------------------------------*/
#include "rps_local.h"

/* Undefine the following macros so they can be redefined as the string
   representations of the enumerated types.  These types were originally
   defined in the main header file. */
#undef MM_TYPE_BEGIN
#undef MM_TYPE_ZERO
#undef MM_TYPE_NORM
#undef MM_TYPE_END

/* Redefine the macros to use the memory management header to define a list
   of string representation of the enumerated types.  Note: the definitions
   for MM_TYPE_ZERO and MM_TYPE_NORM are the same in this context because
   there is no need to differenciate between the first buffer type in the
   list -- we are only building a list of strings. */
#define MM_TYPE_BEGIN(name)  static const char *name##_str_table[] =
#define MM_TYPE_ZERO(name)   #name
#define MM_TYPE_NORM(name)   #name
#define MM_TYPE_END(name)

/* Include the header -- this will define a static list of strings here */
#include "memory_management.h"


const char *get_memory_buffer_string
(
    MEMORY_BUFFER_TYPE buffer_type  /* I: Index into static string array */
)
{
    return MEMORY_BUFFER_TYPE_str_table[buffer_type];
}
