/* -------------------------- Memory Management -------------------------- */

MM_TYPE_BEGIN( MEMORY_BUFFER_TYPE )
{
    /* The first member *must* be set to zero so the count (last member) is
       correct. */
    MM_TYPE_ZERO( IMAGE_L0R ),
    MM_TYPE_NORM( IMAGE_L1R ),
    MM_TYPE_NORM( MM_L0R_OLI_FRAME_HEADER ),
    MM_TYPE_NORM( MM_L0R_TIRS_FRAME_HEADER ),
    MM_TYPE_NORM( MM_NON_PAN_PERFRAME_BIAS ),
    MM_TYPE_NORM( MM_PAN_PERFRAME_BIAS ),
    MM_TYPE_NORM( MM_THERMAL_BIAS ),
    MM_TYPE_NORM( MM_NON_PAN_PRE_SHUTTER ),
    MM_TYPE_NORM( MM_PAN_ODD_PRE_SHUTTER ),
    MM_TYPE_NORM( MM_PAN_EVEN_PRE_SHUTTER ),
    MM_TYPE_NORM( MM_NON_PAN_POST_SHUTTER ),
    MM_TYPE_NORM( MM_PAN_ODD_POST_SHUTTER ),
    MM_TYPE_NORM( MM_PAN_EVEN_POST_SHUTTER ),
    MM_TYPE_NORM( MM_NON_PAN_MEAN_SHUTTER ),
    MM_TYPE_NORM( MM_PAN_ODD_MEAN_SHUTTER ),
    MM_TYPE_NORM( MM_PAN_EVEN_MEAN_SHUTTER ),
    MM_TYPE_NORM( MM_NON_PAN_BIAS_A0_PARAMETER ),
    MM_TYPE_NORM( MM_PAN_ODD_BIAS_A0_PARAMETER ),
    MM_TYPE_NORM( MM_PAN_EVEN_BIAS_A0_PARAMETER ),
    MM_TYPE_NORM( MM_NON_PAN_BIAS_A1_PARAMETER ),
    MM_TYPE_NORM( MM_PAN_ODD_BIAS_A1_PARAMETER ),
    MM_TYPE_NORM( MM_PAN_EVEN_BIAS_A1_PARAMETER ),
    MM_TYPE_NORM( MM_NON_PAN_BIAS_C1_PARAMETER ),
    MM_TYPE_NORM( MM_PAN_ODD_BIAS_C1_PARAMETER ),
    MM_TYPE_NORM( MM_PAN_EVEN_BIAS_C1_PARAMETER ),
    MM_TYPE_NORM( MM_NON_PAN_CPF_BIAS ),
    MM_TYPE_NORM( MM_PAN_ODD_CPF_BIAS ),
    MM_TYPE_NORM( MM_PAN_EVEN_CPF_BIAS ),
    MM_TYPE_NORM( MM_ANALOG_HIGH_SAT ),
    MM_TYPE_NORM( MM_ANALOG_LOW_SAT ),
    MM_TYPE_NORM( MM_DIGITAL_HIGH_SAT ),
    MM_TYPE_NORM( MM_DIGITAL_LOW_SAT ),
    MM_TYPE_NORM( MM_HIGH_RADIANCE_SAT ),
    MM_TYPE_NORM( MM_LOW_RADIANCE_SAT ),
    MM_TYPE_NORM( MM_TEMP_SENS_COEFF ),
    MM_TYPE_NORM( MM_ABSOLUTE_GAINS ),
    MM_TYPE_NORM( MM_TIRS_ABSOLUTE_GAINS_BLIND ),
    MM_TYPE_NORM( MM_RELATIVE_GAINS ),
    MM_TYPE_NORM( MM_TIRS_RELATIVE_GAINS_BLIND ),
    MM_TYPE_NORM( MM_TEMP_SENSITIVITY_REFERENCE_TEMP ),
    MM_TYPE_NORM( MM_TEMP_SENSITIVITY_COEFFICIENT ),
    MM_TYPE_NORM( MM_TEMP_CORRECTION_FACTOR ),
    MM_TYPE_NORM( MM_REFLECTANCE_CONVERSION_COEFFICIENTS ),
    MM_TYPE_NORM( MM_L0R_INTERMEDIATE_STATISTICS ),
    MM_TYPE_NORM( MM_L1R_INTERMEDIATE_STATISTICS ),
    MM_TYPE_NORM( MM_HIST_FRAMES_TO_SKIP_TOP ),
    MM_TYPE_NORM( MM_HIST_FRAMES_TO_SKIP_BOTTOM ),
    MM_TYPE_NORM( MM_L0R_LAMP_ONE_SCA_STATISTICS ),
    MM_TYPE_NORM( MM_L1R_LAMP_ONE_SCA_STATISTICS ),
    MM_TYPE_NORM( MM_WORKING_LAMP_RADIANCE ),
    MM_TYPE_NORM( MM_BACKUP_LAMP_RADIANCE ),
    MM_TYPE_NORM( MM_PRISTINE_LAMP_RADIANCE ),
    MM_TYPE_NORM( MM_SCA_OVERLAP ),
    MM_TYPE_NORM( MM_CPF_SCA_OFFSET ),
    MM_TYPE_NORM( MM_INOPERABLE_DETECTORS ),
    MM_TYPE_NORM( MM_3Q_RESPONSE_LINEARIZATION_PARAMS ),
    MM_TYPE_NORM( MM_LOOKUP_RESPONSE_LINEARIZATION_PARAMS ),
    MM_TYPE_NORM( MM_TIRS_SECONDARY_LINEARIZATION_PARAMS ),
    MM_TYPE_NORM( MM_TIRS_DARK_RESPONSE ),
    MM_TYPE_NORM( MM_TIRS_DARK_RESPONSE_BLIND ),
    MM_TYPE_NORM( MM_TIRS_SCA_DARK_RESPONSE_DIFFERENCE ),
    MM_TYPE_NORM( MM_TIRS_BACKGROUND_RESPONSE ),
    MM_TYPE_NORM( MM_TIRS_GAIN_OFFSETS ),
    MM_TYPE_NORM( MM_IMPULSE_NOISE_LIMIT ),
    MM_TYPE_NORM( MM_IMPULSE_NOISE_FILTER_WIDTH ),
    MM_TYPE_NORM( MM_DETECTOR_NOISE ),
    MM_TYPE_NORM( MM_SCA_CORRELATION_SHIFT ),
    MM_TYPE_NORM( MM_SCA_VALID_NEIGHBOR_SEGMENTS ),
    MM_TYPE_NORM( MM_SCA_CORRECTION_FACTOR ),
    MM_TYPE_NORM( MM_SCA_CORRECTION_FACTOR_CPF ),
    MM_TYPE_NORM( MM_CPF_DISCONTINUITY_RATIO ),
    MM_TYPE_NORM( MM_SCA_OVERLAP_THRESHOLD ),
    MM_TYPE_NORM( MM_NORMALIZED_DETECTOR_OFFSETS ),
    MM_TYPE_NORM( MM_MAX_NORMALIZED_DETECTOR_OFFSET ),
    MM_TYPE_NORM( MM_SCENE_STRIPING_CORRECTION_MATRIX ),
    MM_TYPE_NORM( MM_DETECTOR_STRIPING_METRIC ),
    MM_TYPE_NORM( MM_STRIPING_METRIC_CUTOFF ),
    MM_TYPE_NORM( MM_SPATIAL_DETECTOR_OFFSETS ),
    MM_TYPE_NORM( MM_MAX_SPATIAL_DETECTOR_OFFSETS ),
    MM_TYPE_NORM( MM_BPF_BACKGROUND_RESPONSE ),
    /* This following *must* be the last member of this enumeration. */
    MM_TYPE_NORM( NUM_MEMORY_BUFFERS ) /* Number of managed memory buffers */
}  MM_TYPE_END( MEMORY_BUFFER_TYPE );
