#!/bin/csh -f
#
#  NAME -    compare_results.csh
#
#  PURPOSE - Extract the raw data from HDF and subset it.  
#
#  USAGE:    compare_results.csh 
#                               1. output base name
#                               2. input file name
#                               3. dataset
#                               4. starting sample
#                               5. subset sample
#                               6. starting line
#                               7. subset line
#
#---------------------------------------------------------------------------

# Get the raw data and subset it
$COTS/hdf5/bin/h5dump --binary=LE -o $1 --dataset="$3" \
    -s "0,$6,$4" -c "1,$7,$5" $2 >& /dev/null

if ( $status ) then
    echo "Error running the h5dump routine on " $2
    exit 1
endif

exit 0
