#!/bin/tcsh
# This script creates 3 files with the new, changed, and deleted units.
# It takes 2 arguments, which would typically be SVN tags
#   1: Old svn location
#   2: New svn location

#Perform the diff summary
svn diff --summarize $1 $2 > diff_summary

#Delete the 'svn base' from the output
sed -i "s|$1||g" diff_summary
sed -i "s|$2||g" diff_summary

#Seperate out into the 3 type of changes
grep '^A' diff_summary | awk '{print $2}' | sort > new_units.txt
grep '^M' diff_summary | awk '{print $2}' | sort > changed_units.txt
grep '^D' diff_summary | awk '{print $2}' | sort > deleted_units.txt
rm diff_summary

