#include "ias_l0r.h"

struct ANCILLARY_POINTERS
{
    IAS_L0R_ATTITUDE *attitude;
    int attitude_count;
    char *data_location;
    IAS_L0R_EPHEMERIS *ephemeris;
    int ephemeris_count;
    IAS_L0R_IMU *imu;
    int imu_count;
    IAS_L0R_OLI_IMAGE_HEADER oli_image_header;
    IAS_L0R_OLI_FRAME_HEADER *oli_frame_headers;
    IAS_L0R_TIRS_FRAME_HEADER *tirs_frame_headers;
    IAS_L0R_TIRS_TELEMETRY *tirs_telemetry;
    int tirs_telemetry_count;
    IAS_L0R_INTERVAL_METADATA interval_metadata;
    double start_image_time;
    double stop_image_time;
};

int remove_attitude_back(struct ANCILLARY_POINTERS pointers);
int remove_attitude_front(struct ANCILLARY_POINTERS pointers);
int remove_ephemeris_back(struct ANCILLARY_POINTERS pointers);
int remove_ephemeris_front(struct ANCILLARY_POINTERS pointers);
int remove_imu_back(struct ANCILLARY_POINTERS pointers);
int remove_imu_front(struct ANCILLARY_POINTERS pointers);
int set_imu_zeros(struct ANCILLARY_POINTERS pointers);
int set_imu_invalid_flags(struct ANCILLARY_POINTERS pointers);
int set_imu_invalid_sync_times(struct ANCILLARY_POINTERS pointers);
int set_zeroed_integration_times(struct ANCILLARY_POINTERS pointers);
int set_zeroed_image_header(struct ANCILLARY_POINTERS pointers);
int set_non_matching_tirs_det_id(struct ANCILLARY_POINTERS pointers);
int set_miscellaneous_corruptions(struct ANCILLARY_POINTERS pointers);

int notch_dataset(char *file_location, char *dataset_name);

