#!/usr/bin/perl -w
use strict;

die "Usage: count_chips.pl <basedir> \n" if ($#ARGV != 0);

my $chipCount = 0;
my $basedir = $ARGV[0];
die "$basedir does not exist\n" if ( ! -e $basedir );

sub checkPath($);

checkPath($basedir);
print "Total chips: $chipCount\n";

sub checkPath($)
{
    my ($path) = @_;

    if ( -f $path )
    {
        return unless ( $path =~ /GCPLib$/ );

        open(FH, "< $path");
        while (<FH>)
        {
            my $line = $_;
            chomp($line);

            next if ($line =~ /^#/);
            next if ($line =~ /^BEGIN/);

            my @parts = split(/\s+/, $line);
            if ( scalar @parts == 16 )
            {
                $chipCount++;
            }
        }
        close(FH);
    }
    else
    {
        opendir(DIR, $path);
        my @files = readdir(DIR);
        foreach my $file ( @files )
        {
            next if ($file eq "." || $file eq "..");
            checkPath("$path/$file");
        }
        closedir(DIR);
    }
}
