
#ifndef IASDATABASEERRORDIALOG_H
#define IASDATABASEERRORDIALOG_H

/*!
    \file IASDatabaseErrorDialog.h
    \brief Provides an extension of IASErrorDialog.

    See IASDatabaseErrorDialog.
*/

/* System Includes */

/* Qt Includes */
#include <QtCore>
#include <QtGui>
#include <QtSql>

/* Local Includes */
#include "IASErrorDialog.h"

/*!
    \brief This class provides an extension of IASErrorDialog.

    The sole purpose of the IASDatabaseErrorDialog class is to display
    database error messages.

    The recommended way to use this is to include IASErrorDialog.h in your
    source code and call IASErrorDialog::databaseError when a database
    error occurs.
*/
class IASDatabaseErrorDialog : public IASErrorDialog
{
    Q_OBJECT

    public:

        IASDatabaseErrorDialog(QWidget* parent,
                            const QString strErrorText,
                            const QString strFileName,
                            const int lineNum,QSqlQuery *rsDetails=NULL,
                            Qt::WindowFlags fl = 0);
                // If rsDetails is not null, then info from the RecordSet
                // passed in is used for the additional info section.

    private:

        void createDetails(QString strFileName,
                           int lineNum,
                           QSqlQuery *rsDetails=NULL);
            // Creates the details section and hides it by default.
            // If rsDetails points to a record set, then the info from
            // the record set results is displayed in the additional text.
};

#endif // IASDATABASEERRORDIALOG_H
