
#ifndef IASERRORDIALOG_H
#define IASERRORDIALOG_H

/*!
    \file IASErrorDialog.h
    \brief Provides an extension of IASErrorDialogBase.

    See IASErrorDialog.
*/

/* System Includes */

/* Qt Includes */
#include <QtCore>
#include <QtGui>
#include <QtSql>

/* Local Includes */
#include "ui_IASErrorDialogBase.h"

/*!
    \brief This class provides an extension of IASErrorDialogBase.

    IASErrorDialogBase provides the base GUI component for IASErrorDialog.

    The sole purpose of the IASErrorDialog class is to display specialized
    error messages that require more than just displaying the message.
*/
class IASErrorDialog : public QDialog, public Ui::IASErrorDialogBase
{
    Q_OBJECT

    public:

        IASErrorDialog(QWidget* parent,
                    const QString errorText,
                    Qt::WindowFlags fl = 0);

        static void standardError(QWidget* parent,
                                  const QString errorText,
                                  Qt::WindowFlags fl = 0);

        static void databaseError(QWidget* parent,
                                  const QString errorText,
                                  const QString fileName,
                                  const int lineNum,
                                  QSqlQuery *rsDetails=NULL,
                                  Qt::WindowFlags fl = 0);

        void addDetailLine(QString line);
};

#endif /* IASERRORDIALOG_H */

