
#ifndef IASPARAMETERDELEGATE_H
#define IASPARAMETERDELEGATE_H

/* System Includes */

/* Qt Includes */
#include <QtCore>
#include <QtGui>

/* Local Includes */

/* ===========================================================================
  IASParameterDelegate

  This class is used to generate specific editors for modifying parameter
  values in the tables which display the various parameters.

  This implementation follows the Model/View architecture defined in the
  Qt 4+ documentation.  See the Qt 4+ documentation for more details.
=========================================================================== */
class IASParameterDelegate : public QStyledItemDelegate
{
    Q_OBJECT

    public:

        IASParameterDelegate(QObject* parent = 0);

        QWidget* createEditor(QWidget* parent,
                              const QStyleOptionViewItem& option,
                              const QModelIndex& index) const;
        void setEditorData(QWidget* editor,
                           const QModelIndex& index);
        void setModelData(QWidget* editor,
                          QAbstractItemModel* model,
                          const QModelIndex& index) const;

        void updateEditorGeometry(QWidget* editor,
                                  const QStyleOptionViewItem& option,
                                  const QModelIndex& index) const;
};

#endif /* IASPARAMETERDELEGATE_H */

