
#ifndef IASPROCESSEXECUTION_H
#define IASPROCESSEXECUTION_H

/* System Includes */

/* Qt Includes */
#include <QtCore>
#include <QtGui>

/* Local Includes */

class IASProcessExecution : public QWidget
{
    Q_OBJECT

    public:

        IASProcessExecution(QWidget * parent = 0,
                         Qt::WindowFlags f = 0);

        virtual ~IASProcessExecution();

        bool execute(QString & cmd,
                     bool wait = true);
        bool executeDetached(QString & cmd);

        bool normalExit();
        int exitStatus();

        QStringList getStdout();
        QStringList getStderr();

    protected:

    private:

        QProcess * myProcess;
        QStringList myStdout;
        QStringList myStderr;

    private slots:

        void readFromStdoutSlot();
        void readFromStderrSlot();
};

#endif /* IASPROCESSEXECUTION_H */

