#!/usr/bin/perl
# Perl script to generate the pre and post launch average bias model
# for the oli/tirs cpf.  the values created are place holders only.

$preSt1 = "Pre_Bias_State1";
$preSt2 = "Pre_Bias_State2";

$postSt1 = "Post_Bias_State1";
$postSt2 = "Post_Bias_State2";

$pre = "Pre_Bias";

$post = "Post_Bias";

$i = 0;
$my_string = "";

open (FN, '> bias_bpf.txt');

printf FN "GROUP = BIAS_MODEL\n";
# Pan band state 1
for ($s = 1; $s <= 14; $s++)
{
    if ($s < 4) # oli plus tirs bands 
    { $nb = 11; }
    else
    { $nb = 9; }  # oli bands only
    for ($b = 1; $b <= $nb; $b++)
    {
        if ($b == 8)
        { $ndet = 988; }    # pan band det count 988 minus 4 above
        elsif (($b == 10) || ($b == 11))   # Tirs bands det count 640 - 4
        { $ndet = 640; }
        else
        { $ndet = 498; }    # ms band det count 498 minus 4 above
        
        # check for SWIR bands
        if ( $b == 6 || $b == 7)
        {
            for ($d = 1; $d <= $ndet; $d++)
            {
                $my_string = 
                sprintf("  %s_B%02d_SCA%02d_Det%03d = (1.000, 1.000, 1.000, 1.000, 1.000, 1.000, 1.000\n",
                        $pre, $b, $s, $d);
                printf FN "$my_string";
            }
        }
        else  # do vnir bands
        {
            # pan state 1
            if ($b == 8)
            {
                for ($d = 1; $d <= $ndet; $d++)
                {
                    $my_string = 
                    sprintf("  %s_B%02d_SCA%02d_Det%03d = (1.000, 1.000, 0.000, 0.000, 0.000, 0.000, 0.000\n",
                            $preSt1, $b, $s, $d);
                    printf FN "$my_string";
                }
                # pan state 2
                for ($d = 1; $d <= $ndet; $d++)
                {
                    $my_string = 
                    sprintf("  %s_B%02d_SCA%02d_Det%03d = (1.000, 1.000, 0.000, 0.000, 0.000, 0.000, 0.000\n",
                            $preSt2, $b, $s, $d);
                    printf FN "$my_string";
                }
            }
            else
            {
                for ($d = 1; $d <= $ndet; $d++)
                {
                    $my_string = 
                    sprintf("  %s_B%02d_SCA%02d_Det%03d = (1.000, 1.000, 0.000, 0.000, 0.000, 0.000, 0.000\n",
                            $pre, $b, $s, $d);
                    printf FN "$my_string";
                }
            }
        }
    } # end of for bands
}  # end of for sca 1 - 14 pre launch

# post launch
for ($s = 1; $s <= 14; $s++)
{
    if ($s < 4) # oli plus tirs bands 
    { $nb = 11; }
    else
    { $nb = 9; }  # oli bands only
    for ($b = 1; $b <= $nb; $b++)
    {
        if ($b == 8)
        { $ndet = 988; }    # pan band det count 988 minus 4 above
        elsif (($b == 10) || ($b == 11))   # Tirs bands det count 640 - 4
        { $ndet = 640; }
        else
        { $ndet = 498; }    # ms band det count 498 minus 4 above
        
        # check for SWIR bands
        if ( $b == 6 || $b == 7)
        {
            for ($d = 1; $d <= $ndet; $d++)
            {
                $my_string = 
                sprintf("  %s_B%02d_SCA%02d_Det%03d = (1.000, 1.000, 1.000, 1.000, 1.000, 1.000, 1.000\n",
                        $post, $b, $s, $d);
                printf FN "$my_string";
            }
        }
        else  # do vnir bands
        {
            # pan state 1
            if ($b == 8)
            {
                for ($d = 1; $d <= $ndet; $d++)
                {
                    $my_string = 
                    sprintf("  %s_B%02d_SCA%02d_Det%03d = (1.000, 1.000, 0.000, 0.000, 0.000, 0.000, 0.000\n",
                            $postSt1, $b, $s, $d);
                    printf FN "$my_string";
                }
                # pan state 2
                for ($d = 1; $d <= $ndet; $d++)
                {
                    $my_string = 
                    sprintf("  %s_B%02d_SCA%02d_Det%03d = (1.000, 1.000, 0.000, 0.000, 0.000, 0.000, 0.000\n",
                            $postSt2, $b, $s, $d);
                    printf FN "$my_string";
                }
            }
            else
            {
                for ($d = 1; $d <= $ndet; $d++)
                {
                    $my_string = 
                    sprintf("  %s_B%02d_SCA%02d_Det%03d = (1.000, 1.000, 0.000, 0.000, 0.000, 0.000, 0.000\n",
                            $post, $b, $s, $d);
                    printf FN "$my_string";
                }
            }
        }
    } # end of for bands
}  # end of for sca 1 - 14 post launch

printf FN "END_GROUP = BIAS_MODEL\n";
close FN;
