#!/usr/bin/perl
# perl script to generate the along and across detector delay data groups
# for the new oli/tirs cpf, the values written are place holders only.

$along = "Along_Detector_Delay";
$across = "Across_Detector_Delay";
$fill = "Nom_Fill_Offset";
$i = 0;
$my_string = "";

open (FN, '> det_delay.txt');

printf FN "GROUP = FOCAL_PLANE\n";
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4)
    {
       for ($b = 1; $b < 12; $b++)
       {
           $i = 0;
           $my_string = 
             sprintf("  %s_B%02d_SCA%02d = (0.000, 0.000, 0.000, 0.000,\n\t", 
                               $along, $b, $s);
           printf FN "$my_string";
           if ($b == 8)
           { $det = 984; }
           elsif (($b == 10) || ($b == 11))
           { $det = 636; }
           else
           { $det = 490; }

           for ($d = 1; $d < $det; $d++)
              {
                $i++;
                $my_string = sprintf("%6.3f, ", 0.000);
                printf FN "$my_string";
                if ($i == 8)
                { printf FN "\n\t"; 
                  $i = 0;
                }
              }
              $my_string = sprintf("%6.3f)\n", 0.000);
              printf FN "$my_string";
           }
    }
    else
    {
    for ($b = 1; $b < 10; $b++)
    {
           $i = 0;
           $my_string = 
             sprintf("  %s_B%02d_SCA%02d = (0.000, 0.000, 0.000, 0.000,\n\t", 
                               $along, $b, $s);
           printf FN "$my_string";
           if ($b == 8)
           {
              for ($d = 1; $d < 984; $d++)
              {
                $i++;
                $my_string = sprintf("%6.3f, ", 0.000);
                printf FN "$my_string";
                if ($i == 8)
                { printf FN "\n\t"; 
                  $i = 0;
                }
              }
              $my_string = sprintf("%6.3f)\n", 0.000);
              printf FN "$my_string";
           }
           else
           {
              for ($d = 1; $d < 490; $d++)
              {
                   $i++;
                   $my_string = sprintf("%6.3f, ", 0.000);
                   printf FN "$my_string";
                   if ($i == 8)
                   { printf FN "\n\t"; 
                     $i = 0;
                   }
              }
           # print the last line
           $my_string = sprintf("%6.3f)\n", 0.000);
           printf FN "$my_string";
           }    
       }

    }
}
     
# to accross track now */
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4)
    {
       for ($b = 1; $b < 12; $b++)
       {
           $i = 0;
           $my_string = 
             sprintf("  %s_B%02d_SCA%02d = (0.000, 0.000, 0.000, 0.000,\n\t", 
                               $across, $b, $s);
           printf FN "$my_string";
           if ($b == 8)
           {
              for ($d = 1; $d < 984; $d++)
              {
                $i++;
                $my_string = sprintf("%6.3f, ", 0.000);
                printf FN "$my_string";
                if ($i == 8)
                { printf FN "\n\t"; 
                  $i = 0;
                }
              }
              $my_string = sprintf("%6.3f)\n", 0.000);
              printf FN "$my_string";
           }
           else
           {
              for ($d = 1; $d < 490; $d++)
              {
                   $i++;
                   $my_string = sprintf("%6.3f, ", 0.000);
                   printf FN "$my_string";
                   if ($i == 8)
                   { printf FN "\n\t"; 
                     $i = 0;
                   }
              }
           # print the last line
           $my_string = sprintf("%6.3f)\n", 0.000);
           printf FN "$my_string";
           }    
       }
    }
    else
    {
    for ($b = 1; $b < 10; $b++)
    {
           $i = 0;
           $my_string = 
             sprintf("  %s_B%02d_SCA%02d = (0.000, 0.000, 0.000, 0.000,\n\t", 
                               $across, $b, $s);
           printf FN "$my_string";
           if ($b == 8)
           {
              for ($d = 1; $d < 984; $d++)
              {
                $i++;
                $my_string = sprintf("%6.3f, ", 0.000);
                printf FN "$my_string";
                if ($i == 8)
                { printf FN "\n\t"; 
                  $i = 0;
                }
              }
              $my_string = sprintf("%6.3f)\n", 0.000);
              printf FN "$my_string";
           }
           else
           {
              for ($d = 1; $d < 490; $d++)
              {
                   $i++;
                   $my_string = sprintf("%6.3f, ", 0.000);
                   printf FN "$my_string";
                   if ($i == 8)
                   { printf FN "\n\t"; 
                     $i = 0;
                   }
              }
           # print the last line
           $my_string = sprintf("%6.3f)\n", 0.000);
           printf FN "$my_string";
           }    
       }

    }
}

# nominal fill offsets
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4)
    {
           $my_string = sprintf("  %s_SCA%02d = (1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0)\n", 
                               $fill, $s);
           printf FN "$my_string";
    }
    else
    {
           $my_string = sprintf("  %s_SCA%02d = (1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0)\n", $fill, $s);
           printf FN "$my_string";
     }
}


printf FN "END_GROUP = FOCAL_PLANE\n";
close FN;
