# perl script to generate the detector and total detector noise data groups for
# the oli/tirs cpf. the values created are place holders only.
#!/usr/bin/perl

$noise = "Detector_Noise";
$totnoise = "Total_Det_Noise";
$i = 0;
$my_string = "";

open (FN, '> det_noise.txt');

printf FN "GROUP = DETECTOR_NOISE\n";
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4) # oli plus tirs bands 
    { $nb = 12; }
    else
    { $nb = 10; }  # oli bands only

    for ($b = 1; $b < $nb; $b++)
    {
        $i = 0;
        $my_string = 
          sprintf("  %s_B%02d_SCA%02d = (0.000, 0.000, 0.000, 0.000,\n\t", 
                            $noise, $b, $s);
        printf FN "$my_string";
        if ($b == 8)
        { $ndet = 984; }          # oli pan det count
        elsif (($b == 10) || ($b == 11))
        { $ndet = 636; }          # tirs det count
        else
        { $ndet = 490; }          # oli ms det count

        for ($d = 1; $d < $ndet; $d++)
        {
          $i++;
          $my_string = sprintf("%6.3f, ", 0.000);
          printf FN "$my_string";
          if ($i == 8)
          { printf FN "\n\t"; 
            $i = 0;
          }
        }
           $my_string = sprintf("%6.3f)\n", 0.000);
           printf FN "$my_string";
    }
}
     
# to total det noise now */
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4) # oli plus tirs bands 
    { $nb = 12; }
    else
    { $nb = 10; }  # oli bands only

    for ($b = 1; $b < $nb; $b++)
    {
        $i = 0;
        $my_string = 
          sprintf("  %s_B%02d_SCA%02d = (0.000, 0.000, 0.000, 0.000,\n\t", 
                            $totnoise, $b, $s);
        printf FN "$my_string";
        if ($b == 8)
        { $ndet = 984; }          # oli pan det count
        elsif (($b == 10) || ($b == 11))
        { $ndet = 636; }          # tirs det count
        else
        { $ndet = 490; }          # oli ms det count

        for ($d = 1; $d < $ndet; $d++)
        {
          $i++;
          $my_string = sprintf("%6.3f, ", 0.000);
          printf FN "$my_string";
          if ($i == 8)
          { printf FN "\n\t"; 
            $i = 0;
          }
        }
           $my_string = sprintf("%6.3f)\n", 0.000);
           printf FN "$my_string";
    }
}
     
printf FN "END_GROUP = DETECTOR_NOISE\n";
close FN;
