# Perl script to generate the along and across detector offset data groups
# for the oli/tirs cpf.  the values created are place holders only.
#!/usr/bin/perl

$along = "Along_Detector_Offsets";
$across = "Across_Detector_Offsets";
$i = 0;
$my_string = "";

open (FN, '> det_offset.txt');

printf FN "GROUP = DETECTOR_OFFSETS\n";
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4) # oli plus tirs bands 
    { $nb = 12; }
    else
    { $nb = 10; }  # oli bands only
    for ($b = 1; $b < $nb; $b++)
    {
        $i = 0;
        $my_string = 
          sprintf("  %s_B%02d_SCA%02d = (0.000, 0.000, 0.000, 0.000,\n\t", 
                            $along, $b, $s);
        printf FN "$my_string";
        if ($b == 8)
        { $ndet = 984; }    # pan band det count 988 minus 4 above
        elsif (($b == 10) || ($b == 11))   # Tirs bands det count 640 - 4
        { $ndet = 636; }
        else
        { $ndet = 490; }    # ms band det count 498 minus 4 above

        for ($d = 1; $d < $ndet; $d++)
           {
             $i++;
             $my_string = sprintf("%6.3f, ", 0.000);
             printf FN "$my_string";

             # print 8 columns across */
             if ($i == 8)
             { printf FN "\n\t"; 
               $i = 0;
             }
           }
           $my_string = sprintf("%6.3f)\n", 0.000);
           printf FN "$my_string";
       } # end of for bands
}  # end of for sca 1 - 14 along det offsets

# to accross track now */
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4) # oli plus tirs bands 
    { $nb = 12; }
    else
    { $nb = 10; }  # oli bands only
    for ($b = 1; $b < $nb; $b++)
    {
        $i = 0;
        $my_string = 
          sprintf("  %s_B%02d_SCA%02d = (0.000, 0.000, 0.000, 0.000,\n\t", 
                            $across, $b, $s);
        printf FN "$my_string";
        if ($b == 8)
        { $ndet = 984; }    # pan band det count 988 minus 4 above
        elsif (($b == 10) || ($b == 11))   # Tirs bands det count 640 - 4
        { $ndet = 636; }
        else
        { $ndet = 490; }    # ms band det count 498 minus 4 above

        for ($d = 1; $d < $ndet; $d++)
           {
             $i++;
             $my_string = sprintf("%6.3f, ", 0.000);
             printf FN "$my_string";

             # print 8 columns across */
             if ($i == 8)
             { printf FN "\n\t"; 
               $i = 0;
             }
           }
           $my_string = sprintf("%6.3f)\n", 0.000);
           printf FN "$my_string";
       } # end of for bands
}  # end of for sca 1 - 14 along det offsets

# start min max det offfsets here

$even = "Max_Even_Det_Offsets";
$odd = "Max_Odd_Det_Offsets";

for ($s = 1; $s < 15; $s++)
{
    if ($s < 4) # oli plus tirs bands 
    { $nb = 12; }
    else
    { $nb = 10; }  # oli bands only
    for ($b = 1; $b < $nb; $b++)
    {
        $i = 0;
        $my_string = 
          sprintf("  %s_B%02d_SCA%02d = (0.000, 0.000, 0.000, 0.000,\n\t", 
                            $even, $b, $s);
        printf FN "$my_string";
        if ($b == 8)
        { $ndet = 984; }    # pan band det count 988 minus 4 above
        elsif (($b == 10) || ($b == 11))   # Tirs bands det count 640 - 4
        { $ndet = 636; }
        else
        { $ndet = 490; }    # ms band det count 498 minus 4 above

        for ($d = 1; $d < $ndet; $d++)
           {
             $i++;
             $my_string = sprintf("%6.3f, ", 0.000);
             printf FN "$my_string";

             # print 8 columns across */
             if ($i == 8)
             { printf FN "\n\t"; 
               $i = 0;
             }
           }
           $my_string = sprintf("%6.3f)\n", 0.000);
           printf FN "$my_string";
       } # end of for bands
}  # end of for sca 1 - 14 along det offsets


# do max Odd now
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4) # oli plus tirs bands 
    { $nb = 12; }
    else
    { $nb = 10; }  # oli bands only
    for ($b = 1; $b < $nb; $b++)
    {
        $i = 0;
        $my_string = 
          sprintf("  %s_B%02d_SCA%02d = (0.000, 0.000, 0.000, 0.000,\n\t", 
                            $odd, $b, $s);
        printf FN "$my_string";
        if ($b == 8)
        { $ndet = 984; }    # pan band det count 988 minus 4 above
        elsif (($b == 10) || ($b == 11))   # Tirs bands det count 640 - 4
        { $ndet = 636; }
        else
        { $ndet = 490; }    # ms band det count 498 minus 4 above

        for ($d = 1; $d < $ndet; $d++)
           {
             $i++;
             $my_string = sprintf("%6.3f, ", 0.000);
             printf FN "$my_string";

             # print 8 columns across */
             if ($i == 8)
             { printf FN "\n\t"; 
               $i = 0;
             }
           }
           $my_string = sprintf("%6.3f)\n", 0.000);
           printf FN "$my_string";
       } # end of for bands
}  # end of for sca 1 - 14 along det offsets

printf FN "END_GROUP = DETECTOR_OFFSETS\n";
close FN;
