# perl script to create the detector status data group for the oli/tirs
# cpf.  the values created are place holders only.
#!/usr/bin/perl


$outspecnum = "Outof_Spec_Count";
$inopnum = "Inoperable_Count";
$vrpoutspecnum = "VRP_Outof_Spec_Count";
$vrpinopnum = "VRP_Inoperable_Count";

$outspec = "Outof_Spec";
$inop = "Inoperable";
$vrpoutspec = "VRP_Outof_Spec";
$vrpinop = "VRP_Inoperable";

open (FN, '> det_status.txt');

printf FN "GROUP = DETECTOR_STATUS\n";
printf FN "Pixel_Map_ID = \"PMId_test001\"\n";

# out of spec count
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4)
    {
        $my_string = sprintf("  %s_SCA%02d = (0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0)\n", 
                              $outspecnum, $s);
        printf FN "$my_string";
    }
    else
    {
        $my_string = sprintf("  %s_SCA%02d = (0, 0, 0, 0, 0, 0, 0, 0, 0)\n", 
                               $outspecnum, $s);
           printf FN "$my_string";
    }
}

#in op count      
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4)
    {
        $my_string = sprintf("  %s_SCA%02d = (0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0)\n", 
                            $inopnum, $s);
        printf FN "$my_string";
    }
    else
    {
       $my_string = sprintf("  %s_SCA%02d = (0, 0, 0, 0, 0, 0, 0, 0, 0)\n", 
                             $inopnum, $s);
       printf FN "$my_string";
    }
}

#vrp out of spec count
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4)
    {
        $my_string = sprintf("  %s_SCA%02d = (0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0)\n", 
                               $vrpoutspecnum, $s);
        printf FN "$my_string";
    }
    else
    {
        $my_string = sprintf("  %s_SCA%02d = (0, 0, 0, 0, 0, 0, 0, 0, 0)\n", 
                                  $vrpoutspecnum, $s);
        printf FN "$my_string";
     }
}

#vrp in op count      
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4)
    {
        $my_string = sprintf("  %s_SCA%02d = (0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0)\n", 
                            $vrpinopnum, $s);
        printf FN "$my_string";
    }
    else
    {
           $my_string = sprintf("  %s_SCA%02d = (0, 0, 0, 0, 0, 0, 0, 0, 0)\n", 
                                  $vrpinopnum, $s);
           printf FN "$my_string";
     }
}

# out of spec
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4)
    {
       for ($b = 1; $b < 12; $b++)
       {
           $my_string = sprintf("  %s_B%02d_SCA%02d = (0)\n", 
                               $outspec, $b, $s);
           printf FN "$my_string";
       }
    }
    else
    {
       for ($b = 1; $b < 10; $b++)
       {
           $my_string = sprintf("  %s_B%02d_SCA%02d = (0)\n", 
                                  $outspec, $b, $s);
              printf FN "$my_string";
       }
     }
}

#in op 
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4)
    {
       for ($b = 1; $b < 12; $b++)
       {
           $my_string = sprintf("  %s_B%02d_SCA%02d = (0)\n", 
                               $inop, $b, $s);
           printf FN "$my_string";
       }
    }
    else
    {
       for ($b = 1; $b < 10; $b++)
       {
           $my_string = sprintf("  %s_B%02d_SCA%02d = (0)\n", 
                                  $inop, $b, $s);
              printf FN "$my_string";
       }
     }
}

#vrp out of spec count
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4)
    {
       for ($b = 1; $b < 12; $b++)
       {
           $my_string = sprintf("  %s_B%02d_SCA%02d = (0)\n", 
                               $vrpoutspec, $b, $s);
           printf FN "$my_string";
       }
    }
    else
    {
       for ($b = 1; $b < 10; $b++)
       {
           $my_string = sprintf("  %s_B%02d_SCA%02d = (0)\n", 
                                  $vrpoutspec, $b, $s);
              printf FN "$my_string";
       }
     }
}

#vrp in op count      
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4)
    {
       for ($b = 1; $b < 12; $b++)
       {
           $my_string = sprintf("  %s_B%02d_SCA%02d = (0)\n", 
                               $vrpinop, $b, $s);
           printf FN "$my_string";
       }
    }
    else
    {
       for ($b = 1; $b < 10; $b++)
       {
           $my_string = sprintf("  %s_B%02d_SCA%02d = (0)\n", 
                                  $vrpinop, $b, $s);
              printf FN "$my_string";
       }
     }
}

printf FN "END_GROUP = DETECTOR_STATUS\n";
close FN;
