#!/usr/bin/perl
# perl script to generate the diffuser radiance data group for the oli/tirs
# cpf.  The values created are place holders only.

$primary = "Diff_Rad_Primary";
$pristine = "Diff_Rad_Pristine";
$i = 0;
$my_string = "";

open (FN, '> diff_rad.txt');

printf FN "GROUP = DIFFUSER_RADIANCE\n";

# primary lamps
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4)    # oli plus tirs bands 
    { $nb = 12; }
    else
    { $nb = 10; }  # oli bands only
    for ($b = 1; $b < $nb; $b++)   # oli plus tirs bands
    {
        $i = 0;
        $my_string = 
          sprintf("  %s_B%02d_SCA%02d = (0.000, 0.000, 0.000, 0.000,\n\t", 
                            $primary, $b, $s);
        printf FN "$my_string";
        if ($b == 8)
        { $det = 984; }          # oli pan det count
        elsif (($b == 10) || ($b == 11))
        { $det = 636; }          # tirs det count
        else
        { $det = 490; }          # oli ms det count

        for ($d = 1; $d < $det; $d++)
        {
          $i++;
          $my_string = sprintf("%6.3f, ", 0.000);
          printf FN "$my_string";

          # print 8 columns across */
          if ($i == 8)
          { printf FN "\n\t"; 
            $i = 0;
          }
        }
        $my_string = sprintf("%6.3f)\n", 0.000);
        printf FN "$my_string";
    }   # end of for bands 

} # end of for sca 1 - 14 primary lamps
     
# to pristine lamps
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4)    # oli plus tirs bands 
    { $nb = 12; }
    else
    { $nb = 10; } # oli bands only
    for ($b = 1; $b < $nb; $b++)   # oli plus tirs bands
    {
        $i = 0;
        $my_string = 
          sprintf("  %s_B%02d_SCA%02d = (0.000, 0.000, 0.000, 0.000,\n\t", 
                            $pristine, $b, $s);
        printf FN "$my_string";
        if ($b == 8)
        { $det = 984; }          # oli pan det count
        elsif (($b == 10) || ($b == 11))
        { $det = 636; }          # tirs det count
        else
        { $det = 490; }          # oli ms det count

        for ($d = 1; $d < $det; $d++)
        {
          $i++;
          $my_string = sprintf("%6.3f, ", 0.000);
          printf FN "$my_string";

          # print 8 columns across */
          if ($i == 8)
          { printf FN "\n\t"; 
            $i = 0;
          }
        }
        $my_string = sprintf("%6.3f)\n", 0.000);
        printf FN "$my_string";
    }   # end of for bands 

} # end of for sca 1 - 14 pristine lamps

# diffuser bidriction reflectance factor primary
$dbrprim ="Diff_Bidir_Refl_Prim";
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4)    # oli plus tirs bands 
    { $nb = 12; }
    else
    { $nb = 10; }  # oli bands only
    for ($b = 1; $b < $nb; $b++)   # oli plus tirs bands
    {
        $i = 0;
        $my_string = 
          sprintf("  %s_B%02d_SCA%02d = (0.000, 0.000, 0.000, 0.000,\n\t", 
                            $dbrprim, $b, $s);
        printf FN "$my_string";
        if ($b == 8)
        { $det = 984; }          # oli pan det count
        elsif (($b == 10) || ($b == 11))
        { $det = 636; }          # tirs det count
        else
        { $det = 490; }          # oli ms det count

        for ($d = 1; $d < $det; $d++)
        {
          $i++;
          $my_string = sprintf("%6.3f, ", 0.000);
          printf FN "$my_string";

          # print 8 columns across */
          if ($i == 8)
          { printf FN "\n\t"; 
            $i = 0;
          }
        }
        $my_string = sprintf("%6.3f)\n", 0.000);
        printf FN "$my_string";
    }   # end of for bands 

} # end of for sca 1 - 14 primary lamps
     
# diffuser bidriction reflectance factor pristine
$dbrpris ="Diff_Bidir_Refl_Pris";

for ($s = 1; $s < 15; $s++)
{
    if ($s < 4)    # oli plus tirs bands 
    { $nb = 12; }
    else
    { $nb = 10; } # oli bands only
    for ($b = 1; $b < $nb; $b++)   # oli plus tirs bands
    {
        $i = 0;
        $my_string = 
          sprintf("  %s_B%02d_SCA%02d = (0.000, 0.000, 0.000, 0.000,\n\t", 
                            $dbrpris, $b, $s);
        printf FN "$my_string";
        if ($b == 8)
        { $det = 984; }          # oli pan det count
        elsif (($b == 10) || ($b == 11))
        { $det = 636; }          # tirs det count
        else
        { $det = 490; }          # oli ms det count

        for ($d = 1; $d < $det; $d++)
        {
          $i++;
          $my_string = sprintf("%6.3f, ", 0.000);
          printf FN "$my_string";

          # print 8 columns across */
          if ($i == 8)
          { printf FN "\n\t"; 
            $i = 0;
          }
        }
        $my_string = sprintf("%6.3f)\n", 0.000);
        printf FN "$my_string";
    }   # end of for bands 

} # end of for sca 1 - 14 pristine lamps

printf FN "END_GROUP = DIFFUSER_RADIANCE\n";
close FN;
