#!/usr/bin/perl

# perl script to create the lamp radiance data group for the oli/tirs 
# cpf. the values created are place holders only.

$effbackup = "Effective_Rad_Backup";
$effpristine = "Effective_Rad_Pristine";
$effwork = "Effective_Rad_Working";
$corrbackup = "Warmup_Corr_Backup";
$corrpristine = "Warmup_Corr_Pristine";
$corrwork = "Warmup_Corr_Working";

$i = 0;
$my_string = "";

open (FN, '> lamp_rad.txt');

printf FN "GROUP = LAMP_RADIANCE\n";

# effective lamp rad backup
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4) # oli plus tirs bands 
    { $nb = 12; }
    else
    { $nb = 10; }  # oli bands only
    for ($b = 1; $b < $nb; $b++)
    {
        $i = 0;
        $my_string = 
          sprintf("  %s_B%02d_SCA%02d = (0.000, 0.000, 0.000, 0.000,\n\t", 
                            $effbackup, $b, $s);
        printf FN "$my_string";
        if ($b == 8)
        { $ndet = 984; }    # pan band det count 988 minus 4 above
        elsif (($b == 10) || ($b == 11))   # Tirs bands det count 640 - 4
        { $ndet = 636; }
        else
        { $ndet = 490; }    # ms band det count 498 minus 4 above

        for ($d = 1; $d < $ndet; $d++)
           {
             $i++;
             $my_string = sprintf("%6.3f, ", 0.000);
             printf FN "$my_string";

             # print 8 columns across */
             if ($i == 8)
             { printf FN "\n\t"; 
               $i = 0;
             }
           }
           $my_string = sprintf("%6.3f)\n", 0.000);
           printf FN "$my_string";
       } # end of for bands
}  # end of for sca 1 - 14 along det offsets

# effective lamp rad prestine
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4) # oli plus tirs bands 
    { $nb = 12; }
    else
    { $nb = 10; }  # oli bands only
    for ($b = 1; $b < $nb; $b++)
    {
        $i = 0;
        $my_string = 
          sprintf("  %s_B%02d_SCA%02d = (0.000, 0.000, 0.000, 0.000,\n\t", 
                            $effpristine, $b, $s);
        printf FN "$my_string";
        if ($b == 8)
        { $ndet = 984; }    # pan band det count 988 minus 4 above
        elsif (($b == 10) || ($b == 11))   # Tirs bands det count 640 - 4
        { $ndet = 636; }
        else
        { $ndet = 490; }    # ms band det count 498 minus 4 above

        for ($d = 1; $d < $ndet; $d++)
           {
             $i++;
             $my_string = sprintf("%6.3f, ", 0.000);
             printf FN "$my_string";

             # print 8 columns across */
             if ($i == 8)
             { printf FN "\n\t"; 
               $i = 0;
             }
           }
           $my_string = sprintf("%6.3f)\n", 0.000);
           printf FN "$my_string";
       } # end of for bands
}  # end of for sca 1 - 14 along det offsets

# effworking
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4) # oli plus tirs bands 
    { $nb = 12; }
    else
    { $nb = 10; }  # oli bands only
    for ($b = 1; $b < $nb; $b++)
    {
        $i = 0;
        $my_string = 
          sprintf("  %s_B%02d_SCA%02d = (0.000, 0.000, 0.000, 0.000,\n\t", 
                            $effwork, $b, $s);
        printf FN "$my_string";
        if ($b == 8)
        { $ndet = 984; }    # pan band det count 988 minus 4 above
        elsif (($b == 10) || ($b == 11))   # Tirs bands det count 640 - 4
        { $ndet = 636; }
        else
        { $ndet = 490; }    # ms band det count 498 minus 4 above

        for ($d = 1; $d < $ndet; $d++)
           {
             $i++;
             $my_string = sprintf("%6.3f, ", 0.000);
             printf FN "$my_string";

             # print 8 columns across */
             if ($i == 8)
             { printf FN "\n\t"; 
               $i = 0;
             }
           }
           $my_string = sprintf("%6.3f)\n", 0.000);
           printf FN "$my_string";
       } # end of for bands
}  # end of for sca 1 - 14 along det offsets


# warmup correction factor backup
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4) # oli plus tirs bands 
    { $nb = 12; }
    else
    { $nb = 10; }  # oli bands only
    for ($b = 1; $b < $nb; $b++)
    {
        $i = 0;
        $my_string = 
          sprintf("  %s_B%02d_SCA%02d = (0.000, 0.000, 0.000, 0.000,\n\t", 
                            $corrbackup, $b, $s);
        printf FN "$my_string";
        if ($b == 8)
        { $ndet = 984; }    # pan band det count 988 minus 4 above
        elsif (($b == 10) || ($b == 11))   # Tirs bands det count 640 - 4
        { $ndet = 636; }
        else
        { $ndet = 490; }    # ms band det count 498 minus 4 above

        for ($d = 1; $d < $ndet; $d++)
           {
             $i++;
             $my_string = sprintf("%6.3f, ", 0.000);
             printf FN "$my_string";

             # print 8 columns across */
             if ($i == 8)
             { printf FN "\n\t"; 
               $i = 0;
             }
           }
           $my_string = sprintf("%6.3f)\n", 0.000);
           printf FN "$my_string";
       } # end of for bands
}  # end of for sca 1 - 14 along det offsets

# warmup correction factor pristine

# warmup correction factor backup
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4) # oli plus tirs bands 
    { $nb = 12; }
    else
    { $nb = 10; }  # oli bands only
    for ($b = 1; $b < $nb; $b++)
    {
        $i = 0;
        $my_string = 
          sprintf("  %s_B%02d_SCA%02d = (0.000, 0.000, 0.000, 0.000,\n\t", 
                            $corrpristine, $b, $s);
        printf FN "$my_string";
        if ($b == 8)
        { $ndet = 984; }    # pan band det count 988 minus 4 above
        elsif (($b == 10) || ($b == 11))   # Tirs bands det count 640 - 4
        { $ndet = 636; }
        else
        { $ndet = 490; }    # ms band det count 498 minus 4 above

        for ($d = 1; $d < $ndet; $d++)
           {
             $i++;
             $my_string = sprintf("%6.3f, ", 0.000);
             printf FN "$my_string";

             # print 8 columns across */
             if ($i == 8)
             { printf FN "\n\t"; 
               $i = 0;
             }
           }
           $my_string = sprintf("%6.3f)\n", 0.000);
           printf FN "$my_string";
       } # end of for bands
}  # end of for sca 1 - 14 along det offsets

# warmup correction factor working
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4) # oli plus tirs bands 
    { $nb = 12; }
    else
    { $nb = 10; }  # oli bands only
    for ($b = 1; $b < $nb; $b++)
    {
        $i = 0;
        $my_string = 
          sprintf("  %s_B%02d_SCA%02d = (0.000, 0.000, 0.000, 0.000,\n\t", 
                            $corrwork, $b, $s);
        printf FN "$my_string";
        if ($b == 8)
        { $ndet = 984; }    # pan band det count 988 minus 4 above
        elsif (($b == 10) || ($b == 11))   # Tirs bands det count 640 - 4
        { $ndet = 636; }
        else
        { $ndet = 490; }    # ms band det count 498 minus 4 above

        for ($d = 1; $d < $ndet; $d++)
           {
             $i++;
             $my_string = sprintf("%6.3f, ", 0.000);
             printf FN "$my_string";

             # print 8 columns across */
             if ($i == 8)
             { printf FN "\n\t"; 
               $i = 0;
             }
           }
           $my_string = sprintf("%6.3f)\n", 0.000);
           printf FN "$my_string";
       } # end of for bands
}  # end of for sca 1 - 14 along det offsets
printf FN "END_GROUP = LAMP_RADIANCE\n";
close FN;
