#!/usr/bin/perl

# perl script to generate the relative gains data group consisting of the 
# elements: relative, pre and post gains.  The values created are place
# holders only.

# this script will create all three groups of rel gains in three 
# separate data groups.
#
#   relative gains
#   pre launch relative gains
#   post launch relative gains.

$rgains = "Relative_Gains";
$pre = "Pre_Rel_Gains";
$post = "Post_Rel_Gains";

$i = 0;
$my_string = "";

open (FN, '> all_rel_gains.txt');

printf FN "GROUP = RELATIVE_GAINS\n";

for ($s = 1; $s < 15; $s++)
{
    if ($s < 4) # oli plus tirs bands 
    { $nb = 12; }
    else
    { $nb = 10; }  # oli bands only
    for ($b = 1; $b < $nb; $b++)
    {
        $i = 0;
        $my_string = 
          sprintf("  %s_B%02d_SCA%02d = (0.000, 0.000, 0.000, 0.000,\n\t", 
                            $rgains, $b, $s);
        printf FN "$my_string";
        if ($b == 8)
        { $ndet = 984; }    # pan band det count 988 minus 4 above
        elsif (($b == 10) || ($b == 11))   # Tirs bands det count 640 - 4
        { $ndet = 636; }
        else
        { $ndet = 490; }    # ms band det count 498 minus 4 above

        for ($d = 1; $d < $ndet; $d++)
           {
             $i++;
             $my_string = sprintf("%6.3f, ", 0.000);
             printf FN "$my_string";

             # print 8 columns across */
             if ($i == 8)
             { printf FN "\n\t"; 
               $i = 0;
             }
           }
           $my_string = sprintf("%6.3f)\n", 0.000);
           printf FN "$my_string";
       } # end of for bands
}  # end of for sca 1 - 14 relative gains
printf FN "END_GROUP = RELATIVE_GAINS\n";

# pre launch rel gains here
printf FN "GROUP = PRE_REL_GAINS\n";
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4) # oli plus tirs bands 
    { $nb = 12; }
    else
    { $nb = 10; }  # oli bands only
    for ($b = 1; $b < $nb; $b++)
    {
        $i = 0;
        $my_string = 
          sprintf("  %s_B%02d_SCA%02d = (0.000, 0.000, 0.000, 0.000,\n\t", 
                            $pre, $b, $s);
        printf FN "$my_string";
        if ($b == 8)
        { $ndet = 984; }    # pan band det count 988 minus 4 above
        elsif (($b == 10) || ($b == 11))   # Tirs bands det count 640 - 4
        { $ndet = 636; }
        else
        { $ndet = 490; }    # ms band det count 498 minus 4 above

        for ($d = 1; $d < $ndet; $d++)
           {
             $i++;
             $my_string = sprintf("%6.3f, ", 0.000);
             printf FN "$my_string";

             # print 8 columns across */
             if ($i == 8)
             { printf FN "\n\t"; 
               $i = 0;
             }
           }
           $my_string = sprintf("%6.3f)\n", 0.000);
           printf FN "$my_string";
       } # end of for bands
}  # end of for sca 1 - 14 pre launch rel gains
printf FN "END_GROUP = PRE_REL_GAINS\n";

# post launch rel gains here
printf FN "GROUP = POST_REL_GAINS\n";
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4) # oli plus tirs bands 
    { $nb = 12; }
    else
    { $nb = 10; }  # oli bands only
    for ($b = 1; $b < $nb; $b++)
    {
        $i = 0;
        $my_string = 
          sprintf("  %s_B%02d_SCA%02d = (0.000, 0.000, 0.000, 0.000,\n\t", 
                            $post, $b, $s);
        printf FN "$my_string";
        if ($b == 8)
        { $ndet = 984; }    # pan band det count 988 minus 4 above
        elsif (($b == 10) || ($b == 11))   # Tirs bands det count 640 - 4
        { $ndet = 636; }
        else
        { $ndet = 490; }    # ms band det count 498 minus 4 above

        for ($d = 1; $d < $ndet; $d++)
           {
             $i++;
             $my_string = sprintf("%6.3f, ", 0.000);
             printf FN "$my_string";

             # print 8 columns across */
             if ($i == 8)
             { printf FN "\n\t"; 
               $i = 0;
             }
           }
           $my_string = sprintf("%6.3f)\n", 0.000);
           printf FN "$my_string";
       } # end of for bands
}  # end of for sca 1 - 14 post launch rel gains


printf FN "END_GROUP = POST_REL_GAINS\n";
close FN;
