#!/usr/bin/perl

# perl script to generate the saturation level data group for the oli/tirs
# cpf.  The values created are place holders only.

$alow = "Analog_Low_Level";
$ahigh = "Analog_High_Level";
$dlow = "Digital_Low_Level";
$dhigh = "Digital_High_Level";
$i = 0;
$my_string = "";

open (FN, '> sat_level.txt');

printf FN "GROUP = SATURATION_LEVEL\n";
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4) # oli plus tirs bands 
    { $nb = 12; }
    else
    { $nb = 10; }  # oli bands only
    for ($b = 1; $b < $nb; $b++)
    {
        $i = 0;
        $my_string = 
          sprintf("  %s_B%02d_SCA%02d = (0, 0, 0, 0,\n\t", 
                            $alow, $b, $s);
        printf FN "$my_string";
        if ($b == 8)
        { $ndet = 984; }    # pan band det count 988 minus 4 above
        elsif (($b == 10) || ($b == 11))   # Tirs bands det count 640 - 4
        { $ndet = 636; }
        else
        { $ndet = 490; }    # ms band det count 498 minus 4 above

        for ($d = 1; $d < $ndet; $d++)
           {
             $i++;
             $my_string = sprintf("%d, ", 0);
             printf FN "$my_string";

             # print 8 columns across */
             if ($i == 8)
             { printf FN "\n\t"; 
               $i = 0;
             }
           }
           $my_string = sprintf("%d)\n", 0);
           printf FN "$my_string";
       } # end of for bands
}  # end of for sca 1 - 14 analog low level

# to analog high level now */
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4) # oli plus tirs bands 
    { $nb = 12; }
    else
    { $nb = 10; }  # oli bands only
    for ($b = 1; $b < $nb; $b++)
    {
        $i = 0;
        $my_string = 
          sprintf("  %s_B%02d_SCA%02d = (0, 0, 0, 0,\n\t", 
                            $ahigh, $b, $s);
        printf FN "$my_string";
        if ($b == 8)
        { $ndet = 984; }    # pan band det count 988 minus 4 above
        elsif (($b == 10) || ($b == 11))   # Tirs bands det count 640 - 4
        { $ndet = 636; }
        else
        { $ndet = 490; }    # ms band det count 498 minus 4 above

        for ($d = 1; $d < $ndet; $d++)
           {
             $i++;
             $my_string = sprintf("%d, ", 0);
             printf FN "$my_string";

             # print 8 columns across */
             if ($i == 8)
             { printf FN "\n\t"; 
               $i = 0;
             }
           }
           $my_string = sprintf("%d)\n", 0);
           printf FN "$my_string";
       } # end of for bands
}  # end of for sca 1 - 14 analog high level

# start digital low level
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4) # oli plus tirs bands 
    { $nb = 12; }
    else
    { $nb = 10; }  # oli bands only
    for ($b = 1; $b < $nb; $b++)
    {
        $i = 0;
        $my_string = 
          sprintf("  %s_B%02d_SCA%02d = (0, 0, 0, 0,\n\t", 
                            $dlow, $b, $s);
        printf FN "$my_string";
        if ($b == 8)
        { $ndet = 984; }    # pan band det count 988 minus 4 above
        elsif (($b == 10) || ($b == 11))   # Tirs bands det count 640 - 4
        { $ndet = 636; }
        else
        { $ndet = 490; }    # ms band det count 498 minus 4 above

        for ($d = 1; $d < $ndet; $d++)
           {
             $i++;
             $my_string = sprintf("%d, ", 0);
             printf FN "$my_string";

             # print 8 columns across */
             if ($i == 8)
             { printf FN "\n\t"; 
               $i = 0;
             }
           }
           $my_string = sprintf("%d)\n", 0);
           printf FN "$my_string";
       } # end of for bands
}  # end of for sca 1 - 14 digital low level


# do digital high level saturation
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4) # oli plus tirs bands 
    { $nb = 12; }
    else
    { $nb = 10; }  # oli bands only
    for ($b = 1; $b < $nb; $b++)
    {
        $i = 0;
        $my_string = 
          sprintf("  %s_B%02d_SCA%02d = (0, 0, 0, 0,\n\t", 
                            $dhigh, $b, $s);
        printf FN "$my_string";
        if ($b == 8)
        { $ndet = 984; }    # pan band det count 988 minus 4 above
        elsif (($b == 10) || ($b == 11))   # Tirs bands det count 640 - 4
        { $ndet = 636; }
        else
        { $ndet = 490; }    # ms band det count 498 minus 4 above

        for ($d = 1; $d < $ndet; $d++)
           {
             $i++;
             $my_string = sprintf("%d, ", 0);
             printf FN "$my_string";

             # print 8 columns across */
             if ($i == 8)
             { printf FN "\n\t"; 
               $i = 0;
             }
           }
           $my_string = sprintf("%d)\n", 0);
           printf FN "$my_string";
       } # end of for bands
}  # end of for sca 1 - 14 along det offsets

# do band level low radiance level
$lrad = "Low_Radiance_Level";
$hrad = "High_Radiance_Level";

for ($s = 1; $s < 15; $s++)
{
    if ($s < 4)
    {
           $my_string = sprintf("  %s_SCA%02d = (1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.1)\n", 
                               $lrad, $s);
           printf FN "$my_string";
    }
    else
    {
           $my_string = sprintf("  %s_SCA%02d = (1.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.1)\n", $lrad, $s);
           printf FN "$my_string";
     }
}

# do band level high radiance level
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4)
    {
           $my_string = sprintf("  %s_SCA%02d = (2.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.2)\n", 
                               $hrad, $s);
           printf FN "$my_string";
    }
    else
    {
           $my_string = sprintf("  %s_SCA%02d = (2.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.0, 0.2)\n", $hrad, $s);
           printf FN "$my_string";
     }
}

printf FN "END_GROUP = SATURATION_LEVEL\n";
close FN;
