#!/usr/bin/perl

# perl script to generate the sca parameters for the oli/tirs cpf.  The 
# values created are place holders only.

$olap = "Overlap";
$offset = "SCA_Offset";

$i = 0;
$my_string = "";

open (FN, '> sca_parm.txt');

printf FN "GROUP = SCA_PARAMETERS\n";

# band offset
$my_string = sprintf("  Band_Offset = (0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0)\n");
printf FN "$my_string";

$my_string = sprintf("  Discontinuity_Ratio = (0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0)\n");
printf FN "$my_string";

$my_string = sprintf("  Stripe_Cutoff = (0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0)\n");
printf FN "$my_string";

$my_string = sprintf("  Valid_Corr_Max = (0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0)\n");
printf FN "$my_string";

$my_string = sprintf("  Min_Valid_Neighb_Segs = (0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0)\n");
printf FN "$my_string";

# overlap
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4)
    {
        $my_string = 
         sprintf("  %s_SCA%02d = (0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0)\n", 
                            $olap, $s);
        printf FN "$my_string";
    }
    else # oli only 
    {
        $my_string = 
         sprintf("  %s_SCA%02d = (0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0)\n", 
                            $olap, $s);
        printf FN "$my_string";
    }
}

# sca offset
for ($s = 1; $s < 15; $s++)
{
    if ($s < 4)
    {
        $my_string = 
         sprintf("  %s_SCA%02d = (0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0)\n", 
                            $offset, $s);
        printf FN "$my_string";
    }
    else # oli only 
    {
        $my_string = 
         sprintf("  %s_SCA%02d = (0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0)\n", 
                            $offset, $s);
        printf FN "$my_string";
    }
}

printf FN "GROUP = SCA_PARAMETERS\n";
close FN;
