/******************************************************************************
NAME:           ias_math_complex.h

PURPOSE:
Include file for package of routines that manipulate complex variables.

******************************************************************************/

#ifndef IAS_MATH_COMPLEX_H
#define IAS_MATH_COMPLEX_H

#include "ias_structures.h" /* Defines IAS_COMPLEX data type        */

void ias_math_complex_exponential(
    const IAS_COMPLEX *argument, /* I: Input complex argument       */
    IAS_COMPLEX *value);    /* O: Output complex exponential value  */

void ias_math_complex_multiply(
    const IAS_COMPLEX *argument1, /* I: First input complex argument */
    const IAS_COMPLEX *argument2, /* I: Second input complex argument */
    IAS_COMPLEX *value);    /* O: Output complex value              */

void ias_math_complex_divide(
    const IAS_COMPLEX *argument1, /* I: First input complex argument */
    const IAS_COMPLEX *argument2, /* I: Second input complex argument */
    IAS_COMPLEX *value);    /* O: Output complex value              */

double ias_math_complex_magnitude(
    const IAS_COMPLEX *argument); /* I: Input complex argument */

#endif  /* IAS_MATH_COMPLEX_H */

