/***************************************************************************
Name: ias_pm_is_band_sca_present

Purpose: Returns TRUE if the requested band/SCA is present in the pixel mask
    file.

Returns: TRUE if the band/SCA is present, FALSE otherwise.

****************************************************************************/
#include "ias_const.h"
#include "ias_pixel_mask.h"
#include "pm_local.h"

int ias_pm_is_band_sca_present
(
    const IAS_PIXEL_MASK_IO *pm_file, /* I: Open pixel mask file */
    int band_number,                  /* I: Band number */
    int sca_number                    /* I: SCA number */
)
{
    int mask_index;
    int found_band_sca = FALSE;


    /* Search the list for the specified band and SCA numbers. */
    for (mask_index = 0; mask_index < pm_file->number_of_masks_present;
         mask_index++)
    {
        if ((pm_file->hk[mask_index].band_number == band_number)
            && (pm_file->hk[mask_index].sca_number == sca_number))
        {
            found_band_sca = TRUE;
            break;
        }
    }

    return found_band_sca;
}
