#!/usr/bin/perl -w -I..

# ----------------------------------------------------------------------------
# This script is called by the test_logging.pl script to test the locking
# mechanism. It opens the same log file and logs a message.
# ----------------------------------------------------------------------------

use strict;
use Logger;
use Fcntl qw{:DEFAULT :flock};

use constant PROG => "test_logger.pl";

my $test_log_file = "test.log";

my $file_logger = Logger->new($test_log_file);

if (!$file_logger)
{
    print PROG . ": ERROR: Unable to establish a logger object :: " .
          $test_log_file . "\n";
    return 1;
}

$file_logger->set_module_name(PROG);

set_default_log($file_logger);

$file_logger->info_msg(__FILE__, __LINE__, "Message from test_lock");

$file_logger->close_log();
