#!/usr/bin/env python3
""" Used to create the verification files for the CPF
"""
import os
import imp
from sys import exit
import ias.odl.odl as ias_odl

# Read the CPF using the ODL library
odl = ias_odl.ODLParser()
cpf_filename = (os.environ['IAS_UNIT_TEST_DATA_DIR']
                + "/ias_lib/pylib/ias/io/cpf/L8CPF20130701_20130919.05")
odl.read_odl(filename = cpf_filename)

# Loop over every group and value creating the python verification files
for group, value in odl.contents.items():
    print("Group: {0}".format(group))
    if group == "IAS_ODL_ORDER":
        continue
    with open("verify/{0}.py".format(group.lower()), "w") as f:
        f.write("#!/usr/local/bin/python3\n")
        f.write("{0} = type(\"{1}\", (object,), {2})\n".format(
            group, group, "{}"))
        for g, v in value.items():
            if g == "IAS_ODL_ORDER":
                continue
            if "value" not in v:
                f.write("setattr({0}, \"{1}\", \"{2}\")\n".format(group,
                        g.lower(), v))
            else:
                f.write("setattr({0}, \"{1}\", \"{2}\")\n".format(group,
                        g.lower(), v['value']))
exit(0)
