#!/usr/bin/env python3
from setuptools import setup
import sys
import os

# Build the install path
libpath = "{0}/lib/python{1}.{2}/site-packages".format(
    os.getenv("IASLIB_PYLIB"), sys.version_info.major,
    sys.version_info.minor)

# If the directories already exist an Error will be throw (caught)
try:
    os.makedirs(libpath)
except OSError:
    pass

setup(name='ias_py_lib',
      version='1.0',
      description='IAS Python Library',
      url='',
      author='USGS',
      author_email='',
      license='Open Source',
      packages=['ias/db', 'ias/log', 'ias/odl', 'ias/misc', 'ias/io/cpf',
                'ias/io/parameter_file'],
      package_data={'ias/misc':['landsat8_band_specs.data']},
      zip_safe=False)
