#ifndef IAS_RPS_BIAS_MODEL_CALIBRATION_H
#define IAS_RPS_BIAS_MODEL_CALIBRATION_H
/*******************************************************************************
Public header for the interface to the Bias Model Calibration
*******************************************************************************/

#include "ias_bpf.h"
#include "ias_rps_db_bias_model_calibration.h"

int ias_rps_bias_model_calibration(
    IAS_CPF *cpf,
    struct ias_db_connection *databaseConnection,
    const char *mission_id,
    const char *work_order,
    const int previous_collections_n0,
    const int previous_collections_n1,
    const int fill_value,
    struct IAS_BPF *bpf,
    int *collections_used,
    IAS_RPS_DB_BIAS_MODEL_RESIDUALS *output_residuals);

int ias_rps_bias_model_calibration_tirs(
    IAS_CPF *cpf,
    struct ias_db_connection *databaseConnection,
    const char *mission_id,
    const char *work_order,
    const int previous_collections,
    const int fill_value,
    struct IAS_BPF *bpf,
    int *collections_used);

#endif
