#ifndef IAS_RPS_CALCULATE_SCA_OFFSETS_H
#define IAS_RPS_CALCULATE_SCA_OFFSETS_H

void ias_rps_legendre_calculate_sca_offsets
(
    const double *legendre_coeffs, /* I: 1D array containing Legendre
                                         coefficients for all SCAs in the
                                         current band.  Layout of this array
                                         follows that of CPF, indexed into by
                                         [sca_index * IAS_LOS_LEGENDRE_TERMS] */
    int    number_scas,            /* I: Number of SCAs */
    double scene_center_latitude,  /* I: Scene center latitude in degrees */
    double nominal_scene_elevation,/* I: Scene elevation in km */
    double nominal_frame_time,     /* I: Sensor-specific nominal frame
                                         time.  Calling routine is expected
                                         to adjust this value appropriately
                                         for the pan band.  The unit for this
                                         in the CPF is in milliseconds;
                                         for the purposes of this algorithm
                                         it needs to be seconds */
    double eccentricity,           /* I: Earth's eccentricity */
    double semi_major_axis,        /* I: Earth's semi-major axis */
    double semi_minor_axis,        /* I: Earth's semi-minor axis */
    double angular_velocity,       /* I: Earth's angular velocity */
    double inclination_angle,      /* I: Earth's inclination angle */
    double nominal_orbit_radius,   /* I: Earth's nominal orbit radius */
    double orbital_period,         /* I: Earth's orbital period */
    int    *band_offset,           /* O: Adjusted offset for the current
                                         band */
    int    *sca_offsets            /* O: Buffer containing adjusted per-SCA
                                         offsets for the current band */
);

#endif
