#ifndef IAS_RPS_DETECTOR_STATUS_IDENTIFICATION_H
#define IAS_RPS_DETECTOR_STATUS_IDENTIFICATION_H

int ias_rps_inoperable_detector_identification
(
    const int *inop_detector_list,     /* I: List of inoperable detectors
                                          from CPF (1-based) */
    int number_of_inoperable_detectors,/* I: Number of inoperable detectors in
                                          the list */
    int band_number,                   /* I: Band number, 1-based */
    int sca_number,                    /* I: SCA number, 1-based */
    int number_of_sca_detectors,       /* I: Number of detectors in the SCA */
    int number_of_lines,               /* I: Number of lines in the data */
    IAS_PIXEL_MASK *pixel_mask         /* I/O: Contains pixel artifacts */
);

int ias_rps_outofspec_detector_identification
(
    const int *outof_spec_list,        /* I: List of out-of-spec detectors
                                          from CPF (1-based) */
    int number_of_outofspec_detectors, /* I: Number of out-of-spec detectors
                                          in the list */
    int band_number,                   /* I: Current (1-based) band number */
    int sca_number,                    /* I: Current (1-based) SCA number */
    int number_of_sca_detectors,       /* I: Number of detectors in an SCA */
    int number_of_lines,               /* I: Number of lines of image data */
    IAS_PIXEL_MASK *pixel_mask         /* I/O: Mask with current set of
                                          identified artifacts */
);

#endif
