#ifndef    IAS_RPS_TIRS_DARK_RESPONSE_DETERMINATION_H
#define    IAS_RPS_TIRS_DARK_RESPONSE_DETERMINATION_H

#include "ias_pixel_mask.h"
#include "ias_rps_histogram_statistics_characterization.h"


                        /* Function prototypes */
int ias_rps_tirs_dark_response_determination
(
    IAS_RPS_HISTOGRAM_INTERMEDIATE_RESULTS *blind_stats,
                                           /* I: Histogram statistics for
                                              the current band/SCA */
    double *dark_response,                 /* I/O: CPF baseline dark response
                                              for the current band/SCA
                                              (as input and output IF
                                              use_cpf_baseline_response
                                              flag is set to 1); otherwise,
                                              adjusted dark response for
                                              the current band/SCA
                                              (output) */
    double *sca_dark_response_difference,  /* I/O: Mean dark difference
                                              for the current SCA (input
                                              for imaging bands, output
                                              for blind band) */
    double abs_gain,                       /* Absolute gain for the current
                                              band/SCA */
    const double *relative_gains,          /* Detector relative gains for
                                              the current band/SCA */
    int is_blind_band,                     /* I: Current band number */
    int number_detectors,                  /* I: Number of detectors for
                                              the current band/SCA */
    IAS_PIXEL_MASK *pmask                  /* I: Pixel mask for the current
                                              band/SCA (use if running from
                                              the RPS Driver), otherwise
                                              set to NULL */
);


int ias_rps_tirs_dark_response_write_to_group_file
(
    const double *adjusted_dark_response,  /* I: Adjusted dark response
                                              array for the current
                                              band/SCA */
    int is_blind_band,                     /* I: Flag indictating whether
                                              blind band is being processed
                                              now */
    int band_number,                       /* I: TIRS band number */
    int sca_number,                        /* I: Current SCA number */
    int number_detectors                   /* I: Total number of detectors
                                              in the current band/SCA */
);


#endif
