#include <stdio.h>
#include <string.h>

#include "ias_miscellaneous.h"
#include "cgreen/cgreen.h"
#include "../ias_radiometry.h"

Ensure get_report_file_name_test(void);

int main(int argc, char *argv[])
{

    TestSuite *suite = create_test_suite();
    add_test(suite, get_report_file_name_test);

    return run_test_suite(suite, create_text_reporter());
}


Ensure get_report_file_name_test(void)
{
    IAS_REPORT report_info;
    int band_number = 11;
    int sca_number = 22;
    char file_base_name[] = "my_name";
    char *file_name = NULL;

    /* Test with a NULL directory */
    report_info.directory = NULL;
    file_name = ias_rps_get_report_file_name( &report_info, band_number,
        sca_number, file_base_name );

    assert_string_equal(file_name, "./my_name_11_22.rpt");
    free(file_name);

    /* Test with a directory */
    report_info.directory = "my_dir";
    file_name = ias_rps_get_report_file_name( &report_info, band_number,
        sca_number, file_base_name );

    assert_string_equal(file_name, "my_dir/my_name_11_22.rpt");
    free(file_name);

    /* Test with a -1 SCA */
    sca_number = -1;
    file_name = ias_rps_get_report_file_name( &report_info, band_number,
        sca_number, file_base_name );

    assert_string_equal(file_name, "my_dir/my_name_11.rpt");
    free(file_name);

    /* Test with a -1 band */
    band_number = -1;
    file_name = ias_rps_get_report_file_name( &report_info, band_number,
        sca_number, file_base_name );

    assert_string_equal(file_name, "my_dir/my_name.rpt");
    free(file_name);
}
