#!/bin/sh

# This script deletes the specified work orders from the schema

PWD=`pwd`
LOG="$PWD/delete_work_orders.log"
DB="$IAS_DB_COM"

# Initialize the log file.
DATE=`date`
echo "Created $DATE" 2>&1 > $LOG

# Process

SQL="delete.sql"
SPOOL="delete_work_orders_sql.log"
echo "" 2>&1 >> $LOG
echo "--- Deleting WORK_ORDERS ----------------------------------" 2>&1 >> $LOG
echo "spool $SPOOL" > $SQL
echo "delete from work_orders" >> $SQL
echo "    where work_order_id like 'DXL%';" >> $SQL
echo "commit;" >> $SQL
echo "exit" >> $SQL
sqlplus $DB @$SQL 2>&1 >> $LOG
if [ "$?" -ne "0" ]; then
    echo "Error deleting orders from WORK_ORDERS in the database"
    exit 1
fi
rm -f $SQL $SPOOL

# Delete the Year/Path/Row dirs created by transfer_product in the work order
# directory
rm -rf data/test1/2011
rm -rf data/test2/2013
rm -rf data/test3/2011
rm -rf data/test4/2013
