#!/bin/sh

# This script loads the specified schema with default values for the tables
# which require them.  It also generates a log file in the current directory.

PWD=`pwd`
LOG="$PWD/load_work_orders.log"
DB="$IAS_DB_COM"

# Initialize the log file.
DATE=`date`
echo "Created $DATE" 2>&1 > $LOG

# Process the tables.
echo -n "."
echo "" 2>&1 >> $LOG
echo "--- Loading WORK_ORDERS -----------------------------------" 2>&1 >> $LOG
./data/load_records.pl $IAS_DB_COM ./data/work_orders.ldr \
                  IAS_UNIT_TEST_DATA_DIR >> $LOG
if [ ! $? == 0 ]; then
    echo "Load WORK_ORDERS failed."
    exit 1
fi

echo "."
echo "" 2>&1 >> $LOG
DATE=`date`
echo "Completed - $0 - $DATE" 2>&1 >> $LOG

exit 0

