-- In the development environment you don't have access to the Inventory tables
-- to complete all testing steps.  To ensure that the validation scripts are at
-- least tested, temporary tables can be added to the developer's schema using
-- the command:
--
--	sqlplus $IAS_DB_COM @../tools/build_inventory_tables.sql
--
-- This script should then be run to load the fake tables with the expected
-- results to ensure the verifyInventory.csh script runs properly.  The script
-- should be run using the command:
--
--	sqlplus $IAS_DB_COM @loadFakeInventory.sql

-- ================
-- clear the tables 
-- ================
DELETE FROM lmd_scene;
DELETE FROM lmd_l1_data_file;
DELETE FROM lmd_l0rp_data_file;

-- ======
-- Scenes
-- ======
INSERT INTO lmd_scene
  (lmd_scene_id, date_entered, landsat_scene_id, l0rp_location, l1_location,
    wrs_path, wrs_row, cloud_cover_automated)
VALUES
  (1001, sysdate, 'LO80060582001151EDC00', '/tmp/l0rp1.tar.gz',
    '/tmp/l1-1.tar.gz',   6, 58, 43.40);
INSERT INTO lmd_scene
  (lmd_scene_id, date_entered, landsat_scene_id, l0rp_location, l1_location,
    wrs_path, wrs_row, cloud_cover_automated)
VALUES
  (1002, sysdate, 'LC81380162001164SGS00', '/tmp/l0rp2.tar.gz',
    '/tmp/l1-2.tar.gz', 138, 16, 32.05);
INSERT INTO lmd_scene
  (lmd_scene_id, date_entered, landsat_scene_id, l0rp_location, l1_location,
    wrs_path, wrs_row, cloud_cover_automated)
VALUES
  (1003, sysdate, 'LC81430212001359SGS00', '/tmp/l0rp3.tar.gz',
    '/tmp/l1-3.tar.gz', 143, 21, 1.13);
INSERT INTO lmd_scene
  (lmd_scene_id, date_entered, landsat_scene_id, l0rp_location, l1_location,
    wrs_path, wrs_row, cloud_cover_automated)
VALUES
  (1004, sysdate, 'LC80160292001141EDC00', '/tmp/l0rp4.tar.gz',
    '/tmp/l1-4.tar.gz',  16, 29, 66.39);
INSERT INTO lmd_scene
  (lmd_scene_id, date_entered, landsat_scene_id, l0rp_location, l1_location,
    wrs_path, wrs_row, cloud_cover_automated)
VALUES
  (1005, sysdate, 'LO81390452001251SGS00', '/tmp/l0rp5.tar.gz',
    '/tmp/l1-5.tar.gz', 139, 45, 16.54);
INSERT INTO lmd_scene
  (lmd_scene_id, date_entered, landsat_scene_id, l0rp_location, l1_location,
    wrs_path, wrs_row, cloud_cover_automated)
VALUES
  (1006, sysdate, 'LC80360352002156XXX00', '/tmp/l0rp6.tar.gz',
    '/tmp/l1-6.tar.gz',  36, 35, 54.50);
INSERT INTO lmd_scene
  (lmd_scene_id, date_entered, landsat_scene_id, l0rp_location, l1_location,
    wrs_path, wrs_row, cloud_cover_automated)
VALUES
  (1007, sysdate, 'LT81510282000189SGS00', '/tmp/l0rp7.tar.gz',
    '/tmp/l1-7.tar.gz', 151, 28, -1);

-- ==========
-- L0RP Files
-- ==========
INSERT INTO lmd_l0rp_data_file
  (lmd_l0rp_data_file_id, lmd_scene_id, file_name, file_date, file_size,
    file_checksum, file_type, product_file_size, date_entered)
VALUES
  (1, 1001, 'l0rp1.tar.gz', sysdate-1, 1000, 'f13172ae8450eb2f45655aed011dc222',
    'l0rp', 1500, sysdate);
INSERT INTO lmd_l0rp_data_file
  (lmd_l0rp_data_file_id, lmd_scene_id, file_name, file_date, file_size,
    file_checksum, file_type, product_file_size, date_entered)
VALUES
  (2, 1002, 'l0rp2.tar.gz', sysdate-1, 1000, 'f13172ae8450eb2f45655aed011dc222',
    'l0rp', 1500, sysdate);
INSERT INTO lmd_l0rp_data_file
  (lmd_l0rp_data_file_id, lmd_scene_id, file_name, file_date, file_size,
    file_checksum, file_type, product_file_size, date_entered)
VALUES
  (3, 1003, 'l0rp3.tar.gz', sysdate-1, 1000, 'f13172ae8450eb2f45655aed011dc222',
    'l0rp', 1500, sysdate);
INSERT INTO lmd_l0rp_data_file
  (lmd_l0rp_data_file_id, lmd_scene_id, file_name, file_date, file_size,
    file_checksum, file_type, product_file_size, date_entered)
VALUES
  (4, 1004, 'l0rp4.tar.gz', sysdate-1, 1000, 'f13172ae8450eb2f45655aed011dc222',
    'l0rp', 1500, sysdate);
INSERT INTO lmd_l0rp_data_file
  (lmd_l0rp_data_file_id, lmd_scene_id, file_name, file_date, file_size,
    file_checksum, file_type, product_file_size, date_entered)
VALUES
  (5, 1005, 'l0rp5.tar.gz', sysdate-1, 1000, 'f13172ae8450eb2f45655aed011dc222',
    'l0rp', 1500, sysdate);
INSERT INTO lmd_l0rp_data_file
  (lmd_l0rp_data_file_id, lmd_scene_id, file_name, file_date, file_size,
    file_checksum, file_type, product_file_size, date_entered)
VALUES
  (6, 1006, 'l0rp6.tar.gz', sysdate-1, 1000, 'f13172ae8450eb2f45655aed011dc222',
    'l0rp', 1500, sysdate);
INSERT INTO lmd_l0rp_data_file
  (lmd_l0rp_data_file_id, lmd_scene_id, file_name, file_date, file_size,
    file_checksum, file_type, product_file_size, date_entered)
VALUES
  (7, 1007, 'l0rp7.tar.gz', sysdate-1, 1000, 'f13172ae8450eb2f45655aed011dc222',
    'l0rp', 1500, sysdate);

-- ========
-- L1 Files
-- ========
INSERT INTO lmd_l1_data_file
  (lmd_l1_data_file_id, lmd_scene_id, file_name, file_date, file_size,
    file_checksum, file_type, product_file_size, date_entered)
VALUES
  (1, 1001, 'l1-1.tar.gz', sysdate-1, 2000, 'f13172ae8450eb2f45655aed011dc222',
    'l1', 2500, sysdate);
INSERT INTO lmd_l1_data_file
  (lmd_l1_data_file_id, lmd_scene_id, file_name, file_date, file_size,
    file_checksum, file_type, product_file_size, date_entered)
VALUES
  (2, 1002, 'l1-2.tar.gz', sysdate-1, 2000, 'f13172ae8450eb2f45655aed011dc222',
    'l1', 2500, sysdate);
INSERT INTO lmd_l1_data_file
  (lmd_l1_data_file_id, lmd_scene_id, file_name, file_date, file_size,
    file_checksum, file_type, product_file_size, date_entered)
VALUES
  (3, 1003, 'l1-3.tar.gz', sysdate-1, 2000, 'f13172ae8450eb2f45655aed011dc222',
    'l1', 2500, sysdate);
INSERT INTO lmd_l1_data_file
  (lmd_l1_data_file_id, lmd_scene_id, file_name, file_date, file_size,
    file_checksum, file_type, product_file_size, date_entered)
VALUES
  (4, 1004, 'l1-4.tar.gz', sysdate-1, 2000, 'f13172ae8450eb2f45655aed011dc222',
    'l1', 2500, sysdate);
INSERT INTO lmd_l1_data_file
  (lmd_l1_data_file_id, lmd_scene_id, file_name, file_date, file_size,
    file_checksum, file_type, product_file_size, date_entered)
VALUES
  (5, 1005, 'l1-5.tar.gz', sysdate-1, 2000, 'f13172ae8450eb2f45655aed011dc222',
    'l1', 2500, sysdate);
INSERT INTO lmd_l1_data_file
  (lmd_l1_data_file_id, lmd_scene_id, file_name, file_date, file_size,
    file_checksum, file_type, product_file_size, date_entered)
VALUES
  (6, 1006, 'l1-6.tar.gz', sysdate-1, 2000, 'f13172ae8450eb2f45655aed011dc222',
    'l1', 2500, sysdate);
INSERT INTO lmd_l1_data_file
  (lmd_l1_data_file_id, lmd_scene_id, file_name, file_date, file_size,
    file_checksum, file_type, product_file_size, date_entered)
VALUES
  (7, 1007, 'l1-7.tar.gz', sysdate-1, 2000, 'f13172ae8450eb2f45655aed011dc222',
    'l1', 2500, sysdate);

COMMIT;
EXIT;
