-- Builds the inventory tables need to use get_inv_data.pm in the developer
-- environments. Run this script in $IAS_DB_COM.

-- Remove existing inventory tables
DECLARE
    sql_str     VARCHAR2(200);
BEGIN    
    BEGIN
        sql_str := 'DROP TABLE lmd_scene';
        EXECUTE IMMEDIATE sql_str;
    EXCEPTION WHEN OTHERS THEN
        NULL;
    END;

    BEGIN
        sql_str := 'DROP TABLE lmd_l0rp_data_file';
        EXECUTE IMMEDIATE sql_str;
    EXCEPTION WHEN OTHERS THEN
        NULL;
    END;

    BEGIN
        sql_str := 'DROP TABLE lmd_l1_data_file';
        EXECUTE IMMEDIATE sql_str;
    EXCEPTION WHEN OTHERS THEN
        NULL;
    END;

    BEGIN
        sql_str := 'DROP TABLE lmd_processing_host';
        EXECUTE IMMEDIATE sql_str;
    EXCEPTION WHEN OTHERS THEN
        NULL;
    END;

    BEGIN
        sql_str := 'DROP TABLE lmd_l1_scene_coordinate';
        EXECUTE IMMEDIATE sql_str;
    EXCEPTION WHEN OTHERS THEN
        NULL;
    END;

    BEGIN
        sql_str := 'DROP TABLE lmd_cloud_cover_algorithm';
        EXECUTE IMMEDIATE sql_str;
    EXCEPTION WHEN OTHERS THEN
        NULL;
    END;
END;
/


  CREATE TABLE "LMD_SCENE"
   (    "LMD_SCENE_ID" NUMBER(15,0),
    "ATTITUDE_POINTS" NUMBER(6,0)DEFAULT 0,
    "ATTITUDE_POINTS_MISSING" NUMBER(6,0) DEFAULT 0,
    "ATTITUDE_POINTS_REJECTED" NUMBER(6,0) DEFAULT 0,
    "BPF_NAME" VARCHAR2(256),
    "BROWSE_EXISTS_QUALITY" VARCHAR2(1),
    "BROWSE_EXISTS_QUALITY_RR" VARCHAR2(1),
    "BROWSE_EXISTS_REFL" VARCHAR2(1),
    "BROWSE_EXISTS_REFL_RR" VARCHAR2(1),
    "BROWSE_EXISTS_THERMAL" VARCHAR2(1),
    "BROWSE_EXISTS_THERMAL_RR" VARCHAR2(1),
    "BROWSE_LOCATION_QUALITY" VARCHAR2(2000),
    "BROWSE_LOCATION_QUALITY_RR" VARCHAR2(2000),
    "BROWSE_LOCATION_REFL" VARCHAR2(2000),
    "BROWSE_LOCATION_REFL_RR" VARCHAR2(2000),
    "BROWSE_LOCATION_THERMAL" VARCHAR2(2000),
    "BROWSE_LOCATION_THERMAL_RR" VARCHAR2(2000),
    "CENTRAL_MERIDIAN_LON" NUMBER(11,1),
    "CLOUD_COVER_AUTOMATED" NUMBER(5,2),
    "CPF_NAME" VARCHAR2(256),
    "CRC_ERRORS" NUMBER(6,0) DEFAULT 0,
    "DATA_TYPE" VARCHAR2(20),
    "DATE_ACQUIRED" DATE,
    "DATE_ENTERED" DATE,
    "DATE_UPDATED" DATE,
    "DAY_NIGHT" VARCHAR2(5),
    "ELEVATION_SOURCE" VARCHAR2(7),
    "EPHEMERIS_POINTS" NUMBER(4,0) DEFAULT 0,
    "EPHEMERIS_POINTS_MISSING" NUMBER(4,0) DEFAULT 0,
    "EPHEMERIS_POINTS_REJECTED" NUMBER(4,0) DEFAULT 0,
    "FALSE_EASTING" NUMBER(9,8),
    "FALSE_EASTING_UNIT" VARCHAR2(6),
    "FALSE_NORTHING" NUMBER(9,8),
    "FALSE_NORTHING_UNIT" VARCHAR2(6),
    "FULL_PARTIAL_SCENE" VARCHAR2(7),
    "GEOMETRIC_RMSE_ALONG_TRACK" NUMBER(7,3),
    "GEOMETRIC_RMSE_ACROSS_TRACK" NUMBER(7,3),
    "GRID_CELL_SIZE_PAN" NUMBER(4,2),
    "GRID_CELL_SIZE_REFLECTIVE" NUMBER(4,2),
    "GRID_CELL_SIZE_THERMAL" NUMBER(5,2),
    "SCENE_CENTER_SHIFT" NUMBER(6,0),
    "LANDSAT_SCENE_ID" VARCHAR2(21),
    "LMD_INTERVAL_ID" NUMBER(15,0),
    "L0RP_LOCATION" VARCHAR2(2000),
    "L1_LOCATION" VARCHAR2(2000),
    "LPGS_VERSION" VARCHAR2(15),
    "MAP_PROJECTION" VARCHAR2(3),
    "MISSING_FRAMES" NUMBER(6,0) DEFAULT 0,
    "NADIR_OFFNADIR" VARCHAR2(9),
    "ORIENTATION" VARCHAR2(10),
    "PAN_LINES" NUMBER(5,0),
    "PAN_SAMPLES" NUMBER(5,0),
    "REFLECTIVE_LINES" NUMBER(5,0),
    "REFLECTIVE_SAMPLES" NUMBER(5,0),
    "RESAMPLING_OPTION" VARCHAR2(28),
    "RLUT_FILE_NAME" VARCHAR2(30),
    "ROLL_ANGLE" NUMBER(5,3),
    "SCENE_BANDS_L0RP" NUMBER(2,0),
    "SCENE_BANDS_L1" NUMBER(2,0),
    "SCENE_STATUS" VARCHAR2(1),
    "SENSOR_ANOMALIES" VARCHAR2(100),
    "START_TIME" TIMESTAMP (7),
    "STOP_TIME" TIMESTAMP (7),
    "SUBSETTER_VERSION_L1" VARCHAR2(15),
    "SUBSETTER_VERSION_L0RP" VARCHAR2(15),
    "SUN_AZIMUTH" NUMBER(11,8),
    "SUN_ELEVATION" NUMBER(10,8),
    "TARGET_WRS_PATH" NUMBER(3,0),
    "TARGET_WRS_ROW" NUMBER(3,0),
    "THERMAL_LINES" NUMBER(5,0),
    "THERMAL_SAMPLES" NUMBER(5,0),
    "TIME_CODE_ERRORS" NUMBER(6,0),
    "TRUE_SCALE_LAT" NUMBER(3,1),
    "UTM_ZONE" NUMBER(2,0),
    "WRS_PATH" NUMBER(3,0),
    "WRS_ROW" NUMBER(3,0),
    "WRS_SCENE_NUMBER" NUMBER(2,0)
   ) ;

  CREATE TABLE "LMD_L0RP_DATA_FILE"
   (    "LMD_L0RP_DATA_FILE_ID" NUMBER(15,0),
    "LMD_SCENE_ID" NUMBER(15,0),
    "FILE_NAME" VARCHAR2(256),
    "FILE_DATE" DATE,
    "FILE_SIZE" NUMBER(15,0),
    "FILE_CHECKSUM" VARCHAR2(32),
    "FILE_TYPE" VARCHAR2(30),
    "PRODUCT_FILE_SIZE" NUMBER(15,0),
    "DATE_ENTERED" DATE
   ) ;

  CREATE TABLE "LMD_L1_DATA_FILE"
   (    "LMD_L1_DATA_FILE_ID" NUMBER(15,0),
    "LMD_SCENE_ID" NUMBER(15,0),
    "FILE_NAME" VARCHAR2(256),
    "FILE_DATE" DATE,
    "FILE_SIZE" NUMBER(15,0),
    "FILE_CHECKSUM" VARCHAR2(32),
    "FILE_TYPE" VARCHAR2(30),
    "PRODUCT_FILE_SIZE" NUMBER(15,0),
    "DATE_ENTERED" DATE
   ) ;

  CREATE TABLE "LMD_PROCESSING_HOST"
   (    "LMD_PROCESSING_HOST_ID" NUMBER(15,0),
    "LMD_INTERVAL_ID" NUMBER(15,0),
    "LMD_SCENE_ID" NUMBER(15,0),
    "HOSTNAME" VARCHAR2(20),
    "DATE_ENTERED" DATE
   ) ;

  CREATE TABLE "LMD_L1_SCENE_COORDINATE"
   (    "LMD_L1_SCENE_COORDINATE_ID" NUMBER(15,0),
    "CORNER_LL_LAT" NUMBER(7,5),
    "CORNER_LL_LON" NUMBER(8,5),
    "CORNER_LR_LAT" NUMBER(7,5),
    "CORNER_LR_LON" NUMBER(8,5),
    "CORNER_UL_LAT" NUMBER(7,5),
    "CORNER_UL_LON" NUMBER(8,5),
    "CORNER_UR_LAT" NUMBER(7,5),
    "CORNER_UR_LON" NUMBER(8,5),
    "DATE_ENTERED" DATE,
    "DATE_UPDATED" DATE,
    "LMD_SCENE_ID" NUMBER(15,0),
    "COORDINATE_TYPE" VARCHAR2(10),
    "SCENE_CENTER_LAT" NUMBER(7,5),
    "SCENE_CENTER_LON" NUMBER(8,5)
   ) ;

  CREATE TABLE "LMD_CLOUD_COVER_ALGORITHM"
   (    "LMD_CLOUD_COVER_ALGORITHM_ID" NUMBER(15,0),
    "LMD_SCENE_ID" NUMBER(15,0),
    "CLOUD_COVER_ALGORITHM" VARCHAR2(50),
    "CLOUD_COVER_ALGORITHM_WEIGHT" VARCHAR2(25),
    "DATE_ENTERED" DATE
   ) ;

exit;
