#!/bin/csh -f

# Create a log file
if ( -e test_case_id ) then
    set tcnum = `cat test_case_id`
    set log = tc${tcnum}.log
    set woid_file = tc${tcnum}_woids.txt
else
    set script = $0:t
    set log = ${script:r}.out
    set woid_file = work_order_id.txt
endif

# Must have one argument
if ( ${#argv} != 1 ) then
    echo "" |& tee -a $log
    echo "    Usage: $0 product_request_WOs.txt" |& tee -a $log
    echo "" |& tee -a $log
    exit 1
endif

set product_req_ids = `awk '{print $1}' $1`
set woids = ""
foreach pid ($product_req_ids)
    set id = `sqlplus -s ${IAS_DB_COM}` << END
        set head off; 
        SELECT work_order_id FROM work_orders
            WHERE product_request_id='$pid';
        exit;
END

    set woids = `echo "$woids $id"`
    set unit = `echo $pid | awk -F'_' '{print $2}' | sed 's/^00*//'`
    echo "${id},$unit"
end

echo $woids > $woid_file

exit 0
