/******************************************************************************
               Level 1 Product Generation System (LPGS) Software
 ******************************************************************************
 *
 * UNIT NAME:   AnomalyDetail.h
 *
 * PURPOSE:
 * The Anomaly Detail dialog shows the operator various information about
 * a particular anomaly.  This includes:
 *
 * 1) the anomaly number
 * 2) the assignee / responsible party
 * 3) the anomaly description
 * 4) the resolution of the anomaly
 *
 *****************************************************************************/

#ifndef ANOMALYDETAIL_H
#define ANOMALYDETAIL_H

/* System Includes */

/* Qt Includes */
#include <QtCore>
#include <QtGui>

/* Local Includes */
#include "ui_AnomalyDetailBase.h"

class AnomalyDetail : public QDialog, public Ui::AnomalyDetailBase
{
    Q_OBJECT

    public:
    AnomalyDetail(QString strAnomalyId,
                      QWidget *parent = 0,
                      Qt::WindowFlags fl = 0);

    protected slots:
    void accept();
    void applyChanges();
        void enableApplyButton();
};

#endif /* ANOMALYDETAIL_H */

