/*****************************************************************************
*           Level 1 Product Generation System (LPGS) Software
******************************************************************************
*
* NAME:  ColoredTreeWidgetItem.h
*
* PURPOSE:  This is the declaration (Header) file for the ColoredTreeWidgetItem 
*           class.  This class extends QTreeWidgetItem.  ColoredTreeWidgetItem 
*           provides extra functionality to set the background and foreground 
*           colors of QTreeWidgetItems.
*
* ASSUMPTIONS AND CONSTRAINTS:
*
* NOTES:
*
*****************************************************************************/
#ifndef ColoredTreeWidgetItem_H
#define ColoredTreeWidgetItem_H

/* System Includes */

/* Qt Includes */
#include <QtCore>
#include <QtGui>

/* Local Includes */

class ColoredTreeWidgetItem : public QTreeWidgetItem
{
    public:
        ColoredTreeWidgetItem(QColor, QColor);
        ColoredTreeWidgetItem(QColor, QColor, QStringList);
        ColoredTreeWidgetItem(QColor, QColor, QTreeWidget *);
        ColoredTreeWidgetItem(QColor, QColor, QTreeWidgetItem *);
        ColoredTreeWidgetItem(QColor, QColor, QTreeWidget *, QStringList);
        ColoredTreeWidgetItem(QColor, QColor, QTreeWidgetItem *, QStringList);
        void setColorProperties(QColor, QColor);
        void setColoredText(int column, QString text);

    private:
        void initColors();

        QBrush foregroundBrush_; // Foreground brush
        QBrush backgroundBrush_; // Background brush
};

#endif

