/******************************************************************************
               Level 1 Product Generation System (LPGS) Software
 ******************************************************************************
 *
 * UNIT NAME:   DatabaseUtils.h
 *
 * PURPOSE:
 * The DatabaseUtils class contains a collection of database related utility
 * functions. 
 *
 *****************************************************************************/
#ifndef DATABASEUTILS_H
#define DATABASEUTILS_H

#include <QtCore>

/* enumerated datatype used to determine what type of data is in a column
       that constraints are being read for, in functions getConstraint() and 
       hasNULLConstraint() */
enum datatype {varchar,number,string,date};

class DatabaseUtils
{
    public:
        static QStringList getConstraint(const QString strTableName,
            const QString strColumnName, datatype type);
        static QString convertDateforAlphaSort(const QString strDateTime);
        static QString friendlyColumnName(const QString strColumnName);
        static QString databaseColumnName(const QString strColumnName);
};

#endif /* DATABASEUTILS_H */

