#ifndef DISKSPACE_H
#define DISKSPACE_H

/******************************************************************************
               Level 1 Product Generation System (LPGS) Software
 ******************************************************************************
 *
 * UNIT NAME:   DiskUsage.h
 *
 * PURPOSE:
 * This is the declaration of the DiskUsage class that is used to show
 * the percentage of space used on different disk volumes, along with some
 * other useful disk usage information.
 *
 *****************************************************************************/

/* System Includes */

/* Qt Includes */
#include <QtCore>
#include <QtGui>

/* Local Includes */
#include "ui_DiskUsageBase.h"

#define MAX_DISK_VOLUMES 10

typedef struct GUIObjects
{
    QProgressBar *pbar;
    QLabel *lbl;
    QLabel *lblSizeInfo;
    QString strVolumeName;
    int percentUsed;
    QString strMbUsed;
    QString strMbAvailable;
} GUIObjects;

class DiskUsage : public QDialog, public Ui::DiskUsageBase
{
    Q_OBJECT

    public:
        DiskUsage(QWidget *parent = 0,
                  Qt::WindowFlags fl = 0);
        ~DiskUsage();

    public slots:
        void refresh();

    private:
        void refreshLocalStruct(); // This function refreshes the local struct
                                   // containing the disk space object info.
        
        QGridLayout *gridDiskUsage;
        QPalette pal;
        QStringList getDiskUsageValues(QString strDiskVolumeToGet);

        GUIObjects diskSpaceInfo[MAX_DISK_VOLUMES];
        int numDiskUsageVolumes;
        int usedPosition;
        int availablePosition;
        int percentPosition;
};

#endif /* DISKSPACE_H */

