/******************************************************************************
               Level 1 Product Generation System (LPGS) Software
 ******************************************************************************
 *
 * UNIT NAME:   FileViewer.h
 *
 * PURPOSE:
 * This is the declaration of the FileViewer class.  This QDialog-based
 * class implements a window that allows the operator to view the contents
 * of order ODL files, work order logs, etc.
 *
 *****************************************************************************/

#ifndef FILEVIEWER_H
#define FILEVIEWER_H

/* System Includes */

/* Qt Includes */
#include <QtCore>
#include <QtGui>

/* Local Includes */
#include "ui_FileViewerBase.h"

class FileViewer : public QDialog, public Ui::FileViewerBase 
{
    Q_OBJECT

    public:

        FileViewer(QString strFilename, QString startDir = ".",
            bool autoRefresh = false, int refreshInterval = 10,
            QWidget* parent = 0, Qt::WindowFlags fl = 0);

    protected slots:
        void refresh();
        void fileOpen();
        void findForward();
        void findBackward();
        void autoRefreshToggled(bool);
    private slots:
        void timerRefresh();
    private:
        QString strFilename_;   // Name of file that is being viewed
        QString startDir_;      // Name of directory where file searches start
        QTimer *refreshTimer_;  // Refresh timer (if enabled)
};

#endif // #ifndef FILEVIEWER_H
