/******************************************************************************
               Level 1 Product Generation System (LPGS) Software
 ******************************************************************************
 *
 * UNIT NAME:   GUIConfiguration.h
 *
 * PURPOSE:
 * This dialog allows the user to view and modify the GUI configuration 
 * parameters.  Any changes made are saved to the lpgsuirc configuration file.
 *
 *****************************************************************************/

#ifndef GUICONFIGURATION_H
#define GUICONFIGURATION_H

/* System Includes */

/* Qt Includes */
#include <QtCore>
#include <QtGui>

/* Local Includes */
#include "Preferences.h"
#include "ui_GUIConfigurationBase.h"

class GUIConfiguration : public QDialog, public Ui::GUIConfigurationBase
{
    Q_OBJECT

    public:
        GUIConfiguration(QWidget *parent = 0);
        ~GUIConfiguration();

    protected slots:
        void accept();
        void addStateToList();
        void addStateToFilterList();
        void addNewGroup();
        void deleteGroup();
        void addNewFilter();
        void deleteFilter();
        void applyChanges();
        void enableColors(int);
        void removeStateFromList();
        void removeStateFromFilterList();
        void selectBackgroundColor();
        void selectTextColor();
        void groupChanged(const QString &);
        void filterChanged(const QString &);
        void setCurrentGeometry();

    private:
        Preferences *localPreferences;
};

#endif /* GUICONFIGURATION_H */

