/******************************************************************************
               Level 1 Product Generation System (LPGS) Software
 ******************************************************************************
 *
 * UNIT NAME:   InterfaceStatus.h
 *
 * PURPOSE:
 * This widget adds and manages the states of interfaces connected to LPGS. It 
 * does not refresh on it's own, it needs to be called by the parent during 
 * it's refresh.
 *
 *****************************************************************************/

#ifndef INTERFACESTATUS_H
#define INTERFACESTATUS_H

/* Qt Includes */
#include <QtCore>
#include <QtGui>

class InterfaceStatus : public QWidget
{
    Q_OBJECT

    public:

        InterfaceStatus(QWidget *parent = 0);

        void refresh();

    private slots:

        void changeTramStateTo_UP();
        void changeTramStateTo_DOWN();
        void changeTramStateTo_NO_NEW_ORDERS();
        void changeSubsetterStateTo_UP();
        void changeSubsetterStateTo_DOWN();
        void changeSubsetterStateTo_NO_NEW_REQUESTS();
        void changeProductDeliveryStateTo_UP();
        void changeProductDeliveryStateTo_DOWN();

    private:

        void executeSqlCmd(const QString &sqlCmd);

        QLabel *lblTramInterfaceStatus;
        QLabel *lblSubsetterInterfaceStatus;
        QLabel *lblProductDeliveryStatus;

        QPushButton *pbTramInterfaceStatusState;
        QPushButton *pbSubsetterInterfaceStatusState;
        QPushButton *pbProductDeliveryStatusState;

        QMenu *menuTramState;
        QMenu *menuSubsetterState;
        QMenu *menuProductDeliveryState;
};

#endif /* INTERFACESTATUS_H */

