/******************************************************************************
               Level 1 Product Generation System (LPGS) Software
******************************************************************************
 *
 * UNIT NAME:   ProductRequestIncrementalSearch.h
 *
 * PURPOSE:
 * This is the include file for ProductRequestIncrementalSearch which provides
 * an incremental search in the MainWindow Product Request Listview.  The
 * search allows the operator to enter in a product request id, and it auto-
 * matically selects the first one that matches the search criteria
 *
 *****************************************************************************/
#ifndef PRODUCTREQUESTINCREMENTALSEARCH_H
#define PRODUCTREQUESTINCREMENTALSEARCH_H

// System Includes 
#include <math.h>
#include <string>
#include <ctype.h>

// Qt Includes 
#include <QtCore>

// Local Includes 
#include "ProductRequestTreeWidget.h"

class ProductRequestIncrementalSearch : public QValidator
{ 
    Q_OBJECT

    public:
        ProductRequestIncrementalSearch(ProductRequestTreeWidget*, QWidget*);
        QValidator::State validate(QString &input, int &pos) const;

    protected:
        ProductRequestTreeWidget* ptwPR;

};
#endif // PRODUCTREQUESTINCREMENTALSEARCH_H
