/******************************************************************************
               Level 1 Product Generation System (LPGS) Software
******************************************************************************
*
* UNIT NAME:   SystemTaskStatus.h
*
* PURPOSE:
* This is the class declaration for the SystemStatus class used to display
* a list view of the status of the LPGS systems.
* 
*****************************************************************************/
#ifndef SYSTEMTASKSTATUS_H
#define SYSTEMTASKSTATUS_H

/* System Includes */

/* Qt Includes */
#include <QtCore>
#include <QtGui>

/* Local Includes */
#include "ColoredTreeWidgetItem.h"
#include "ui_SystemTaskStatusBase.h" // Generated by SystemTaskStatusBase.ui

class SystemTaskStatus : public QDialog, public Ui::SystemTaskStatusBase
{
    Q_OBJECT
    
    public:
        SystemTaskStatus(QWidget *parent = 0,
                         Qt::WindowFlags fl = 0);

    public slots:
        void refresh();

    private:
        QString strSystemId;
        QMap<QString, ColoredTreeWidgetItem*> taskItems;
};

#endif /* SYSTEMTASKSTATUS_H */

