/******************************************************************************
               Level 1 Product Generation System (LPGS) Software
 ******************************************************************************
 *
 * UNIT NAME:   Utilities.h
 *
 * PURPOSE:
 * Miscellaneous utility functions that belong nowhere specific.
 *
 *****************************************************************************/

#ifndef UTILITIES_H
#define UTILITIES_H

#define PID_NOT_FOUND -1

/* System Includes */
#include <signal.h>

/* Qt Includes */
#include <QtCore>

void initializeStateInformation();

QString stringToState(const QString &);
QString stateToString(const QString &);

bool displayWOScriptsMenu(const QString &);
bool displayWOLogMenu(const QString &);
bool displayOpenUnixShellMenu(const QString &);
bool displayCancelPRMenu(const QString &);
bool displayCancelMultiplePRMenu(const QString &);
bool displayChangePriorityMenu(const QString &);
bool displayAnomalyInformationMenu(const QString &, const QString &);
bool workOrderHasBeenReplaced(const QString &, const QString &);

QStringList stateList();

QString commaSeparatedList(QStringList &);

QStringList workOrderID(const QString);

pid_t getDPLTaskIdforWO(QString);

void failCancelProductRequest(QWidget *, const QStringList &, 
                              const QStringList &);

#endif /* UTILITIES_H */

