#ifndef WORKORDERSCRIPTS_H
#define WORKORDERSCRIPTS_H

/******************************************************************************
               Level 1 Product Generation System (LPGS) Software
 ******************************************************************************
 *
 * UNIT NAME:   WorkOrderScripts.h
 *
 * PURPOSE:
 * This is the declaration file for the WorkOrderScripts class which is a dialog
 * that displays information from the wo_scripts table about different work
 * order ID's.
 *
 *****************************************************************************/

/* System Includes */

/* Qt Includes */
#include <QtCore>
#include <QtGui>

#include "IASListView.h"

/* Local Includes */
#include "TreeWidgetUtilities.h"
#include "ui_WorkOrderScriptsBase.h"

#define MAX_WO_COLUMNS  30

class WorkOrderScripts : public QDialog, public Ui::WorkOrderScriptsBase
{
    Q_OBJECT

    public:
        WorkOrderScripts(const QString strPRID, 
            const QString strInitialWOID = "", QWidget* parent = 0, 
            Qt::WindowFlags fl = 0);

    protected slots:
        void refresh();

    private:
        void refreshWOIDcbo();
        twInfo WOScriptsTWInfo[MAX_WO_COLUMNS];
        int numWOColumns;
        
        //The Product Request ID to display work order scripts for
        QString strWOPRID;
        
        //The work order ID to display scripts for at first
        QString strInitialWOID;

        columnDataTypesList columnTypes;
};

#endif /* WORKORDERSCRIPTS_H */

