#!/bin/csh -e
# 
# This is a quick script to package the GCP retrieval and resampling utilities
# and required libraries for reuse in other systems.

set temp_dir = temp_package
set bin_dir = $temp_dir/bin
set perl_dir = $temp_dir/lib/perl
set version = `$IAS_BIN/ias_version`
set tarball = gcp_utils_${version}.tgz

echo Creating GCP utility package $tarball

# Create the directory tree to tar
mkdir -p $bin_dir
mkdir -p $perl_dir
cp $IAS_BIN/gcpresample $bin_dir
cp $IAS_BIN/get_gcps.pl $bin_dir
cp $IASLIB_PERLLIB/ias_const.pm $perl_dir
cp $IASLIB_PERLLIB/ias_db.pm $perl_dir
cp $IASLIB_PERLLIB/ias_gcp.pm $perl_dir
cp $IASLIB_PERLLIB/ias_processing_system.pm $perl_dir
cp $IASLIB_PERLLIB/ias_wo_const.pm $perl_dir

# Make sure the permissions are set to allow world readable since that is what
# other systems likely need
chmod o+w $bin_dir
chmod o+w $perl_dir
chmod o+r,o+x $bin_dir/*
chmod o+r $perl_dir/*

# Tar the package
tar --directory=$temp_dir -czf $tarball bin lib

# Remove the temporary directory
rm -r $temp_dir
